
Release 3.6.0 (Public Release - 2011-01-06)

- Updated contents for the final release version of DCMTK 3.6.0.
  Affects: ANNOUNCE.360
           CMakeLists.txt
           INSTALL
           VERSION
           config/configure
           config/configure.in
           doxygen/manpages/man1/*

**** Changes from 2011.01.05 (schlachter)

- Remove all windows line endings that were recently introduced.
  Affects: ofstd/tests/tstthred.cc

**** Changes from 2011.01.05 (onken)

- Updated thread test in order to reflect missing OFSemaphore class
  on Mac OS X.
  Affects: ofstd/tests/tstthred.cc

**** Changes from 2011.01.05 (riesmeier)

- Updated information on tested FreeBSD systems.
  Affects: INSTALL

**** Changes from 2011.01.04 (onken)

- Disabled class OFSemaphore under Mac OS X since semaphores must be named
  in Mac OS X to work properly (currently, they are not). Threads are now
  again enabled by default in Mac OS X with CMake.
  Affects: CMakeLists.txt
           INSTALL
           ofstd/include/dcmtk/ofstd/ofthread.h
           ofstd/libsrc/ofthread.cc

**** Changes from 2011.01.03 (riesmeier)

- Updated copyright date to the current year.
  Affects: COPYRIGHT

- Updated details on tested systems based on feedback from external testers.
  Affects: INSTALL

- Commented out unused variable in order to avoid warning message (gcc 2.95.3).
  Affects: dcmjpls/libcharls/header.cc

**** Changes from 2010.12.23 (riesmeier)

- Updated contents for DCMTK 3.6.0-RC3 (third release candidate).
  Affects: CMakeLists.txt
           VERSION
           config/configure
           config/configure.in
           doxygen/manpages/man1/*

- Added FreeBSD 6.4 and 8.1 (x86) with gcc to the list of tested systems.
  Affects: INSTALL

**** Changes from 2010.12.22 (riesmeier)

- Added list of people who have contributed to this new release of the DCMTK.
  Affects: ANNOUNCE.360

- Fixed some typos and little inconsistencies. Updated homepage of libxml.
  Affects: INSTALL

- Added support for OpenBSD 4.x: Do not specify any additional C/C++ flags.
  Affects: config/configure
           config/configure.in

- OpenBSD does not like sigfillset() to be called with :: namespace prefix.
  Affects: oflog/libsrc/threads.cc

- Added OpenBSD 4.4 with gcc 3.3.5 (propolice) to the list of tested systems.
  Affects: INSTALL

**** Changes from 2010.12.21 (onken)

- Fixed wrong response assignment in DcmSCU's C-STORE code. Thanks to
  forum user "takeos" for the hint and fix.
  Affects: dcmnet/libsrc/scu.cc

**** Changes from 2010.12.20 (schlachter)

- Fixed on FreeBSD by removing flags that hide strlcpy() and strlcat().
  Affects: CMakeLists.txt

- Correctly detect netinet/tcp.h and other headers on FreeBSD.
  Affects: CMake/GenerateDCMTKConfigure.cmake

**** Changes from 2010.12.20 (riesmeier)

- Fixed possible NULL pointer dereferencing when checking the meta-header
  version (and no data dictionary is loaded).
  Affects: dcmdata/libsrc/dcfilefo.cc

- Fixed wrong console application description (apparently copied from another
  tool) and output the resource identifier in debug mode to the logger.
  Affects: dcmdata/tests/tstpread.cc

- Added explicit type casts in order to keep gcc 2.95.3 quiet.
  Affects: ofstd/tests/toffile.cc
           dcmdata/libsrc/dcmetinf.cc

- Added short description on environment variables CC and CFLAGS.
  Affects: INSTALL

- Updated information on IRIX system that was used for cross-platform testing.
  Affects: INSTALL

**** Changes from 2010.12.17 (riesmeier)

- Include another system header (stdio.h) needed for IRIX 6.3 with gcc 2.95.3.
  Affects: dcmwlm/wwwapps/Makefile.dep
           dcmwlm/wwwapps/preplock.cc

- Check whether "feof" and "ferror" are defined as macros (e.g. on IRIX 6.3).
  Affects: ofstd/include/dcmtk/ofstd/offile.h

- Updated hyperlink to SGI's Notes on building Open Source software on IRIX.
  Affects: INSTALL

**** Changes from 2010.12.16 (riesmeier)

- Fixed initialization of OFString variable (reported by gcc 2.95.3).
  Thanks to Andreas Barth <andreas.barth@bruker-biospin.de> for the hint.
  Affects: dcmtls/libsrc/tlsscu.cc

- Added another Linux system to the list of tested Unix-like systems.
  Affects: INSTALL

- Slightly revised contents of the HISTORY file.
  Affects: HISTORY

- Added explicit type cast in order to keep VisualStudio 2005 quiet.
  Affects: dcmdata/tests/i2dbmp.cc

**** Changes from 2010.12.15 (riesmeier)

- Updated contents for DCMTK 3.6.0-RC2 (second release candidate).
  Affects: CMakeLists.txt
           VERSION
           config/configure
           config/configure.in
           doxygen/manpages/man1/*

- Updated list of tested Unix-like systems (some are still marked with a '?').
  Affects: INSTALL

- Added missing prefix "ios::" to I/O manipulator "fixed" (reported on HP-UX).
  Affects: dcmpstat/apps/dcmmklut.cc

**** Changes from 2010.12.15 (schlachter)

- Fixed a compile time error on HP-UX in oflog.
  Affects: oflog/libsrc/unixsock.cc

- Made OFFile compile successfully on HP-UX.
  Affects: ofstd/include/dcmtk/ofstd/offile.h

- Fixed a problem with a missing prototype for vsnprintf on HP-UX.
  Affects: config/configure
           config/configure.in
           config/include/dcmtk/config/cfunix.h.in
           dcmdata/apps/xml2dcm.cc
           dcmqrdb/libsrc/dcmqrcnf.cc
           dcmsr/libsrc/dsrxmld.cc

**** Changes from 2010.12.13 (schlachter)

- Fixed the explicit LFS test which produced wrong results on FreeBSD.
  Affects: config/aclocal.m4
           config/configure

- Fix toffile by moving some casts to the correct position.
  Affects: ofstd/tests/toffile.cc

**** Changes from 2010.12.13 (riesmeier)

- Removed FreeBSD flags introduced a couple of months ago since they caused
  more problems than they solved.
  Thanks to Alexander Haderer <alexander.haderer@charite.de> for the hint.
  Affects: config/configure
           config/configure.in

- Consistently use "large file support" for LFS instead of "long file support".
  Affects: config/aclocal.m4
           config/include/dcmtk/config/cfunix.h.in

- Added LFS configure options and other minor changes.
  Affects: INSTALL

**** Changes from 2010.12.10 (riesmeier)

- Slightly revised wording after further proof-reading.
  Affects: ANNOUNCE.360

**** Changes from 2010.12.09 (riesmeier)

- Updated content of anouncement file to be used for the official release.
  However, this is only a first version that will certainly be updated again.
  Affects: ANNOUNCE.360

- Fixed minor inconsistencies (mainly in comments).
  Affects: CMake/GenerateDCMTKConfigure.cmake

- Consistently use "large file support" for LFS instead of "long file support".
  Affects: config/configure
           config/configure.in

- Fixed typo in checking message.
  Affects: config/aclocal.m4
           config/configure
           config/configure.in

- Removed outdated note that wlmscpfs does not support multi-processing on
  Windows systems.
  Affects: INSTALL

**** Changes from 2010.12.08 (schlachter)

- Explicitely check for libtiff 3.7.0 or newer.
  Affects: dcmimage/libsrc/dipitiff.cc

- Document libtiff 3.7.4 requirement on windows.
  Affects: INSTALL

**** Changes from 2010.12.08 (riesmeier)

- Added note that libtiff releases prior to version 3.7.0 will not work.
  Affects: INSTALL

- Fixed issue when linking "oflog" on Cygwin with CMake build system.
  Affects: oflog/libsrc/CMakeLists.txt

- Disable currently unused wide character file I/O functions in order to avoid
  problems with old compilers (e.g. gcc 2.95.3).
  Affects: config/docs/macros.txt
           ofstd/include/dcmtk/ofstd/offile.h

**** Changes from 2010.12.07 (riesmeier)

- Updated list of tested Windows systems and some other related sections.
  Affects: INSTALL

**** Changes from 2010.12.06 (schlachter)

- Fixed crash in oflog on Mac OS X 10.4.1 with gcc 4.0.1 due to different order
  of execution of global destructors.
  Thanks to Bernd Kuemmerlen <bernd.kuemmerlen@mevis.de> for the report.
  Affects: oflog/libsrc/oflog.cc

- Made the docs for the NDC clearer on how to avoid memleaks.
  Affects: oflog/include/dcmtk/oflog/ndc.h

- Fixed a correct warning from Intel Compiler 11.1 for shifting a Uint8 by 8.
  Affects: dcmdata/libi2d/i2dbmps.cc

- Fixed the i2dbmp test case for windows by opening files in binary mode.
  Affects: dcmdata/tests/i2dbmp.cc

- Removed BufferSize option from FileAppender due to problems with gcc 2.95.3.
  Affects: oflog/include/dcmtk/oflog/fileap.h
           oflog/libsrc/fileap.cc

- Don't explicitely try to catch std::exception.
  Affects: oflog/libsrc/appender.cc
           oflog/libsrc/config.cc
           oflog/libsrc/ndc.cc
           oflog/libsrc/threads.cc

**** Changes from 2010.12.06 (riesmeier)

- Fixed issue when calling "make install-html" without "make html".
  Thanks to Juergen Salk <juergen.salk@uni-ulm.de> for pointing this out.
  Affects: doxygen/Makefile.in

- Added explicit default constructor to keep Intel Compiler 11.1 quiet.
  Affects: dcmimgle/include/dcmtk/dcmimgle/dipxrept.h

- Moved option "-maxdepth" to beginning of find command to avoid warnings.
  Affects: dcmwlm/data/Makefile.in

- Fixed issue with large file support for current Cygwin systems (1.7.7-1).
  Affects: ofstd/include/dcmtk/ofstd/offile.h

- Restructured calculation of seek position in order to avoid warning messages.
  Affects: ofstd/tests/toffile.cc

- Fixed little inconsistency regarding the libsndfile configure options.
  Thanks to Juergen Salk <juergen.salk@uni-ulm.de> for the report and fix.
  Affects: config/configure
           config/configure.in

**** Changes from 2010.12.03 (riesmeier)

- Fixed regular expression for the detection of old Mac OS X versions (Darwin
  8 and 9). Thanks to Bernd Kuemmerlen <bernd.kuemmerlen@mevis.de> for the
  report and suggested fix.
  Affects: config/configure
           config/configure.in

**** Changes from 2010.12.02 (riesmeier)

- Added linker flags to a different CMake variable in order to avoid
  auto-importing warnings on MinGW systems (previously, flags were ignored).
  Affects: CMakeLists.txt

- Updated latest tested version number of LIBPNG.
  Affects: INSTALL

**** Changes from 2010.12.01 (schlachter)

- Fixed build problem with MSC6 when zlib support is enabled.
  Affects: dcmdata/libsrc/dcistrmz.cc

**** Changes from 2010.12.01 (riesmeier)

- Updated contents for DCMTK 3.6.0-RC1 (first release candidate).
  Affects: CMakeLists.txt
           VERSION
           config/configure
           config/configure.in

- Updated contents for upcoming DCMTK 3.6.0 release.
  Added:   ANNOUNCE.360
           CHANGES.360
  Removed: ANNOUNCE.355
           CHANGES.355
  Affects: INSTALL

- Added OFFIS copyright header (beginning with the year 1994).
  Affects: dcmnet/include/dcmtk/dcmnet/assoc.h
           dcmnet/include/dcmtk/dcmnet/dcompat.h
           dcmnet/include/dcmtk/dcmnet/dicom.h
           dcmnet/include/dcmtk/dcmnet/dimse.h
           dcmnet/include/dcmtk/dcmnet/diutil.h
           dcmnet/include/dcmtk/dcmnet/dul.h
           dcmnet/libsrc/assoc.cc
           dcmnet/libsrc/dcompat.cc
           dcmnet/libsrc/dimcancl.cc
           dcmnet/libsrc/dimcmd.cc
           dcmnet/libsrc/dimcmd.h
           dcmnet/libsrc/dimecho.cc
           dcmnet/libsrc/dimfind.cc
           dcmnet/libsrc/dimmove.cc
           dcmnet/libsrc/dimse.cc
           dcmnet/libsrc/dimstore.cc
           dcmnet/libsrc/diutil.cc
           dcmnet/libsrc/dul.cc
           dcmnet/libsrc/dulconst.cc
           dcmnet/libsrc/dulextra.cc
           dcmnet/libsrc/dulfsm.cc
           dcmnet/libsrc/dulfsm.h
           dcmnet/libsrc/dulparse.cc
           dcmnet/libsrc/dulpres.cc
           dcmnet/libsrc/dulpriv.h
           dcmnet/libsrc/dulstruc.h

- Fixed wrong installation directory for HTML documentation and Manpages.
  Affects: doxygen/CMakeLists.txt

- Added linker flags to avoid auto-importing warnings on MinGW systems.
  Affects: CMakeLists.txt

- Removed extra token after #endif directive (reported on a MinGW system).
  Affects: oflog/libsrc/winsock.cc

- Fixed syntax error introduced with yesterday's commit (flags for Mac OS X).
  Affects: CMakeLists.txt

- Fixed wrong name of dcmqrti tool (was "ti" in previous DCMTK versions).
  Affects: dcmqrdb/docs/dcmqrscp.man
           dcmqrdb/docs/dcmqrti.man

- Updated man pages.
  Affects: doxygen/manpages/man1/*

**** Changes from 2010.11.30 (onken)

- Set extra flags for compiling without problems on Mac OS X.
  Affects: CMakeLists.txt

**** Changes from 2010.11.30 (riesmeier)

- Fixed incorrect variable name to be replaced in configuration file by "sed".
  Affects: doxygen/Makefile.in

- Updated man pages.
  Affects: doxygen/manpages/man1/*

- Updated latest tested CMake version to 2.8.3.
  Affects: CMakeLists.txt

- Made sure that CMake installs the correct documentation files. Also added
  created files to the "make clean" target (only works partly for CMake 2.4).
  Finally, "make DOXYGEN" now works again (as it did previously).
  Affects: doxygen/CMakeLists.txt

- Fixed minor typos.
  Affects: CMake/3rdparty.cmake

**** Changes from 2010.11.29 (riesmeier)

- Fixed issue with CMake versions prior to 2.8 (or prior to 2.6?).
  Affects: doxygen/CMakeLists.txt

**** Changes from 2010.11.29 (schlachter)

- Made CMake build the doxygen documentation in the binary dir and added new
  targets "html" and "man" that only build parts of the available docs.
  Affects: doxygen/CMakeLists.txt
           doxygen/Makefile.in
           doxygen/htmldocs.cfg
           doxygen/manpages.cfg

- Fixed some new issues with doxygen and CMake.
  Affects: doxygen/CMakeLists.txt
           doxygen/htmldocs.cfg
           doxygen/manpages.cfg

- Fixed stack overflow in libi2d with some JPEG data streams.
  Thanks to Jargo Koster <jargo@innovaatik.ee> for the report.
  Affects: dcmdata/libi2d/i2djpgs.cc

- Correctly determine the remote address if only a socket fd is given.
  Thanks to Alexander Haderer <alexander.haderer@charite.de> for the patch.
  Affects: dcmnet/libsrc/dul.cc

**** Changes from 2010.11.26 (riesmeier)

- Added definition of "DEBUG" to debug mode (since CMake does not do this
  automatically). Also did some further clean-up of the main CMake file.
  Affects: CMakeLists.txt

**** Changes from 2010.11.25 (riesmeier)

- Removed redundant include directories and installation commands. Also changed
  the way version dependent documentation files are installed.
  Affects: CMakeLists.txt

- Changed the way version dependent documentation files are installed.
  Affects: Makefile
           config/rootconf

- Minor changes, e.g. fixed inconsistent whitespaces and newlines.
  Affects: CMake/3rdparty.cmake
           dcmdata/apps/CMakeLists.txt

**** Changes from 2010.11.24 (riesmeier)

- Output a warning message when decompressing a JPEG compressed image with
  YCbCr color model and BitsStored < BitsAllocated because this is currently
  not handled properly (usually this only occurs for "true lossless" mode).
  Affects: dcmjpeg/libsrc/djcodecd.cc

**** Changes from 2010.11.24 (schlachter)

- Fix CMake's strerror_r test. It was backwards.
  Affects: CMake/GenerateDCMTKConfigure.cmake
           CMake/dcmtkTestCharPStrerror.cc

- Hardcode the windows result of some socket-related tests.
  Affects: CMake/GenerateDCMTKConfigure.cmake

- Reintroduce some MSC6 specific defines that were lost.
  Affects: CMake/osconfig.h.in

- Add a previously missing include directive.
  Affects: oflog/include/dcmtk/oflog/helpers/syncpwin.h

- Fix config/changext so that dcml2pnm compiles on windows.
  Affects: config/changext

**** Changes from 2010.11.22 (schlachter)

- Add checks for cstdio, cstdarg, ENAMETOOLONG and strerror_r's return value.
  Added:   CMake/dcmtkTestCharPStrerror.cc
           CMake/dcmtkTestNameTooLong.cc
  Affects: CMake/GenerateDCMTKConfigure.cmake
           CMake/osconfig.h.in

- Add checks for strerror_r, std::vsnprintf and variable length arrays to CMake.
  Added:   CMake/dcmtkTestVariableLengthArrays.cc
  Affects: CMake/GenerateDCMTKConfigure.cmake
           CMake/osconfig.h.in

- Use a macro instead of repeating the filename of the test file.
  Affects: ofstd/tests/toffile.cc

- Add definition for delete (std::nothrow) and check for std::ios::nocreate.
  Added:   CMake/dcmtkTestStdIosNocreate.cc
  Affects: CMake/GenerateDCMTKConfigure.cmake
           CMake/osconfig.h.in

- Check whether accept(), getsockopt() and select() accept int* arguments.
  Added:   CMake/dcmtkTestSelectIntP.cc
           CMake/dcmtkTestSocketIntP.cc
  Affects: CMake/GenerateDCMTKConfigure.cmake
           CMake/osconfig.h.in

- Made the new CMake checks work on Windows.
  Affects: CMake/dcmtkTestSelectIntP.cc
           CMake/dcmtkTestSocketIntP.cc

**** Changes from 2010.11.22 (riesmeier)

- Updated builtin dictionary (because of recently added private tags).
  Affects: dcmdata/libsrc/dcdictzz.cc

- Added missing private tag from Philips to second spelling variant of the
  private creator element (also see last commit).
  Affects: dcmdata/data/private.dic

**** Changes from 2010.11.19 (eichelberg)

- Added several new private tags from Philips documented in a recent
  conformance statement.
  Thanks to Per Inge Mathisen <perim@sonowand.com> for the contribution.
  Affects: dcmdata/data/private.dic

**** Changes from 2010.11.17 (eichelberg)

- Fixed issue with data dictionary causing private tags with group number
  range and flexible element number not to be found in the dictionary. Thanks
  to Peter Klotz <Peter.Klotz@ith-icoserve.com> for the report and patch.
  Affects: dcmdata/include/dcmtk/dcmdata/dcdicent.h

**** Changes from 2010.11.17 (schlachter)

- Removed some uses of "%s" with sscanf().
  Affects: dcmnet/apps/movescu.cc
           dcmwlm/tests/wltest.cc

**** Changes from 2010.11.15 (schlachter)

- Fixed some errors in doxygen comments.
  Affects: dcmdata/include/dcmtk/dcmdata/dcdicdir.h
           dcmdata/include/dcmtk/dcmdata/dcdirrec.h
           dcmdata/include/dcmtk/dcmdata/libi2d/i2dbmps.h

- Removed a useless and potentially dangerous use of sscanf().
  Affects: dcmdata/libsrc/dcddirif.cc

**** Changes from 2010.11.12 (riesmeier)

- Output ANSI escape codes at the beginnig of each line in order to make sure
  that always the correct color is used in case of truncated multi-line output.
  Affects: dcmdata/libsrc/dcdatset.cc
           dcmdata/libsrc/dcmetinf.cc

**** Changes from 2010.11.10 (schlachter)

- Made DcmHashDictIterator::stepUp correctly stop at the end of the dict.
  Affects: dcmdata/libsrc/dchashdi.cc

- Corrected DcmHashDictIterator::operator!=. Previously it ignored hindex.
  Affects: dcmdata/include/dcmtk/dcmdata/dchashdi.h

**** Changes from 2010.11.09 (riesmeier)

- Added check whether all type 1 attributes are really present and have a
  non-empty value; this check was missing for the following record types:
  HANGING PROTOCOL, PALETTE, IMPLANT, IMPLANT GROUP, IMPLANT ASSY.
  Affects: dcmdata/libsrc/dcddirif.cc

**** Changes from 2010.11.08 (schlachter)

- Fixed even more gcc warnings caused by additional compiler flags.
  Affects: dcmdata/libsrc/dcbytstr.cc
           dcmdata/libsrc/dcddirif.cc
           dcmdata/libsrc/dcistrmf.cc
           dcmdata/libsrc/dcpath.cc
           oflog/include/dcmtk/oflog/logger.h
           oflog/include/dcmtk/oflog/helpers/strhelp.h
           ofstd/include/dcmtk/ofstd/ofmap.h

- Made dcmjpls successfully read images with spurious padding bytes.
  Affects: dcmjpls/libcharls/decodstr.h

- Made oflog use ofstd's cast macros.
  Affects: oflog/include/dcmtk/oflog/helpers/strhelp.h
           oflog/include/dcmtk/oflog/helpers/syncpwin.h
           oflog/include/dcmtk/oflog/helpers/threadcf.h
           oflog/include/dcmtk/oflog/spi/factory.h
           oflog/libsrc/lloguser.cc
           oflog/libsrc/loglevel.cc
           oflog/libsrc/ndc.cc
           oflog/libsrc/ntelogap.cc
           oflog/libsrc/patlay.cc
           oflog/libsrc/sockbuff.cc
           oflog/libsrc/socket.cc
           oflog/libsrc/socketap.cc
           oflog/libsrc/threads.cc
           oflog/libsrc/timehelp.cc
           oflog/libsrc/unixsock.cc
           oflog/libsrc/winconap.cc
           oflog/libsrc/winsock.cc

**** Changes from 2010.11.08 (riesmeier)

- Fixed inconsistency in the list of attributes for the implant group directory
  record (this has been corrected with the "FT2" version of Supplement 131).
  Affects: dcmdata/libsrc/dcddirif.cc

- Replaced non-ASCII characters by their ASCII equivalents.
  Affects: dcmtls/docs/ciphers.txt

**** Changes from 2010.11.05 (riesmeier)

- Added new SOP Class UIDs from Supplement 131 and 134 (Implant Templates).
  Affects: dcmdata/include/dcmtk/dcmdata/dcuid.h
           dcmdata/libsrc/dcuid.cc
           dcmnet/docs/movescu.man
           dcmnet/docs/storescp.man
           dcmnet/etc/storescp.cfg
           dcmnet/etc/storescu.cfg
           dcmqrdb/docs/dcmqrscp.man

- Added support for new Implantation Plan SR Document Storage SOP Class.
  Added:   dcmsr/include/dcmtk/dcmsr/dsrimpcc.h
           dcmsr/libsrc/dsrimpcc.cc
  Affects: dcmdata/libsrc/dcddirif.cc
           dcmqrdb/libsrc/dcmqrdbi.cc
           dcmsr/docs/dsr2html.man
           dcmsr/docs/dsr2xml.man
           dcmsr/docs/dsrdump.man
           dcmsr/docs/xml2dsr.man
           dcmsr/include/dcmtk/dcmsr/dsrtypes.h
           dcmsr/libsrc/CMakeLists.txt
           dcmsr/libsrc/Makefile.in
           dcmsr/libsrc/dsrtypes.cc

- Added support for Supplement 131 (Implant Templates) to data dictionary.
  Affects: dcmdata/data/dicom.dic
           dcmdata/include/dcmtk/dcmdata/dcdeftag.h
           dcmdata/libsrc/dcdictzz.cc

- Added support for new directory record types IMPLANT, IMPLANT GROUP and
  IMPLANT ASSY from Supplement 131 (Implant Templates).
  Affects: dcmdata/include/dcmtk/dcmdata/dcddirif.h
           dcmdata/include/dcmtk/dcmdata/dcdirrec.h
           dcmdata/libsrc/dcddirif.cc
           dcmdata/libsrc/dcdirrec.cc

- Added support for checking the value multiplicity "9" (see Supplement 131).
  Affects: dcmdata/include/dcmtk/dcmdata/dcbytstr.h
           dcmdata/include/dcmtk/dcmdata/dcelem.h
           dcmdata/include/dcmtk/dcmdata/dcsequen.h
           dcmdata/include/dcmtk/dcmdata/dcvrae.h
           dcmdata/include/dcmtk/dcmdata/dcvras.h
           dcmdata/include/dcmtk/dcmdata/dcvrat.h
           dcmdata/include/dcmtk/dcmdata/dcvrcs.h
           dcmdata/include/dcmtk/dcmdata/dcvrda.h
           dcmdata/include/dcmtk/dcmdata/dcvrds.h
           dcmdata/include/dcmtk/dcmdata/dcvrdt.h
           dcmdata/include/dcmtk/dcmdata/dcvrfd.h
           dcmdata/include/dcmtk/dcmdata/dcvrfl.h
           dcmdata/include/dcmtk/dcmdata/dcvris.h
           dcmdata/include/dcmtk/dcmdata/dcvrlo.h
           dcmdata/include/dcmtk/dcmdata/dcvrpn.h
           dcmdata/include/dcmtk/dcmdata/dcvrsh.h
           dcmdata/include/dcmtk/dcmdata/dcvrsl.h
           dcmdata/include/dcmtk/dcmdata/dcvrss.h
           dcmdata/include/dcmtk/dcmdata/dcvrtm.h
           dcmdata/include/dcmtk/dcmdata/dcvrui.h
           dcmdata/include/dcmtk/dcmdata/dcvrul.h
           dcmdata/include/dcmtk/dcmdata/dcvrus.h
           dcmdata/libsrc/dcelem.cc
           dcmsr/include/dcmtk/dcmsr/dsrtypes.h

- Rebuilt Makefile dependencies.
  Affects: dcmimage/apps/Makefile.dep
           dcmimage/libsrc/Makefile.dep
           dcmimgle/apps/Makefile.dep
           dcmimgle/libsrc/Makefile.dep
           dcmjpeg/apps/Makefile.dep
           dcmjpeg/libsrc/Makefile.dep
           dcmjpls/apps/Makefile.dep
           dcmjpls/libsrc/Makefile.dep
           dcmnet/libsrc/Makefile.dep
           dcmpstat/apps/Makefile.dep
           dcmpstat/libsrc/Makefile.dep
           dcmpstat/tests/Makefile.dep
           dcmqrdb/apps/Makefile.dep
           dcmqrdb/libsrc/Makefile.dep
           dcmsign/apps/Makefile.dep
           dcmsign/libsrc/Makefile.dep
           dcmsr/apps/Makefile.dep
           dcmsr/libsrc/Makefile.dep
           dcmsr/tests/Makefile.dep
           dcmtls/libsrc/Makefile.dep
           dcmwlm/apps/Makefile.dep
           dcmwlm/libsrc/Makefile.dep
           dcmwlm/tests/Makefile.dep
           dcmwlm/wwwapps/Makefile.dep
           oflog/libsrc/Makefile.dep

**** Changes from 2010.11.04 (riesmeier)

- Made sure that options --exec/rename-on-eostudy are never used with --fork on
  Windows systems (since this does not work due to the current implementation).
  Affects: dcmnet/apps/storescp.cc

- Changed mode of parameter dcmfile-in from multi-optional to multi-mandatory.
  Affects: dcmpstat/apps/dcmpsprt.cc
           dcmpstat/docs/dcmpsprt.man

- Use type cast macros (e.g. OFstatic_cast) where appropriate.
  Affects: dcmpstat/apps/dcmpsprt.cc

- Moved settings for default configuration and support data directory, and
  used same default values for non-Windows systems as for GNU autoconf.
  Affects: CMake/GenerateDCMTKConfigure.cmake
           CMakeLists.txt

- Removed superfluous path separator.
  Affects: doxygen/CMakeLists.txt

**** Changes from 2010.11.03 (schlachter)

- Fixed some more warnings by gcc with by additional flags.
  Affects: dcmjpeg/libijg12/jcdiffct.c
           dcmjpeg/libijg12/jcmarker.c
           dcmjpeg/libijg12/jdmarker.c
           dcmjpeg/libijg12/jdscale.c
           dcmjpeg/libijg16/jcdiffct.c
           dcmjpeg/libijg16/jcmarker.c
           dcmjpeg/libijg16/jdmarker.c
           dcmjpeg/libijg16/jdscale.c
           dcmjpeg/libijg8/jcdiffct.c
           dcmjpeg/libijg8/jcmarker.c
           dcmjpeg/libijg8/jdmarker.c
           dcmjpeg/libijg8/jdscale.c
           dcmjpls/libcharls/header.cc
           dcmjpls/libsrc/djcparam.cc
           dcmpstat/apps/dcmpssnd.cc
           dcmpstat/tests/msgserv.cc
           dcmsign/apps/dcmsign.cc

**** Changes from 2010.11.03 (riesmeier)

- Since the pseudo-lossless encoder is not guaranteed to result in lossless
  compression, the modifications to the DICOM header are treated in the same
  way as for lossy compression (e.g Lossy Compression Flag is set to "01").
  Affects: dcmjpeg/docs/dcmcjpeg.man
           dcmjpeg/libsrc/djcodece.cc
           dcmjpeg/libsrc/djenclol.cc
           dcmjpeg/libsrc/djencsv1.cc

**** Changes from 2010.11.02 (riesmeier)

- Added special handling for data elements that are associated with different
  VRs (according to the data dictionary) when read with an implicit transfer
  syntax, e.g. PixelPaddingValue or WaveformData.
  Affects: dcmdata/include/dcmtk/dcmdata/dcitem.h
           dcmdata/libsrc/dcitem.cc

- Enhanced output to debug logger: Added more details in case of failures.
  Affects: dcmimgle/libsrc/didocu.cc

**** Changes from 2010.11.01 (schlachter)

- Fixed some compiler warnings reported by gcc with additional flags.
  Affects: dcmdata/apps/mdfdsman.cc
           dcmdata/include/dcmtk/dcmdata/libi2d/i2doutpl.h
           dcmdata/libi2d/i2d.cc
           dcmdata/libsrc/dcpath.cc
           dcmdata/libsrc/dcrleccd.cc
           dcmdata/libsrc/dcsequen.cc
           dcmdata/tests/tstpread.cc
           dcmnet/apps/echoscu.cc
           dcmnet/apps/findscu.cc
           dcmnet/apps/movescu.cc
           dcmnet/apps/storescu.cc
           dcmnet/apps/termscu.cc
           dcmnet/libsrc/dcuserid.cc
           dcmnet/libsrc/dfindscu.cc
           dcmqrdb/apps/dcmqridx.cc
           dcmqrdb/apps/dcmqrti.cc
           dcmqrdb/libsrc/dcmqrcbm.cc
           dcmqrdb/libsrc/dcmqrdbi.cc
           dcmqrdb/libsrc/dcmqrdbs.cc
           dcmwlm/apps/wlcefs.cc
           dcmwlm/tests/wltest.cc
           dcmwlm/wwwapps/writwlst.cc
           oflog/libsrc/patlay.cc
           oflog/libsrc/unixsock.cc
           ofstd/include/dcmtk/ofstd/ofaptr.h

- Moved variable declarations in front of their loop.
  Affects: dcmimgle/libsrc/dcmimage.cc
           dcmjpeg/libsrc/djutils.cc
           ofstd/libsrc/ofstd.cc

**** Changes from 2010.10.29 (riesmeier)

- Removed new --print-color option for Windows system since the ANSI escape
  codes are not supported by the standard command shell.
  Affects: dcmdata/apps/dcmdump.cc
           dcmdata/docs/dcmdump.man

- Fixed issue when sending a message with an empty dataset. Now, a warning
  message is reported to the log and an error code is returned in such cases.
  Thanks to Peter Klotz <Peter.Klotz@ith-icoserve.com> for the report.
  Affects: dcmnet/libsrc/dimse.cc

- Added new option for colored output of the textual dump.
  Affects: dcmdata/apps/dcmdump.cc
           dcmdata/docs/dcmdump.man

- Added support for colored output to the print() method.
  Affects: dcmdata/include/dcmtk/dcmdata/dcobject.h
           dcmdata/include/dcmtk/dcmdata/dctypes.h
           dcmdata/libsrc/Makefile.dep
           dcmdata/libsrc/dcdatset.cc
           dcmdata/libsrc/dcdirrec.cc
           dcmdata/libsrc/dcfilefo.cc
           dcmdata/libsrc/dcmetinf.cc
           dcmdata/libsrc/dcobject.cc
           dcmdata/libsrc/dctypes.cc
           dcmdata/libsrc/dcvrobow.cc
           dcmdata/libsrc/dcvrui.cc

**** Changes from 2010.10.28 (riesmeier)

- Implemented missing rendering code for sigmoid VOI LUT function.
  Affects: dcmimgle/include/dcmtk/dcmimgle/dimoopxt.h

- Added more trace log messages which might be helpful for detailed debugging.
  Affects: dcmimgle/include/dcmtk/dcmimgle/dimoopxt.h

**** Changes from 2010.10.27 (riesmeier)

- Added getFloat64Vector() method which allows for retrieving the stored
  floating point values more efficiently (especially when there are many
  values). Thanks to forum user "budric" for the original report.
  Affects: dcmdata/include/dcmtk/dcmdata/dcvrds.h
           dcmdata/libsrc/dcvrds.cc

- Rebuilt Makefile dependencies.
  Affects: dcmdata/apps/Makefile.dep
           dcmdata/libi2d/Makefile.dep
           dcmdata/libsrc/Makefile.dep
           dcmdata/tests/Makefile.dep

**** Changes from 2010.10.25 (onken)

- Removed superfluous NO_IOS_BASE_ASSIGN definition for MinGW since it is
  always set if standard c++ includes are available on the system.
  Affects: CMake/osconfig.h.in

**** Changes from 2010.10.21 (riesmeier)

- Replaced tab characters by spaces.
  Affects: ofstd/libsrc/oflist.cc

- Added private undefined copy constructor and assignment operator in order to
  avoid compiler warnings (reported by gcc with additional flags).
  Affects: dcmimage/include/dcmtk/dcmimage/diargimg.h
           dcmimage/include/dcmtk/dcmimage/dipalimg.h

- Removed redundant definition of logger variable for libxml.
  Affects: dcmdata/apps/xml2dcm.cc

- Renamed variable to avoid warning reported by gcc with additional flags.
  Affects: dcmdata/apps/dcm2pdf.cc
           dcmsr/apps/dsr2html.cc
           dcmsr/apps/dsr2xml.cc

- Use type cast macros (e.g. OFstatic_cast) where appropriate.
  Affects: dcmdata/include/dcmtk/dcmdata/dcovlay.h

- Added missing API documentation and slightly reformatted source code.
  Affects: dcmdata/include/dcmtk/dcmdata/dcovlay.h

- Added virtual destructor in order to avoid warnings reported by gcc with
  additional flags.
  Affects: dcmdata/include/dcmtk/dcmdata/dctagkey.h
           dcmsr/include/dcmtk/dcmsr/dsrtypes.h
           dcmsr/libsrc/dsrtypes.cc

**** Changes from 2010.10.20 (riesmeier)

- Use type cast macros (e.g. OFstatic_cast) where appropriate.
  Affects: dcmdata/libsrc/dcbytstr.cc
           dcmdata/libsrc/dcchrstr.cc
           dcmdata/libsrc/dcdatset.cc
           dcmdata/libsrc/dcdirrec.cc
           dcmdata/libsrc/dcelem.cc
           dcmdata/libsrc/dcfilefo.cc
           dcmdata/libsrc/dcitem.cc
           dcmdata/libsrc/dcmetinf.cc
           dcmdata/libsrc/dcpixel.cc
           dcmdata/libsrc/dcpixseq.cc
           dcmdata/libsrc/dcpxitem.cc
           dcmdata/libsrc/dcsequen.cc
           dcmdata/libsrc/dcvrae.cc
           dcmdata/libsrc/dcvras.cc
           dcmdata/libsrc/dcvrat.cc
           dcmdata/libsrc/dcvrcs.cc
           dcmdata/libsrc/dcvrda.cc
           dcmdata/libsrc/dcvrds.cc
           dcmdata/libsrc/dcvrdt.cc
           dcmdata/libsrc/dcvrfd.cc
           dcmdata/libsrc/dcvrfl.cc
           dcmdata/libsrc/dcvris.cc
           dcmdata/libsrc/dcvrlo.cc
           dcmdata/libsrc/dcvrlt.cc
           dcmdata/libsrc/dcvrobow.cc
           dcmdata/libsrc/dcvrof.cc
           dcmdata/libsrc/dcvrpn.cc
           dcmdata/libsrc/dcvrpobw.cc
           dcmdata/libsrc/dcvrsh.cc
           dcmdata/libsrc/dcvrsl.cc
           dcmdata/libsrc/dcvrss.cc
           dcmdata/libsrc/dcvrst.cc
           dcmdata/libsrc/dcvrtm.cc
           dcmdata/libsrc/dcvrui.cc
           dcmdata/libsrc/dcvrul.cc
           dcmdata/libsrc/dcvrulup.cc
           dcmdata/libsrc/dcvrus.cc
           dcmdata/libsrc/dcvrut.cc

- Renamed method to avoid warnings reported by gcc with additional flags.
  Affects: dcmdata/include/dcmtk/dcmdata/dcfilefo.h
           dcmdata/libsrc/dcfilefo.cc

- Added missing API documentation.
  Affects: dcmdata/include/dcmtk/dcmdata/dcfilefo.h

**** Changes from 2010.10.20 (schlachter)

- Made sure isalpha() & friends are only called with valid arguments.
  Affects: dcmdata/apps/dump2dcm.cc
           dcmdata/libsrc/dcddirif.cc
           dcmdata/libsrc/dcdict.cc
           dcmdata/libsrc/dcdirrec.cc
           dcmdata/libsrc/dcvrcs.cc
           dcmdata/libsrc/dcvrui.cc
           dcmdata/libsrc/mkdeftag.cc
           dcmimgle/apps/dcod2lum.cc
           dcmimgle/apps/dconvlum.cc
           dcmimgle/libsrc/dcmimage.cc
           dcmimgle/libsrc/didispfn.cc
           dcmjpeg/libsrc/djutils.cc
           dcmnet/apps/storescp.cc
           dcmnet/apps/storescu.cc
           dcmnet/libsrc/dcasccff.cc
           dcmnet/libsrc/diutil.cc
           dcmnet/libsrc/scp.cc
           dcmnet/libsrc/scu.cc
           dcmpstat/apps/dcmmklut.cc
           dcmpstat/apps/dcmpsprt.cc
           dcmqrdb/libsrc/dcmqrcnf.cc
           dcmqrdb/libsrc/dcmqrdbi.cc
           dcmsign/apps/dcmsign.cc
           dcmsr/libsrc/dsrtypes.cc
           oflog/libsrc/property.cc
           ofstd/libsrc/ofdatime.cc
           ofstd/libsrc/ofstd.cc
           ofstd/libsrc/ofstring.cc

- Also made sure toupper() and tolower() get a valid argument.
  Affects: dcmnet/libsrc/dcasccff.cc
           dcmnet/libsrc/scp.cc
           dcmpstat/libsrc/dvpscf.cc
           ofstd/libsrc/ofconfig.cc
           ofstd/libsrc/ofstd.cc

**** Changes from 2010.10.18 (schlachter)

- Correctly read bytestreams on 64-bit platforms.
  Affects: dcmjpls/libcharls/util.h

- Fixed ABS() macro.
  Affects: dcmjpls/libcharls/util.h

**** Changes from 2010.10.14 (riesmeier)

- Added support for "new" SR Storage SOP Classes to storeRequest().
  Affects: dcmqrdb/libsrc/dcmqrdbi.cc

- Fixed wording on the use of variables.
  Affects: oflog/etc/logger.cfg

- Added missing CVS log to end of file.
  Affects: oflog/etc/filelog.cfg

- Removed the word "Kuratorium" from the name of the OFFIS institute.
  Affects: dcmdata/docs/datadict.txt

- Updated copyright header. Added reference to COPYRIGHT file.
  Affects: <all modules>/*.cc
           <all modules>/*.h
           dcmdata/data/dcm2xml.dtd
           dcmdata/data/dicom.dic
           dcmdata/data/diconde.dic
           dcmdata/data/private.dic
           dcmdata/libsrc/dcdictbi.nul
           dcmdata/libsrc/vrscanl.l
           dcmdata/libsrc/vrscanl.c
           dcmnet/etc/storescp.cfg
           dcmnet/etc/storescu.cfg
           dcmpstat/etc/dcmpstat.cfg
           dcmpstat/etc/printers.cfg
           dcmsr/data/dsr2xml.xsd
           dcmsr/data/report.css
           dcmsr/data/reportx.css
           dcmtls/tests/dcmtk_ca.pl
           dcmwlm/perl/*.ph
           dcmwlm/perl/*.pl
           oflog/etc/filelog.cfg
           oflog/etc/logger.cfg

- Updated man pages.
  Affects: doxygen/manpages/man1/*

- Updated copyright date.
  Affects: dcmdata/docs/dcm2pdf.man
           dcmdata/docs/dcm2xml.man
           dcmdata/docs/dcmconv.man
           dcmdata/docs/dcmcrle.man
           dcmdata/docs/dcmdrle.man
           dcmdata/docs/dcmdump.man
           dcmdata/docs/dcmftest.man
           dcmdata/docs/dcmgpdir.man
           dcmdata/docs/dump2dcm.man
           dcmdata/docs/pdf2dcm.man
           dcmdata/docs/xml2dcm.man
           dcmimage/docs/dcm2pnm.man
           dcmimage/docs/dcmquant.man
           dcmimage/docs/dcmscale.man
           dcmimgle/docs/dcmdspfn.man
           dcmimgle/docs/dcod2lum.man
           dcmimgle/docs/dconvlum.man
           dcmnet/docs/echoscu.man
           dcmnet/docs/termscu.man
           dcmpstat/docs/dcmmkcrv.man
           dcmpstat/docs/dcmmklut.man
           dcmpstat/docs/dcmp2pgm.man
           dcmpstat/docs/dcmprscp.man
           dcmpstat/docs/dcmpschk.man
           dcmpstat/docs/dcmpsmk.man
           dcmpstat/docs/dcmpsprt.man
           dcmpstat/docs/dcmpsrcv.man
           dcmpstat/docs/dcmpssnd.man
           dcmpstat/docs/dcmpsrcv.man
           dcmpstat/docs/dcmpssnd.man
           dcmqrdb/docs/dcmqridx.man
           dcmsign/docs/dcmsign.man

**** Changes from 2010.10.13 (riesmeier)

- Added introducing sentence on Log4cplus library used for oflog.
  Affects: oflog/docs/LICENSE

- Separated license text of the CharLS library from general "readme" text.
  Added:   dcmjpls/docs/License.txt
           dcmjpls/docs/readme.txt
  Removed: dcmjpls/docs/charls-readme.txt

- Added explaining sentence on modules that are not part of the free toolkit.
  Affects: COPYRIGHT

- Removed text for "dcmjp2k" module which is not part of the free toolkit.
  Affects: COPYRIGHT

- Revised copyright text to make clear that the DCMTK uses the BSD License.
  Affects: COPYRIGHT

- Replaced copyright header since source code has been rewritten completely.
  Previously: "Copyright (C) 1993/1994, OFFIS, Oldenburg University and CERIUM"
  Affects: dcmnet/libsrc/dimdump.cc

**** Changes from 2010.10.12 (riesmeier)

- Added man page file for the new command line tool "dcml2pnm".
  Added: doxygen/manpages/man1/dcml2pnm.1

- Removed wrong reference to JPEG output format.
  Affects: dcmjpls/docs/dcml2pnm.man

**** Changes from 2010.10.12 (schlachter)

- Make dcml2pnm build correctly with cmake.
  Affects: dcmjpls/apps/CMakeLists.txt

- Added dcml2pnm which is a dcmjpls-enabled dcm2pnm.
  Added:   dcmjpls/apps/dcml2pnm.cc
           dcmjpls/docs/dcml2pnm.man
  Affects: dcmimage/apps/dcm2pnm.cc
           dcmjpls/apps/CMakeLists.txt
           dcmjpls/apps/Makefile.dep
           dcmjpls/apps/Makefile.in
           dcmjpls/docs/dcmjpls.dox
           dcmjpls/libcharls/Makefile.dep
           dcmjpls/libsrc/Makefile.dep

- Added working implementation of DJLSDecoderBase::decodeFrame().
  Affects: dcmjpls/libsrc/djcodecd.cc

- Avoid redundant findAndGet*() calls.
  Affects: dcmjpls/include/dcmtk/dcmjpls/djcodecd.h
           dcmjpls/libsrc/djcodecd.cc

**** Changes from 2010.10.08 (schlachter)

- Fixed an invalid copyright date.
  Affects: ofstd/tests/tvec.cc

- Documented that we now have our own OFVector class.
  Affects: config/docs/macros.txt

- Use OFVector instead of using std::vector directly.
  Affects: dcmjpls/libcharls/context.h
           dcmjpls/libcharls/header.cc
           dcmjpls/libcharls/intrface.cc
           dcmjpls/libcharls/jpegls.cc
           dcmjpls/libcharls/procline.h
           dcmjpls/libcharls/scan.h
           dcmjpls/libcharls/streams.h

- Implement OFVector.
  Added:   ofstd/tests/tvec.cc
  Affects: ofstd/include/dcmtk/ofstd/ofvector.h
           ofstd/tests/Makefile.dep
           ofstd/tests/Makefile.in

- Updated documentation for HAVE_STL macro.
  Affects: config/docs/macros.txt

- Removed an invalid function which isn't part of std::auto_ptr.
  Affects: ofstd/include/dcmtk/ofstd/ofaptr.h

- Fixed an invalid use of OFauto_ptr.
  Affects: oflog/libsrc/oflog.cc

- Added macro HAVE_STL_AUTO_PTR which defines OFauto_ptr to std::auto_ptr.
  Affects: config/docs/macros.txt
           ofstd/include/dcmtk/ofstd/ofaptr.h

- Fixed all doxygen warnings for OFPair and OFauto_ptr.
  Affects: ofstd/include/dcmtk/ofstd/ofaptr.h
           ofstd/include/dcmtk/ofstd/ofmap.h

- Make OFString(NULL) construct an empty string. Previously, this was the
  default, but it was changed to match the behavior of std::string.
  This adds a new define USE_NULL_SAFE_OFSTRING which is always defined by
  our Makefiles. Passing NULL to OFString now also generates a warning in
  DEBUG builds.
  Affects: CMakeLists.txt
           config/Makefile.def.in
           config/docs/macros.txt
           ofstd/libsrc/ofstring.cc

- Don't directly include system header files.
  Affects: dcmjpls/libcharls/config.h
           dcmjpls/libcharls/context.h
           dcmjpls/libcharls/deftrait.h
           dcmjpls/libcharls/header.cc
           dcmjpls/libcharls/intrface.h
           dcmjpls/libcharls/jpegls.cc
           dcmjpls/libcharls/procline.h
           dcmjpls/libcharls/scan.h
           dcmjpls/libcharls/streams.h
           dcmjpls/libcharls/util.h

**** Changes from 2010.10.08 (riesmeier)

- Enhanced documentation on pixel-related parameters.
  Affects: dcmdata/include/dcmtk/dcmdata/dcdatset.h
           dcmdata/include/dcmtk/dcmdata/dcfilefo.h

**** Changes from 2010.10.07 (riesmeier)

- Fixed minor Doxygen API documentation issues (added backslash in order to
  avoid that the short description ends at the first period).
  Affects: dcmnet/include/dcmtk/dcmnet/scp.h
           dcmnet/include/dcmtk/dcmnet/scu.h

- Removed leading underscore characters from preprocessor symbols (reserved).
  Affects: dcmpstat/include/dcmtk/dcmpstat/dcmpstat.h
           dcmpstat/include/dcmtk/dcmpstat/dvcache.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsab.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsabl.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsal.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsall.h
           dcmpstat/include/dcmtk/dcmpstat/dvpscu.h
           dcmpstat/include/dcmtk/dcmpstat/dvpscul.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsda.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsdal.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsdef.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsfs.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsga.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsgal.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsgl.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsgll.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsgr.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsgrl.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsib.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsibl.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsmsg.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsov.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsovl.h
           dcmpstat/include/dcmtk/dcmpstat/dvpspl.h
           dcmpstat/include/dcmtk/dcmpstat/dvpspll.h
           dcmpstat/include/dcmtk/dcmpstat/dvpspr.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsri.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsril.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsrs.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsrsl.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsspl.h
           dcmpstat/include/dcmtk/dcmpstat/dvpssv.h
           dcmpstat/include/dcmtk/dcmpstat/dvpssvl.h
           dcmpstat/include/dcmtk/dcmpstat/dvpstx.h
           dcmpstat/include/dcmtk/dcmpstat/dvpstxl.h
           dcmpstat/include/dcmtk/dcmpstat/dvpstyp.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsvl.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsvll.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsvw.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsvwl.h

**** Changes from 2010.10.06 (riesmeier)

- Replaced numeric tags by pre-defined tag names for old ACR/NEMA palettes.
  Affects: dcmimage/libsrc/diargimg.cc
           dcmimage/libsrc/dipalimg.cc

- Use DCM_UndefinedTagKey if no explanation tag can be specified for a LUT.
  Affects: dcmimage/libsrc/diargimg.cc
           dcmimage/libsrc/dipalimg.cc
           dcmimgle/libsrc/diluptab.cc

- Removed definition of HAVE_STD_STRING for non-Windows systems.
  Affects: CMake/osconfig.h.in

- Added text on the fact that the --key option also supports attribute paths.
  Affects: dcmdata/apps/img2dcm.cc
           dcmdata/docs/img2dcm.man

- Introduced meaningful sub groups for the processing command line options.
  Affects: dcmdata/apps/img2dcm.cc
           dcmdata/docs/img2dcm.man

**** Changes from 2010.10.05 (riesmeier)

- Added preliminary support for VOI LUT function. Please note, however, that
  the sigmoid transformation is not yet implemented.
  Affects: dcmimage/apps/dcm2pnm.cc
           dcmimage/docs/dcm2pnm.man
           dcmimgle/include/dcmtk/dcmimgle/dcmimage.h
           dcmimgle/include/dcmtk/dcmimgle/dimoimg.h
           dcmimgle/include/dcmtk/dcmimgle/dimoopxt.h
           dcmimgle/include/dcmtk/dcmimgle/diutils.h
           dcmimgle/libsrc/dimoimg.cc
           dcmimgle/libsrc/dimoimg3.cc
           dcmimgle/libsrc/dimoimg4.cc
           dcmimgle/libsrc/dimoimg5.cc
           dcmjpeg/docs/dcmj2pnm.man

- Output more information on the image, e.g. value of PresentationLUTShape.
  Also slightly changed the error handling for some image transformations.
  Affects: dcmimage/apps/dcm2pnm.cc

- In debug mode, output more details on overlay plane to the logger.
  Affects: dcmimgle/include/dcmtk/dcmimgle/dimoopxt.h

- Output information on conversion process to the logger (debug mode).
  Affects: dcmimage/include/dcmtk/dcmimage/dicoopxt.h

- Added section listing the supported input transfer syntaxes.
  Affects: dcmimage/docs/dcm2pnm.man
           dcmjpeg/docs/dcmj2pnm.man

- Also remove PixelPaddingRangeLimit element from the dataset (if required).
  Affects: dcmimage/libsrc/diquant.cc
           dcmimgle/libsrc/diimage.cc

- Fixed various Doxygen API documentation issues.
  Affecs: dcmdata/include/dcmtk/dcmdata/dcdatset.h
          dcmimage/include/dcmtk/dcmimage/dicoopxt.h
          dcmimgle/include/dcmtk/dcmimgle/dibaslut.h
          dcmimgle/include/dcmtk/dcmimgle/diimage.h
          ofstd/include/dcmtk/ofstd/ofset.h
          ofstd/include/dcmtk/ofstd/ofsetit.h

**** Changes from 2010.10.05 (schlachter)

- Removed a unused copy-constructor and a unused operator=.
  Affects: dcmnet/include/dcmtk/dcmnet/dcuserid.h
           dcmnet/libsrc/dcuserid.cc

- Fixed all remaining warnings from -Wall -Wextra -pedantic.
  Affects: dcmjpls/libsrc/djcodecd.cc
           dcmjpls/libsrc/djcodece.cc
           dcmjpls/libsrc/djutils.cc
           dcmnet/libsrc/dcuserid.cc

- Re-apply build fixes for MSVC6.
  Affects: dcmjpls/libcharls/intrface.h
           dcmjpls/libcharls/scan.h

- Removed Sint64 and Uint64 since there is no 64bit int available everywhere.
  Affects: ofstd/include/dcmtk/ofstd/oftypes.h

- Update dcmjpls to newest CharLS snapshot.
  Added:   dcmjpls/libcharls/pubtypes.h
  Affects: dcmjpls/apps/Makefile.dep
           dcmjpls/apps/dcmcjpls.cc
           dcmjpls/apps/dcmdjpls.cc
           dcmjpls/docs/charls-readme.txt
           dcmjpls/libcharls/Makefile.dep
           dcmjpls/libcharls/clrtrans.h
           dcmjpls/libcharls/config.h
           dcmjpls/libcharls/context.h
           dcmjpls/libcharls/ctxtrmod.h
           dcmjpls/libcharls/decodstr.h
           dcmjpls/libcharls/deftrait.h
           dcmjpls/libcharls/encodstr.h
           dcmjpls/libcharls/header.cc
           dcmjpls/libcharls/header.h
           dcmjpls/libcharls/intrface.cc
           dcmjpls/libcharls/intrface.h
           dcmjpls/libcharls/jpegls.cc
           dcmjpls/libcharls/lltraits.h
           dcmjpls/libcharls/lokuptbl.h
           dcmjpls/libcharls/procline.h
           dcmjpls/libcharls/scan.h
           dcmjpls/libcharls/streams.h
           dcmjpls/libcharls/util.h
           dcmjpls/libsrc/Makefile.dep
           dcmjpls/libsrc/djcodecd.cc
           dcmjpls/libsrc/djcodece.cc

**** Changes from 2010.10.04 (riesmeier)

- Introduced new substitution variable "#r" for the calling presentation
  address (i.e. the hostname or IP address of the peer storage SCU).
  Thanks to Gerhard Holzinger <gerhard.holzinger@earchive.at> for the proposal.
  Affects: dcmnet/apps/storescp.cc
           dcmnet/docs/storescp.man

- Fixed issue with codec registry when compiled on Linux x86_64 with "configure
  --disable-threads" (replaced "#ifdef _REENTRANT" by "#ifdef WITH_THREADS").
  Thanks to forum user "mask" for the original report and Andreas Barth
  <andreas.barth@bruker-biospin.de> for the suggested fix.
  Affects: dcmdata/include/dcmtk/dcmdata/dccodec.h
           dcmdata/libsrc/dccodec.cc

- Replaced "#ifdef _REENTRANT" by "#ifdef WITH_THREADS" where appropriate (i.e.
  in all cases where OFMutex, OFReadWriteLock, etc. are used).
  Affects: dcmdata/include/dcmtk/dcmdata/dcdict.h
           dcmdata/include/dcmtk/dcmdata/dcistrmf.h
           dcmdata/libsrc/dcdict.cc
           dcmdata/libsrc/dcistrmf.cc
           dcmdata/libsrc/dcuid.cc
           dcmimgle/include/dcmtk/dcmimgle/diobjcou.h
           ofstd/include/dcmtk/ofstd/ofconsol.h
           ofstd/include/dcmtk/ofstd/ofglobal.h
           ofstd/libsrc/ofconsol.cc

- Further enhancements on BlendingSequence (e.g. check whether it exists before
  trying to copy certain data elements from it).
  Affects: dcmdata/libsrc/dcddirif.cc

- Undefine macro FAR before defining it in order to avoid compiler warnings
  (C4005 - macro redefinition) reported by VisualStudio 2008.
  Affects: dcmjpeg/libijg12/jmorecfg12.h
           dcmjpeg/libijg16/jmorecfg16.h
           dcmjpeg/libijg8/jmorecfg8.h

- Added explicit type cast in order to keep VisualStudio 2008 quiet.
  Affects: dcmdata/tests/tstpread.cc
           dcmsign/libsrc/simaccon.cc

- Fixed various Doxygen API documentation issues.
  Affecs: dcmdata/include/dcmtk/dcmdata/dcddirif.h
          dcmsr/include/dcmtk/dcmsr/dsrtypes.h

- Fixed typo.
  Affects: dcmjpeg/docs/dcmcjpeg.man

**** Changes from 2010.10.01 (riesmeier)

- Added support for the BlendingSequence required for directory records of the
  Blending Softcopy Presentation State Storage SOP Class.
  Affects: dcmdata/libsrc/dcddirif.cc

- Added new helper function findAndInsertCopyOfElement().
  Affects: dcmdata/include/dcmtk/dcmdata/dcitem.h
           dcmdata/libsrc/dcitem.cc

- Added support for new non-image Storage SOP Classes that require the new
  directory record type MEASUREMENT. Also fixed issues with other record types.
  Affects: dcmdata/include/dcmtk/dcmdata/dcddirif.h
           dcmdata/libsrc/dcddirif.cc

- Added new directory record type MEASUREMENT from Supplement 144.
  Affects: dcmdata/include/dcmtk/dcmdata/dcdirrec.h
           dcmdata/libsrc/dcdirrec.cc

**** Changes from 2010.10.01 (schlachter)

- Fix some code duplication in the FileAppenders.
  Affects: oflog/libsrc/fileap.cc

- Added an explicit "private" to work around AIX 5.2's IBM compiler.
  Thanks to Michael Kraemer from GSI for the report.
  Affects: oflog/include/dcmtk/oflog/spi/factory.h

- Fixed most compiler warnings from -Wall -Wextra -pedantic in dcmdata.
  Affects: dcmdata/include/dcmtk/dcmdata/libi2d/i2dbmps.h
           dcmdata/libsrc/dcdirrec.cc
           dcmdata/libsrc/dcrleccd.cc
           dcmdata/libsrc/dcuid.cc
           dcmdata/libsrc/dcxfer.cc
           dcmdata/libsrc/vrscani.h

- Fixed most compiler warnings in remaining modules.
  Affects: dcmnet/include/dcmtk/dcmnet/assoc.h
           dcmnet/libsrc/dul.cc
           dcmnet/libsrc/scp.cc
           dcmnet/libsrc/scu.cc
           dcmqrdb/libsrc/dcmqrcbg.cc
           dcmqrdb/libsrc/dcmqrcbm.cc
           dcmqrdb/libsrc/dcmqrdbi.cc
           dcmtls/include/dcmtk/dcmtls/tlsscu.h

**** Changes from 2010.09.30 (riesmeier)

- Added support for new non-image Storage SOP Classes that require the new
  directory record types PALETTE and SURFACE. Also updated existing records.
  Affects: dcmdata/include/dcmtk/dcmdata/dcddirif.h
           dcmdata/libsrc/dcddirif.cc

- Added new directory record types HL7 STRUC DOC, PALETTE and SURFACE.
  Affects: dcmdata/include/dcmtk/dcmdata/dcdirrec.h
           dcmdata/libsrc/dcdirrec.cc

- Added two Model UIDs from Supplement 118 (Application Hosting).
  Affects: dcmdata/include/dcmtk/dcmdata/dcuid.h
           dcmdata/libsrc/dcuid.cc

- Added support for the Spectacle Prescription Report IOD.
  Added:   dcmsr/include/dcmtk/dcmsr/dsrspecc.h
           dcmsr/libsrc/dsrspecc.cc
  Affects: dcmsr/docs/dsr2html.man
           dcmsr/docs/dsr2xml.man
           dcmsr/docs/dsrdump.man
           dcmsr/docs/xml2dsr.man
           dcmsr/include/dcmtk/dcmsr/dsrtypes.h
           dcmsr/libsrc/CMakeLists.txt
           dcmsr/libsrc/dsrtypes.cc
           dcmsr/libsrc/Makefile.dep
           dcmsr/libsrc/Makefile.in

- Added support for the Macular Grid Thickness and Volume Report IOD.
  Added:   dcmsr/include/dcmtk/dcmsr/dsrmaccc.h
           dcmsr/libsrc/dsrmaccc.cc
  Affects: dcmsr/docs/dsr2html.man
           dcmsr/docs/dsr2xml.man
           dcmsr/docs/dsrdump.man
           dcmsr/docs/xml2dsr.man
           dcmsr/include/dcmtk/dcmsr/dsrtypes.h
           dcmsr/libsrc/CMakeLists.txt
           dcmsr/libsrc/dsrtypes.cc
           dcmsr/libsrc/Makefile.dep
           dcmsr/libsrc/Makefile.in

- Renamed class and enumeration related to the Key Object Selection Document.
  Affects: dcmsr/include/dcmtk/dcmsr/dsrkeycc.h
           dcmsr/include/dcmtk/dcmsr/dsrtypes.h
           dcmsr/libsrc/dsrdoc.cc
           dcmsr/libsrc/dsrkeycc.cc
           dcmsr/libsrc/dsrtypes.cc

- Fixed incomplete comment.
  Affects: dcmsr/include/dcmtk/dcmsr/dsrdoc.h

- Fixed typo in the name of a Storage SOP Class (copied from DICOM part 6).
  Affects: dcmdata/include/dcmtk/dcmdata/dcuid.h
           dcmdata/libsrc/dcddirif.cc
           dcmdata/libsrc/dcuid.cc
           dcmnet/docs/movescu.man
           dcmnet/docs/storescp.man
           dcmnet/etc/storescp.cfg
           dcmnet/etc/storescu.cfg
           dcmqrdb/docs/dcmqrscp.man

- Added missing call to DIMSE_dumpMessage_start() for C-GET-RQ message.
  Affects: dcmnet/libsrc/dimdump.cc

**** Changes from 2010.09.29 (riesmeier)

- Enhanced checking and reporting of standard violations in write() methods.
  Affects: dcmsr/include/dcmtk/dcmsr/dsrtypes.h
           dcmsr/libsrc/dsrdoc.cc
           dcmsr/libsrc/dsrdoctn.cc
           dcmsr/libsrc/dsrimgfr.cc
           dcmsr/libsrc/dsrreftn.cc
           dcmsr/libsrc/dsrsc3gr.cc
           dcmsr/libsrc/dsrscogr.cc
           dcmsr/libsrc/dsrtcodt.cc
           dcmsr/libsrc/dsrtcosp.cc
           dcmsr/libsrc/dsrtcoto.cc
           dcmsr/libsrc/dsrtypes.cc
           dcmsr/libsrc/dsrwavch.cc

- Added support for the recently introduced, optional PreliminaryFlag.
  Affects: dcmsr/data/dsr2xml.xsd
           dcmsr/include/dcmtk/dcmsr/dsrdoc.h
           dcmsr/include/dcmtk/dcmsr/dsrtypes.h
           dcmsr/libsrc/dsrdoc.cc
           dcmsr/libsrc/dsrtypes.cc

- Used more specific "moduleName" for getAndCheckElementFromDataset() and
  checkElementValue().
  Affects: dcmsr/libsrc/dsrcsidl.cc
           dcmsr/libsrc/dsrdoc.cc
           dcmsr/libsrc/dsrdoctn.cc
           dcmsr/libsrc/dsrreftn.cc
           dcmsr/libsrc/dsrsoprf.cc

- Enhanced comments on attributes from Enhanced General Equipment Module.
  Affects: dcmsr/include/dcmtk/dcmsr/dsrdoc.h

- Fixed wrong by-reference relationships in constraint checker for Colon CAD.
  Affects: dcmsr/libsrc/dsrcolcc.cc

**** Changes from 2010.09.28 (riesmeier)

- Added support for Enhanced General Equipment Module which is required for
  both X-Ray Radiation Dose SR and Colon CAD SR.
  Affects: dcmsr/data/dsr2xml.xsd
           dcmsr/include/dcmtk/dcmsr/dsrdoc.h
           dcmsr/include/dcmtk/dcmsr/dsrtypes.h
           dcmsr/libsrc/dsrdoc.cc
           dcmsr/libsrc/dsrtypes.cc

- Added support for Colon CAD SR which requires a new value type (SCOORD3D).
  Added:   dcmsr/include/dcmtk/dcmsr/dsrcolcc.h
           dcmsr/include/dcmtk/dcmsr/dsrsc3gr.h
           dcmsr/include/dcmtk/dcmsr/dsrsc3tn.h
           dcmsr/include/dcmtk/dcmsr/dsrsc3vl.h
           dcmsr/libsrc/dsrcolcc.cc
           dcmsr/libsrc/dsrsc3gr.cc
           dcmsr/libsrc/dsrsc3tn.cc
           dcmsr/libsrc/dsrsc3vl.cc
  Affects: dcmsr/apps/Makefile.dep
           dcmsr/data/dsr2xml.xsd
           dcmsr/docs/dsr2html.man
           dcmsr/docs/dsr2xml.man
           dcmsr/docs/dsrdump.man
           dcmsr/docs/xml2dsr.man
           dcmsr/include/dcmtk/dcmsr/dsrtypes.h
           dcmsr/libsrc/CMakeLists.txt
           dcmsr/libsrc/dsrtypes.cc
           dcmsr/libsrc/Makefile.dep
           dcmsr/libsrc/Makefile.in
           dcmsr/tests/Makefile.dep

- Added new non-image Storage SOP Classes that do not require a new directory
  record type (e.g. SR DOCUMENT and WAVEFORM).
  Affects: dcmdata/libsrc/dcddirif.cc

- Added VL Whole Slide Microscopy Image Storage SOP Class (Supplement 145).
  Affects: dcmdata/include/dcmtk/dcmdata/dcuid.h
           dcmdata/libsrc/dcuid.cc
           dcmnet/docs/movescu.man
           dcmnet/docs/storescp.man
           dcmnet/etc/storescp.cfg
           dcmnet/etc/storescu.cfg
           dcmqrdb/docs/dcmqrscp.man

- Made sure that no NULL pointer is passed to the OFString constructor.
  Affects: dcmsr/libsrc/dsrxmld.cc

- Updated comment on the requirements for POLYLINE according to CP-233.
  Affects: dcmsr/include/dcmtk/dcmsr/dsrscovl.h
           dcmsr/libsrc/dsrscovl.cc

- Use new isEmpty() method instead of length in order to determine whether the
  element value is empty (e.g. for checking the presence of type 3 attributes).
  Affects: dcmsr/libsrc/dsrdoc.cc
           dcmsr/libsrc/dsrtypes.cc

**** Changes from 2010.09.27 (riesmeier)

- Added comment to retired transfer syntaxes and changed order of transfer
  syntax definitions according to their UID value.
  Affects: dcmdata/include/dcmtk/dcmdata/dcuid.h

- Updated list of SOP Class UIDs and well-known SOP Instance UIDs according to
  the current edition of the DICOM standard (including final text supplements).
  Affects: dcmdata/include/dcmtk/dcmdata/dcuid.h
           dcmdata/libsrc/dcuid.cc
           dcmnet/docs/movescu.man
           dcmnet/docs/storescp.man
           dcmnet/docs/storescu.man
           dcmnet/etc/storescp.cfg
           dcmnet/etc/storescu.cfg
           dcmqrdb/docs/dcmqrscp.man

- Added newly introduced multi-frame image SOP classes to DVD MPEG2 profile.
  Affects: dcmdata/libsrc/dcddirif.cc

**** Changes from 2010.09.24 (riesmeier)

- Compared names of SOP Class UIDs with 2009 edition of the DICOM standard. The
  resulting name changes are mainly caused by the fact that the corresponding
  SOP Class is now retired.
  NB: Both users and developers should be aware of these changes and modify
  their scripts and/or source code accordingly. This is a one-time effort.
  Affects: dcmdata/include/dcmtk/dcmdata/dcuid.h
           dcmdata/libsrc/dcddirif.cc
           dcmdata/libsrc/dcuid.cc
           dcmimgle/libsrc/dcmimage.cc
           dcmimgle/libsrc/dimomod.cc
           dcmjpeg/libsrc/djcodecd.cc
           dcmjpeg/libsrc/djcodece.cc
           dcmjpls/libsrc/djcodecd.cc
           dcmnet/apps/findscu.cc
           dcmnet/apps/movescu.cc
           dcmnet/docs/movescu.man
           dcmnet/docs/storescp.man
           dcmnet/docs/storescu.man
           dcmnet/etc/storescp.cfg
           dcmnet/etc/storescu.cfg
           dcmpstat/libsrc/dcmpstat.cc
           dcmpstat/libsrc/dviface.cc
           dcmpstat/libsrc/dvpsib.cc
           dcmpstat/libsrc/dvpssp.cc
           dcmqrdb/docs/dcmqrscp.man
           dcmqrdb/libsrc/dcmqrdbi.cc
           dcmqrdb/libsrc/dcmqrsrv.cc
           dcmsr/docs/dsr2html.man
           dcmsr/docs/dsr2xml.man
           dcmsr/docs/dsrdump.man
           dcmsr/docs/xml2dsr.man
           dcmsr/libsrc/dsrtypes.cc

- Updated man pages.
  Affects: doxygen/manpages/man1/*

**** Changes from 2010.09.23 (riesmeier)

- Removed outdated comment copied from a previous edition of the DICOM standard
  and removed references to CP 359 and 571.
  Affects: dcmsr/libsrc/dsrcomcc.cc

**** Changes from 2010.09.22 (riesmeier)

- Moved evaluation version of non-public DICOM tools to new module "dcmeval".
  Affects: CMakeLists.txt
           config/changext

- Added evaluation versions of non-public DICOM tools "mppsscu" and "stcomscu".
  Affects: config/changext

**** Changes from 2010.09.16 (schlachter)

- Log DUL errors on the ERROR level instead of INFO.
  Affects: dcmnet/apps/storescp.cc

- Handle empty PDVs correctly again.
  Affects: dcmnet/libsrc/dulfsm.cc

**** Changes from 2010.09.15 (riesmeier)

- Added definition of XML encoding transfer syntax (Supplement 114) and JPIP
  referenced transfer syntaxes (Supplement 106).
  Affects: dcmdata/include/dcmtk/dcmdata/dcuid.h
           dcmdata/include/dcmtk/dcmdata/dcxfer.h
           dcmdata/libsrc/dcuid.cc
           dcmdata/libsrc/dcxfer.cc

**** Changes from 2010.09.14 (schlachter)

- Verify the length fields in the PDUs that we receive.
  Affects: dcmnet/include/dcmtk/dcmnet/dcuserid.h
           dcmnet/libsrc/dcuserid.cc
           dcmnet/libsrc/dulparse.cc

- Log DUL errors on the INFO level instead of DEBUG.
  Affects: dcmnet/apps/storescp.cc

**** Changes from 2010.09.14 (riesmeier)

- Added support for Supplement 145 (Whole Slide Microscopic Image IOD and SOP
  Classes) to DICOM data dictionary.
  Affects: dcmdata/data/dicom.dic
           dcmdata/include/dcmtk/dcmdata/dcdeftag.h
           dcmdata/libsrc/dcdictzz.cc

- Fixed issue with missing characters (e.g. apostrophe) in created text files.
  Affects: doxygen/Makefile.in

- Added support for CP 650, 988, 1010 and 1024 to DICOM data dictionary.
  Affects: dcmdata/data/dicom.dic
           dcmdata/include/dcmtk/dcmdata/dcdeftag.h
           dcmdata/libsrc/dcdictzz.cc

**** Changes from 2010.09.13 (riesmeier)

- Fixed issue with non-blocking mode in Move SCU (given timeout was ignored).
  Thanks to forum user "focus" for the original report.
  Affects: dcmnet/apps/movescu.cc

**** Changes from 2010.09.10 (riesmeier)

- Revised warning message to indicate that existing DICOM file is overwritten.
  Affects: dcmnet/apps/storescp.cc

**** Changes from 2010.09.09 (riesmeier)

- Removed unused (or never used?) configuration entries.
  Affects: dcmqrdb/docs/dcmqrcnf.txt
           dcmqrdb/etc/dcmqrscp.cfg
           dcmqrdb/include/dcmtk/dcmqrdb/dcmqrcnf.h
           dcmqrdb/libsrc/dcmqrcnf.cc

- Further code clean-up and minor changes to log messages.
  Affects: dcmqrdb/libsrc/dcmqrcbg.cc
           dcmqrdb/libsrc/dcmqrcnf.cc
           dcmqrdb/libsrc/dcmqrdbi.cc
           dcmqrdb/libsrc/dcmqrsrv.cc

- Made log messages more consistent. Replaced '\n' by OFendl where appropriate.
  Affects: dcmqrdb/apps/dcmqrscp.cc
           dcmqrdb/apps/dcmqrti.cc
           dcmqrdb/libsrc/dcmqrcbf.cc
           dcmqrdb/libsrc/dcmqrcbg.cc
           dcmqrdb/libsrc/dcmqrcbm.cc
           dcmqrdb/libsrc/dcmqrcbs.cc
           dcmqrdb/libsrc/dcmqrdbi.cc
           dcmqrdb/libsrc/dcmqrsrv.cc
           dcmqrdb/libsrc/dcmqrtis.cc

- Added support for Supplement 146 (Ophthalmic Visual Field Static Perimetry
  Measurements Storage SOP Class) to DICOM data dictionary and fixed typos in
  recent additions for Supplement 144.
  Affects: dcmdata/data/dicom.dic
           dcmdata/include/dcmtk/dcmdata/dcdeftag.h
           dcmdata/libsrc/dcdictzz.cc

- Fixed wrong typecast on callback data in progressCallback() function.
  Thanks to forum user "Shaeto" for the report and suggested fix.
  Affects: dcmnet/libsrc/dfindscu.cc

- Added support for "MPEG2 Main Profile @ High Level" transfer syntax.
  Affects: dcmnet/apps/echoscu.cc

- Fixed typo in OFCondition constants for SCP/SCU role selection failures.
  Thanks to Peter Klotz <Peter.Klotz@ith-icoserve.com> for the report.
  Affects: dcmnet/include/dcmtk/dcmnet/cond.h
           dcmnet/libsrc/assoc.cc
           dcmnet/libsrc/cond.cc
           dcmnet/libsrc/dcasccfg.cc

**** Changes from 2010.09.08 (schlachter)

- Fix wrong use of logical invert. A bit-wise invert is meant here.
  Affects: dcmnet/libsrc/dulconst.cc

**** Changes from 2010.09.07 (schlachter)

- Fixed a missing addOption() call.
  Affects: dcmnet/apps/storescp.cc

- Fixed a possible read beyond the end of the PDV buffer.
  Affects: dcmnet/libsrc/dulfsm.cc

**** Changes from 2010.09.03 (schlachter)

- Make the VR scanner work on windows again.
  Affects: dcmdata/libsrc/vrscani.h
           dcmdata/libsrc/vrscanl.c
           dcmdata/libsrc/vrscanl.h
           dcmdata/libsrc/vrscanl.l

**** Changes from 2010.09.02 (riesmeier)

- Added support for "MPEG2 Main Profile @ High Level" transfer syntax.
  Affects: dcmdata/include/dcmtk/dcmdata/dcuid.h
           dcmdata/include/dcmtk/dcmdata/dcxfer.h
           dcmdata/libsrc/dcuid.cc
           dcmdata/libsrc/dcxfer.cc
           dcmnet/apps/movescu.cc
           dcmnet/apps/storescp.cc
           dcmnet/apps/storescu.cc
           dcmnet/docs/movescu.man
           dcmnet/docs/storescp.man
           dcmnet/docs/storescu.man
           dcmnet/etc/storescp.cfg
           dcmnet/etc/storescu.cfg
           dcmnet/libsrc/dimse.cc
           dcmqrdb/apps/dcmqrscp.cc
           dcmqrdb/docs/dcmqrscp.man
           dcmqrdb/libsrc/dcmqrcbm.cc
           dcmqrdb/libsrc/dcmqrsrv.cc

- Added support for Supplement 144 (Ophthalmic Axial Measurements Storage SOP
  Classes) to DICOM data dictionary.
  Affects: dcmdata/data/dicom.dic
           dcmdata/include/dcmtk/dcmdata/dcdeftag.h
           dcmdata/libsrc/dcdictzz.cc

- Added support for Supplement 120 (Extended Presentation States) to DICOM data
  dictionary and fixed some wrong definitions from previous version.
  Affects: dcmdata/data/dicom.dic
           dcmdata/include/dcmtk/dcmdata/dcdeftag.h
           dcmdata/libsrc/dcdictzz.cc

**** Changes from 2010.09.02 (schlachter)

- Use longjmp() for error handling in the VR scanner.
  Added:   dcmdata/libsrc/vrscani.h
  Affects: dcmdata/libsrc/Makefile.dep
           dcmdata/libsrc/vrscan.cc
           dcmdata/libsrc/vrscanl.c
           dcmdata/libsrc/vrscanl.h
           dcmdata/libsrc/vrscanl.l

- Fix a compiler warning about an unused function.
  Affects: dcmdata/libsrc/vrscanl.c
           dcmdata/libsrc/vrscanl.h
           dcmdata/libsrc/vrscanl.l

- Added a test for UT VR with an invalid character.
  Affects: dcmdata/tests/tstchval.cc

- The VR scanner now only copies the input data once, not twice.
  Affects: dcmdata/include/dcmtk/dcmdata/vrscan.h
           dcmdata/libsrc/Makefile.dep
           dcmdata/libsrc/vrscan.cc

- Avoid a pointless data-copy in DcmElement::scanValue() if possible.
  Affects: dcmdata/libsrc/dcelem.cc

- Add the VR prefix in the scanner instead of adding it in the caller.
  Affects: dcmdata/include/dcmtk/dcmdata/vrscan.h
           dcmdata/libsrc/dcelem.cc
           dcmdata/libsrc/vrscan.cc

- Made the VR scanner reentrant again.
  Affects: dcmdata/libsrc/Makefile.dep
           dcmdata/libsrc/vrscan.cc
           dcmdata/libsrc/vrscanl.c
           dcmdata/libsrc/vrscanl.h
           dcmdata/libsrc/vrscanl.l

**** Changes from 2010.08.27 (onken)

- Fixed cmake compilation under unix according to changes regarding flex
  version transition.
  Affects: dcmdata/libsrc/CMakeLists.txt

**** Changes from 2010.08.26 (riesmeier)

- Fixed incorrect behavior of association acceptors during SCP/SCU role
  selection negotiation.
  Affects: dcmnet/include/dcmtk/dcmnet/assoc.h
           dcmnet/include/dcmtk/dcmnet/cond.h
           dcmnet/include/dcmtk/dcmnet/dul.h
           dcmnet/libsrc/assoc.cc
           dcmnet/libsrc/cond.cc
           dcmnet/libsrc/dcasccfg.cc
           dcmnet/libsrc/dul.cc
           dcmnet/libsrc/dulconst.cc
           dcmnet/libsrc/dulfsm.cc

- Introduced new global flag which allows for rejecting presentation contexts
  in case of an unsuccessful SCP/SCU role selection (disabled by default).
  Affects: dcmnet/include/dcmtk/dcmnet/dul.h
           dcmnet/libsrc/assoc.cc
           dcmnet/libsrc/dul.cc

- Minor changes to output format of ACSE parameters.
  Affects: dcmnet/libsrc/assoc.cc

**** Changes from 2010.08.26 (schlachter)

- Ported vrscan from ancient flex++ to current flex version.
  Added:   dcmdata/libsrc/vrscanl.c
           dcmdata/libsrc/vrscanl.h
           dcmdata/libsrc/vrscanl.l
  Affects: dcmdata/include/dcmtk/dcmdata/vrscan.h
           dcmdata/libsrc/Makefile.in
           dcmdata/libsrc/dcelem.cc
           dcmdata/libsrc/vrscan.cc

- The FileAppender was using the wrong variable for a check.
  Affects: oflog/libsrc/fileap.cc

- Added a test that breaks DcmUnlimitedText. This has to be fixed.
  Affects: dcmdata/tests/tstchval.cc

**** Changes from 2010.08.25 (riesmeier)

- Output details on ACSE response parameters in case the association is
  rejected because of "No Acceptable Presentation Contexts".
  Affects: dcmnet/libsrc/scp.cc

**** Changes from 2010.08.24 (schlachter)

- Fixed some resource leaks in dcmtls (FDs and memory was leaked).
  Thanks to Peter Klotz <Peter.Klotz@ith-icoserve.com> for submitting a patch.
  Affects: dcmnet/libsrc/dcmtrans.cc
           dcmtls/libsrc/tlstrans.cc

- Fixed a NULL pointer dereference if ASC_acknowledgeAssociation() was called
  without a previous ASC_acceptContextsWithPreferredTransferSyntaxes().
  Thanks to Peter Klotz <Peter.Klotz@ith-icoserve.com> for finding and fixing
  this.
  Affects: dcmnet/libsrc/dulconst.cc

**** Changes from 2010.08.24 (onken)

- Added -fPIC C compiler flag neede to compile under 64 bit linux.
  Thanks to Steve Pieper <pieper@bwh.harvard.edu> for the hint.
  Affects: CMakeLists.txt

**** Changes from 2010.08.23 (eichelberg)

- Minor changes needed for compilation on MSVC6
  Affects: dcmdata/tests/tstpath.cc
           dcmdata/tests/tstpread.cc

**** Changes from 2010.08.19 (schlachter)

- Made OFString follow the C++ standard for std::string::assign().
  Affects: ofstd/include/dcmtk/ofstd/ofstring.h
           ofstd/libsrc/ofstring.cc

- Fixed a comparision that checks for a valid buffer.
  Affects: ofstd/libsrc/ofstd.cc

- Removed unused variables.
  Affects: dcmjpls/libsrc/djcodecd.cc

**** Changes from 2010.08.18 (riesmeier)

- Revised warning message to indicate that existing pixel data raw files are
  never overwritten.
  Affects: dcmdata/libsrc/dcvrobow.cc

- Added const specifier to char pointers where appropriate. Thanks to forum
  user "takeos" for the report.
  Affects: dcmdata/include/dcmtk/dcmdata/dcdicdir.h
           dcmdata/libsrc/dcdicdir.cc

**** Changes from 2010.08.13 (riesmeier)

- Fixed wrong call to DcmItem::putAndInsertSint32() for setting the value of
  NumberOfFrames (0028,0008) which has a value representation of IS (not SL).
  Thanks to Peter Klotz <Peter.Klotz@ith-icoserve.com> for the original report.
  Affects: dcmimage/libsrc/dicoimg.cc

**** Changes from 2010.08.12 (onken)

- Fixed MinGW compilation also for building with cmake.
  Affects: CMake/GenerateDCMTKConfigure.cmake
           oflog/libsrc/winsock.cc

- Make sure that configure/make works on current MinGW systems.
  Affects: oflog/libsrc/factory.cc

**** Changes from 2010.08.12 (riesmeier)

- Made sure that "arpa/inet.h" is only included when available on the system.
  Affects: oflog/libsrc/unixsock.cc

- Added explicit type cast for fourth parameter of setsockopt() which is
  required for some systems.
  Affects: oflog/libsrc/unixsock.cc

**** Changes from 2010.08.10 (schlachter)

- Fixed some cases where dcmFindNameOfUID() returning NULL could cause crashes.
  Affects: dcmdata/include/dcmtk/dcmdata/dcuid.h
           dcmdata/libsrc/dcddirif.cc
           dcmdata/libsrc/dcuid.cc
           dcmdata/libsrc/mkdictbi.cc
           dcmnet/apps/storescu.cc
           dcmnet/libsrc/dul.cc
           dcmnet/libsrc/scu.cc

- Removed undefined function printFileErrorMessage().
  Affects: dcmdata/include/dcmtk/dcmdata/dcddirif.h

- Fixed some unlikely problems with NULL pointers.
  Affects: ofstd/libsrc/ofconapp.cc
           ofstd/libsrc/ofstd.cc

**** Changes from 2010.08.10 (riesmeier)

- Re-added newline character removed by last commit and moved another newline
  to the right place.
  Affects: dcmdata/tests/tstpath.cc

**** Changes from 2010.08.09 (onken)

- Fixed path test.
  Affects: dcmdata/tests/tstpath.cc

- Added CMakeLists.txt for dcmdata tests.
  Affects: dcmdata/CMakeLists.txt
           dcmdata/tests/CMakeLists.txt

**** Changes from 2010.08.09 (riesmeier)

- Updated data dictionary to 2009 edition of the DICOM standard. From now on,
  the official "keyword" is used for the attribute name which results in a
  number of minor changes (e.g. "PatientsName" is now called "PatientName").
  NB: Both users and developers should be aware of these changes and modify
  their scripts and/or source code accordingly. This is a one-time effort.
  Affects: dcmdata/apps/dcmgpdir.cc
           dcmdata/apps/pdf2dcm.cc
           dcmdata/data/dicom.dic
           dcmdata/data/dumppat.txt
           dcmdata/docs/dcmdata.dox
           dcmdata/docs/dcmgpdir.man
           dcmdata/docs/dcmodify.man
           dcmdata/docs/img2dcm.man
           dcmdata/include/dcmtk/dcmdata/dcddirif.h
           dcmdata/include/dcmtk/dcmdata/dcdeftag.h
           dcmdata/include/dcmtk/dcmdata/dcpath.h
           dcmdata/include/dcmtk/dcmdata/dctag.h
           dcmdata/include/dcmtk/dcmdata/libi2d/i2d.h
           dcmdata/libi2d/i2d.cc
           dcmdata/libsrc/dccodec.cc
           dcmdata/libsrc/dcddirif.cc
           dcmdata/libsrc/dcdictzz.cc
           dcmdata/tests/tstpath.cc
           dcmjpeg/docs/dcmmkdir.man
           dcmnet/docs/findscu.man
           dcmnet/docs/storescp.man
           dcmpstat/include/dcmtk/dcmpstat/dcmpstat.h
           dcmpstat/include/dcmtk/dcmpstat/dvpssp.h
           dcmpstat/libsrc/dcmpstat.cc
           dcmpstat/libsrc/dviface.cc
           dcmpstat/libsrc/dvpsib.cc
           dcmpstat/libsrc/dvpssp.cc
           dcmqrdb/docs/dcmqrscp.man
           dcmqrdb/docs/dcmqrti.man
           dcmqrdb/include/dcmtk/dcmqrdb/dcmqridx.h
           dcmqrdb/include/dcmtk/dcmqrdb/dcmqrtis.h
           dcmqrdb/libsrc/dcmqrdbi.cc
           dcmqrdb/libsrc/dcmqrtis.cc
           dcmsign/libsrc/sicreapr.cc
           dcmsr/docs/dcmsr.dox
           dcmsr/include/dcmtk/dcmsr/dsrdoc.h
           dcmsr/libsrc/dsrdoc.cc
           dcmwlm/docs/wlmscpfs.man
           dcmwlm/include/dcmtk/dcmwlm/wlds.h
           dcmwlm/include/dcmtk/dcmwlm/wlfsim.h
           dcmwlm/libsrc/wlds.cc
           dcmwlm/libsrc/wlfsim.cc
           dcmwlm/wwwapps/readoviw.cc
           dcmwlm/wwwapps/readwlst.cc
           dcmwlm/wwwapps/writwlst.cc

- Made sure that no NULL pointer is passed to the OFString constructor. Thanks
  to Peter Klotz <Peter.Klotz@ith-icoserve.com> for the report and patch.
  Affects: dcmsr/libsrc/dsrdoctn.cc

- Updated man pages.
  Affects: doxygen/manpages/man1/*

**** Changes from 2010.08.06 (schlachter)

- Fixed some more compiler warnings.
  Affects: dcmimage/libsrc/dipipng.cc
           dcmnet/libsrc/dul.cc
           ofstd/include/dcmtk/ofstd/ofmap.h

**** Changes from 2010.08.05 (schlachter)

- Fixed some warnings from -Wold-style-cast.
  Affects: dcmdata/libi2d/i2dbmps.cc
           dcmdata/libi2d/i2djpgs.cc
           dcmdata/libsrc/dcistrmz.cc
           dcmdata/tests/tstpread.cc
           dcmtls/libsrc/tlslayer.cc
           dcmtls/libsrc/tlstrans.cc
           oflog/include/dcmtk/oflog/oflog.h
           oflog/libsrc/sockbuff.cc
           oflog/libsrc/unixsock.cc
           ofstd/tests/toffile.cc

**** Changes from 2010.07.30 (onken)

- Added error code for new (non-public) module dcmppscu.
  Affects: dcmdata/include/dcmtk/dcmdata/dcerror.h

**** Changes from 2010.07.26 (riesmeier)

- Changed value of _XOPEN_SOURCE for FreeBSD systems to 600 in order to enable
  certain features of unistd.h. Thanks to Pietro Cerutti <gahr@FreeBSD.org> for
  the report and suggested patch.
  Affects: config/configure
           config/configure.in

**** Changes from 2010.07.27 (onken)

- Changed lately introduced defines for uchar, ushort, uint, ulong to typedefs
  to be more consistend with old cfunix.h behaviour and to not collide with QT.
  Thanks to Peter Klotz <Peter.Klotz@ith-icoserve.com> for hint and suggested
  patch.
  Affects: CMake/osconfig.h.in

**** Changes from 2010.07.26 (riesmeier)

- Made sure that no NULL pointer is passed to the OFString constructor. Thanks
  to Peter Klotz <Peter.Klotz@ith-icoserve.com> for the report and patch.
  Affects: dcmimgle/libsrc/dimoimg.cc

- Fixed typo (and revised documentation on the OFSTRING_GUARD macro).
  Affects: ofstd/include/dcmtk/ofstd/ofstring.h

**** Changes from 2010.07.23 (riesmeier)

- Added reference to extended sample configuration file to oflog documentation.
  Affects: oflog/docs/oflog.dox

**** Changes from 2010.07.22 (riesmeier)

- Made sure that the size of the buffer for partial access to pixel data is
  always an even number of bytes.
  Thanks to Jeroen Eggermont <j.eggermont@lumc.nl> for the original report.
  Affects: dcmimgle/include/dcmtk/dcmimgle/diinpxt.h

**** Changes from 2010.07.21 (onken)

- Added some compiler definitions for unix systems that were not taken
  over into cmake for unix. Added some missing include directories (did
  not have any effect, so far).
  Affects: CMakeLists.txt

- Added checks for uchar, ushort, uint, ulong, longlong and ulonglong needed
  by private dcmjp2k module. Also introduced corresponding typedefs as needed
  by dcmjp2k.
  Affects: CMake/GenerateDCMTKConfigure.cmake
           CMake/osconfig.h

**** Changes from 2010.07.21 (riesmeier)

- Introduced new guard macro that makes sure that a C string is never NULL.
  Useful when passing a C string to a OFString constructor or an output stream.
  Affects: ofstd/include/dcmtk/ofstd/ofstring.h

- Enhanced check of input directory variable (also check for empty string).
  Affects: dcmdata/apps/dcmgpdir.cc

- Made sure that no NULL pointer is passed to the OFString constructor.
  Affects: dcmdata/libsrc/dcddirif.cc

- Made sure that no NULL pointer is passed to the OFString constructor. This
  occurred when option --recurse was used without --pattern, or option
  --no-recurse was used without --input-directory.
  Affects: dcmdata/apps/dcmgpdir.cc

- Fixed CVS log entry and updated copyright date.
  Affects: dcmimgle/libsrc/dimoimg.cc

- Fixed memory leak when using processNextFrames(): DiOverlay object was
  created multiple times. Thanks to forum user "takeos" for the report.
  Affects: dcmimgle/include/dcmtk/dcmimgle/dimoimg.h
           dcmimgle/libsrc/dimoimg.cc

- Made sure that no NULL pointer is passed to the OFString constructor. This
  occurred when option --scan-directories was used without --scan-pattern.
  Affects: dcmdata/apps/dcmdump.cc
           dcmnet/apps/storescu.cc

- Fixed possibly wrong calculation of rangeToBits() for negative values.
  Thanks to forum user "takeos" for the report and suggested fix.
  Affects: dcmimgle/libsrc/diutils.cc

**** Changes from 2010.07.16 (onken)

- Fixed VC6 compilation and worked on Borland support.
  Re-inserted some compiler definitions that were in old cfwin32.h but
  are missing in the newly introduced CMake compilation mechanism:
  Added some Visual Studio specific checks disabling some warnings
  (4284 for <= VC6, 4996 and 4351 for > VC6). Added define for HAVE_VSNPRINTF
  (<= VC6). Added _MT definition for Borland with threads. Moved some
  compiler-specific textblocks in order to keep related definitions together.
  Affects: CMake/osconfig.h.in

- Introduced flag to increase internal compiler heap for VC6 since some systems
  fail to compile dcmimgle with the default setting.
  Affects: CMakeLists.txt

**** Changes from 2010.07.16 (schlachter)

- Only generate a single CMakeOutput.log and CMakeError.log. Previously, our own
  code used a different path than CMake itself and we got four log files.
  Affects: CMake/CheckFunctionWithHeaderExists.cmake
           CMake/GenerateDCMTKConfigure.cmake

- Update the affected CMake file in config/changext.
  Affects: config/changext

- Added a check to CMake for a broken 'typename' implementation.
  Added:   CMake/dcmtkTestTypename.cc
  Affects: CMake/GenerateDCMTKConfigure.cmake
           CMake/osconfig.h.in

**** Changes from 2010.07.07 (onken)

- Changed binary OR to logical OR (error introduced by last commit).
  Affects: dcmdata/libsrc/dcddirif.cc

- Added Ophthalmic Photography SOP Classes also to SCP list.
  Affects: doxygen/manpages/man1/dcmqrscp.1

- Corrected names of two Ophthalmic Photography SOP Classes. Thanks to Peter
  Klotz <Peter.Klotz@ith-icoserve.com> for the hint and patch.
  Affects: dcmqrdb/docs/dcmqrscp.man
           doxygen/manpages/man1/dcmqrscp.1

- Added Ophthalmic Tomography Image Storage to list of supported SOP classes.
  Affects: dcmdata/include/dcmtk/dcmdata/dcuid.h
           dcmdata/libsrc/dcddirif.cc
           dcmdata/libsrc/dcuid.cc
           dcmnet/docs/movescu.man
           dcmnet/docs/storescp.man
           dcmnet/docs/storescu.man
           dcmnet/etc/storescp.cfg
           dcmnet/etc/storescu.cfg
           dcmqrdb/docs/dcmqrscp.man
           doxygen/manpages/man1/dcmqrscp.1
           doxygen/manpages/man1/dcmqrscp.1
           doxygen/manpages/man1/storescp.1
           doxygen/manpages/man1/storescu.1

**** Changes from 2010.07.06 (onken)

- Fixed status flag in dictionary denoting that a dictionary is loaded which
  was not set if a single dictionary was loaded explicitly with
  loadDictionary(). In that case isDictionaryLoaded() returned OFFalse where
  OFTrue would be correct. Thanks to forum user "Chichon" for the bug report.
  Affects: dcmdata/libsrc/dcdict.cc

- Fixed memory leaked in extended negotiaton code. Thanks to Peter Klotz
  <Peter.Klotz@ith-icoserve.com> for the hint and patch.
  Affects: dcmnet/libsrc/extneg.cc

**** Changes from 2010.07.05 (schlachter)

- Remove some duplicate checks from the cmake files.
  Affects: CMake/GenerateDCMTKConfigure.cmake

- Always define STDIO_NAMESPACE to :: on window to make MSVC6 happy.
  Affects: CMake/osconfig.h.in

**** Changes from 2010.07.02 (schlachter)

- Include the correct headers while checking for std::vsnprintf and vfprintf.
  Affects: CMake/GenerateDCMTKConfigure.cmake

- Added comment explaining why an even buffer size is required.
  Affects: dcmdata/include/dcmtk/dcmdata/dcpixel.h
           dcmdata/libsrc/dcpixel.cc

**** Changes from 2010.07.02 (riesmeier)

- Introduced new macro "DONT_LOAD_EXTERNAL_DICTIONARIES" that allows for
  loading the builtin dictionary only (at application start), i.e. ignore the
  environment variable DCMDICTPATH and the default dictionary files.
  Thanks to forum user "Niels Dekker" for the suggestion.
  Affects: config/docs/macros.txt
           dcmdata/libsrc/dcdict.cc

- Fixed typo: Changed "SUPRESS_CREATE_STAMP" to "SUPPRESS_CREATE_STAMP".
  Affects: config/docs/macros.txt
           dcmdata/libsrc/mkdeftag.cc
           dcmdata/libsrc/mkdictbi.cc

- Moved CMAKE_POLICY settings in order to avoid warnings during configure.
  Affects: CMakeLists.txt

**** Changes from 2010.07.01 (riesmeier)

- Moved SeriesDescription (0008,103E) from General Series to SR Document Series
  Module (according to CP 703).
  Affects: dcmsr/include/dcmtk/dcmsr/dsrdoc.h
           dcmsr/libsrc/dsrdoc.cc

- Replaced "OFString::length() == 0" by "OFString::empty()".
  Affects: dcmdata/libsrc/dcpath.cc

- Removed superfluous curly brackets.
  Affects: dcmdata/libsrc/dcpath.cc

**** Changes from 2010.07.01 (onken)

- Revised osconfig.h generation: Fixed pthread test by including pthread.h into
  compiled test program. Added test for std::vsnprintf which sets
  HAVE_PROTOTYPE_STD__VSNPRINTF. Slightly adapted and explained chekcs for
  socklen_t and std::ios_base::openmode. Turned useless(?) library searches
  for iostream, nsl and socket into comments.
  Affects: CMake/GenerateDCMTKConfigure.cmake

- Simplified and fixed 3rd-party library support (a second time...).
  Affects: CMakeLists.txt
           CMake/3rdparty.cmake
           CMake/GenerateDCMTKConfigure.cmake

- Fixed 3rd-party compiler switches for windows (libraries not found are now
  reliably disabled if no path is given). Also added some status messages
  printed in CMake configure step.
  Affects: CMakeLists.txt
           CMake/3rdparty.cmake
           CMake/GenerateDCMTKConfigure.cmake

**** Changes from 2010.06.30 (riesmeier)

- Added missing end statement to close a verbatim block.
  Affects: dcmpstat/docs/dcmprscu.man

**** Changes from 2010.06.29 (riesmeier)

- Added new module "dcmstcom" as an optional extension to the documentation.
  Affects: doxygen/htmldocs.dox
           doxygen/htmldocs.cfg

- Re-added old feature that was present in previous versions of the CMake
  files: commented definition of DCMTK_BUILD_DATE and non-public modules.
  Affects: CMakeLists.txt

- Re-added old feature that was present in previous versions of the CMake
  files: set policy CMP0003 to "old" in order to work around warnings about
  escaped quotes in ADD_DEFINITIONS statements.
  Affects: CMakeLists.txt

**** Changes from 2010.06.29 (schlachter)

- Avoid an unneeded call to strlen().
  Affects: ofstd/libsrc/ofconapp.cc

- Fix a typo in my last commit.
  Affects: ofstd/libsrc/ofconapp.cc

**** Changes from 2010.06.28 (riesmeier)

- Introduced explicit type casts in order to compile with new gcc versions on
  MinGW/MSYS. Thanks to forum user "marlam" for the report and suggested fix.
  Affects: ofstd/libsrc/ofthread.cc

- Use type cast macros (e.g. OFstatic_cast) where appropriate.
  Affects: ofstd/libsrc/ofthread.cc

**** Changes from 2010.06.25 (schlachter)

- Correctly check for std::vsnprintf and std::vfprintf.
  The old check always suceeded.
  Affects: config/aclocal.m4
           config/configure
           config/configure.in
           config/include/dcmtk/config/cfunix.h.in

- Don't allow OFString(NULL) because it is also forbidden for std::string.
  Affects: ofstd/libsrc/ofstring.cc

- Fixed issues with compiling with HAVE_STD_STRING.
  Affects: dcmdata/include/dcmtk/dcmdata/dcdicent.h
           dcmdata/libsrc/dctagkey.cc
           dcmimgle/apps/dcod2lum.cc
           dcmimgle/libsrc/diciefn.cc
           dcmimgle/libsrc/digsdfn.cc
           dcmjpeg/libsrc/djdijg12.cc
           dcmjpeg/libsrc/djdijg16.cc
           dcmjpeg/libsrc/djdijg8.cc
           dcmjpeg/libsrc/djeijg12.cc
           dcmjpeg/libsrc/djeijg16.cc
           dcmjpeg/libsrc/djeijg8.cc
           dcmnet/libsrc/dccfuidh.cc
           dcmqrdb/libsrc/dcmqrcnf.cc
           dcmsign/libsrc/siprivat.cc
           oflog/libsrc/hierarchy.cc
           oflog/libsrc/socketap.cc
           oflog/libsrc/threads.cc
           oflog/libsrc/timehelp.cc
           oflog/libsrc/unixsock.cc

**** Changes from 2010.06.24 (riesmeier)

- Revised comment to make clear that the parameter "presID" shall never be 0
  for the sendACTIONRequest() method.
  Affects: dcmnet/include/dcmtk/dcmnet/scu.h

- Added check on whether the presentation context ID of command and data set are
  identical. Made sure that received dataset is deleted when an error occurs.
  Used more appropriate error conditions / return codes. Further code cleanup.
  Affects: dcmnet/libsrc/scp.cc
           dcmnet/libsrc/scu.cc

**** Changes from 2010.06.23 (onken)

- Added building of doxygen and manpage documentation for cmake under unix.
  Affects: CMakeLists.txt
           doxygen/CMakeLists.txt
           CMake/3rdparty.cmake

- Forced 3rd party libraries to be turned off during cmake configuration if
  library was not found or library path not set.
  Affects: CMake/3rdparty.cmake

- Fixed default (private and standard) dictionary path for windows and linux
  in cmake configuration.
  Affects: CMake/GenerateDCMTKConfigure.cmake

- Removed doubled cmake check for windows.h and winsock.h.
  Affects: CMake/GenerateDCMTKConfigure.cmake

- Removed superfluous CMakeLists.txt.
  Affects: config/CMakeLists.txt
  Removed: config/include/dcmtk/config/CMakeLists.txt

- Re-established compatibility to CMake version 2.4. Inserted warning if newer
  cmake version than the one last tested in OFFIS is used (old behaviour).
  Set package date to "CVS" to be consistent with old behaviour. Changed
  install directories to be consistent with unix and old windows behaviour.
  Added cmake policy (CMP0003) to avoid cmake warning when libraries with full
  path are linked to executable. Added installation of general files
  (COPYRIGHT, FAQ, HISTORY, VERSION, ANNOUNCE.355, CHANGES.355).
  Affects: CMakeLists.txt

- Removed obsolete cfwin32.h.in.
  Affects: config/include/dcmtk/config/cfwin32.h.in
           config/include/dcmtk/config/osconfig.h

**** Changes from 2010.06.23 (riesmeier)

- Moved log output to another code line in order to avoid a possible NULL
  pointer dereference. Thanks to forum user "Niels Dekker" for the report.
  Affects: dcmdata/libsrc/dcitem.cc

**** Changes from 2010.06.22 (riesmeier)

- Introduced new enumeration type to be used for closeAssociation().
  Affects: dcmnet/include/dcmtk/dcmnet/scu.h
           dcmnet/libsrc/scu.cc
           dcmtls/include/dcmtk/dcmtls/tlsscu.h
           dcmtls/libsrc/tlsscu.cc

- Added support for handling N-EVENT-REPORT request.
  Affects: dcmnet/include/dcmtk/dcmnet/scp.h
           dcmnet/libsrc/scp.cc

- Added support for stopping after the current association is finished.
  Affects: dcmnet/include/dcmtk/dcmnet/scp.h
           dcmnet/libsrc/scp.cc

- Further code cleanup. Renamed some methods, variables, types and so on.
  Affects: dcmnet/include/dcmtk/dcmnet/scp.h
           dcmnet/include/dcmtk/dcmnet/scu.h
           dcmnet/libsrc/scp.cc
           dcmnet/libsrc/scu.cc

**** Changes from 2010.06.22 (onken)

- Renamed additional CMake C++ files to DCMTK's C++ standard file
  extension .cc.
  Removed:  CMake/dcmtkTestCharSignedness.cxx
            CMake/dcmtkTestBoolType.cxx
            CMake/dcmtkTestPThreadType.cxx
  Added:    CMake/dcmtkTestCharSignedness.cc
            CMake/dcmtkTestBoolType.cc
            CMake/dcmtkTestPThreadType.cc
  Affects:  CMake/GenerateDCMTKConfigure.cmake

- Added experimental cmake support for unix systems and adapted windows build
  configuration. Thanks to CTK and especially Kitware people for help.
  Added:   CMake/3rdparty.cmake
           CMake/CheckFunctionWithHeaderExists.cmake
           CMake/GenerateDCMTKConfigure.cmake
           CMake/dcmtkTestCharSignedness.cxx
           CMake/GenerateDCMTKConfigure.cmake
           CMake/CheckFunctionWithHeaderExists.cmake
           CMake/dcmtkTestBoolType.cxx
           CMake/dcmtkTestPThreadType.cxx
           CMake/osconfig.h.in
  Affects: CMakeLists.txt
           dcmdata/apps/CMakeLists.txt
           dcmimage/apps/CMakeLists.txt
           dcmimgle/apps/CMakeLists.txt
           dcmjpeg/apps/CMakeLists.txt
           dcmjpls/apps/CMakeLists.txt
           dcmnet/apps/CMakeLists.txt
           dcmpstat/CMakeLists.txt
           dcmpstat/apps/CMakeLists.txt
           dcmqrdb/apps/CMakeLists.txt
           cmsign/apps/CMakeLists.txt
           dcmsr/apps/CMakeLists.txt
           dcmsr/tests/CMakeLists.txt
           dcmwlm/apps/CMakeLists.txt
           oflog/libsrc/CMakeLists.txt

**** Changes from 2010.06.21 (riesmeier)

- Fixed issue with InternalLoggingEvent constructor when parameter "function_"
  is NULL. This caused a crash when using any of the command line tools with
  option --arguments and compiled with HAVE_STD_STRING (use "string" class).
  Affects: oflog/include/dcmtk/oflog/spi/logevent.h

- Removed wrong warning message on an optional parameter hiding another one.
  Affects: ofstd/libsrc/ofcmdln.cc

**** Changes from 2010.06.18 (riesmeier)

- Added support for the SCP/SCU role selection negotiation.
  Affects: dcmnet/include/dcmtk/dcmnet/scp.h
           dcmnet/libsrc/scp.cc

- Made sure that the responding application entity title is set.
  Affects: dcmnet/libsrc/scp.cc

- Changed some error conditions / return codes to more appropriate values.
  Further revised logging output. Use DimseCondition::dump() where appropriate.
  Affects: dcmnet/libsrc/scp.cc
           dcmnet/libsrc/scu.cc

**** Changes from 2010.06.18 (schlachter)

- Added undefined assignment operator to PrintHelper to work around
  a warning with VC2008. Thanks to forum user "Yves Neumann" for the report.
  Affects: dcmdata/include/dcmtk/dcmdata/dcobject.h

**** Changes from 2010.06.17 (riesmeier)

- Moved output of "No Acceptable Presentation Contexts" message to another code
  line in order to be visible at all (if appropriate).
  Affects: dcmwlm/libsrc/wlmactmg.cc

- Fixed wrong logger macro (was DCMNET_INFO instead of DCMWLM_INFO).
  Affects: dcmwlm/libsrc/wlmactmg.cc

- Aligned SCP class with existing SCU class. Some further code cleanups.
  Changed default profile from "Default" to "DEFAULT". Revised documentation.
  Affects: dcmnet/include/dcmtk/dcmnet/scp.h
           dcmnet/libsrc/scp.cc

- Added preliminary support for N-EVENT-REPORT to DcmSCU. Some further code
  cleanups and enhancements. Renamed some methods. Revised documentation.
  Affects: dcmnet/include/dcmtk/dcmnet/scu.h
           dcmnet/libsrc/scu.cc

- Rebuilt Makefile dependencies.
  Affects: dcmdata/apps/Makefile.dep
           dcmdata/libi2d/Makefile.dep
           dcmdata/libsrc/Makefile.dep
           dcmdata/tests/Makefile.dep
           dcmnet/apps/Makefile.dep
           dcmnet/libsrc/Makefile.dep

**** Changes from 2010.06.16 (riesmeier)

- Added type cast to integer variable in order to avoid compiler warnings
  reported by VisualStudio 2008 with warning level 4 (highest).
  Thanks to forum user "Yves Neumann" for the report.
  Affects: dcmimgle/include/dcmtk/dcmimgle/diovpln.h
           dcmimgle/libsrc/diovpln.cc

- Removed inline declaration from place() function.
  Affects: dcmimgle/include/dcmtk/dcmimgle/diovpln.h

- Introduced a new timeout of 60 seconds for the recv() function in order to
  make sure that the association is terminated if the receiver looses the
  connection to the sender. This can be disabled by DISABLE_RECV_TIMEOUT.
  Thanks to Mark Smith <mark@corestudycast.com> for the original report.
  Affects: config/docs/macros.txt
           dcmnet/libsrc/dul.cc

**** Changes from 2010.06.15 (schlachter)

- Print a warning in the file appender if the specified
  maxFileSize is too low. This is r1383 from log4cplus.
  Affects: oflog/libsrc/fileap.cc

- Don't fail to compile if libxml does not support schemas.
  Affects: dcmsr/libsrc/dsrxmld.cc

**** Changes from 2010.06.15 (riesmeier)

- Added extended sample configuration file for the logger.
  Added:   oflog/etc/filelog.cfg
  Affects: oflog/etc/Makefile.in

**** Changes from 2010.06.14 (riesmeier)

- Fixed typo in event description table.
  Affects: dcmnet/libsrc/dulfsm.cc

- Slightly modified output of DIMSE_dumpMessage_end().
  Affects: dcmnet/libsrc/dimdump.cc

- Minor fixes to log messages and log levels.
  Affects: dcmnet/libsrc/scp.cc

**** Changes from 2010.06.14 (onken)

- Improved efficiency of finding an appropriate presentation context.
  Thanks to Evgeny Sabelskiy <evgeny.sabelskiy@gmail.com> for the suggestion.
  Affects: dcmnet/libsrc/assoc.cc

**** Changes from 2010.06.11 (riesmeier)

- On Windows systems, the binary mode for stdout is now disabled by default
  since this causes newlines in textual output to be converted to LF only.
  Affects: config/docs/macros.txt
           dcmdata/libsrc/cmdlnarg.cc

**** Changes from 2010.06.11 (schlachter)

- Added test for i2d's BMP code.
  Added:   dcmdata/tests/i2dbmp.cc
  Affects: dcmdata/tests/Makefile.dep
           dcmdata/tests/Makefile.in

- Add recent change to each module's configure script to the template, too.
  Affects: config/templates/configure.mod

- Removed unused yield() which was trying to use pthread_yield().
  Affects: oflog/include/dcmtk/oflog/helpers/threads.h
           oflog/libsrc/threads.cc

- Use OFStandard::sleep() in oflog.
  Affects: oflog/include/dcmtk/oflog/helpers/sleep.h
           oflog/libsrc/Makefile.dep
           oflog/libsrc/sleep.cc

**** Changes from 2010.06.09 (riesmeier)

- Added number for new module "dcmstcom", used for module-specific error codes.
  Affects: dcmdata/include/dcmtk/dcmdata/dcerror.h

- Moved some annoying log messages from level DEBUG to TRACE (because the same
  information is usually reported in a better way by some other means).
  Affects: dcmnet/libsrc/dimse.cc

- Used new approach on how to output variable information to the syntax usage.
  Affects: dcmnet/apps/storescu.cc

- Moved check on input files behind the line where the resource identifier is
  printed.
  Affects: dcmnet/apps/storescu.cc

- Added preliminary support for N-ACTION to DcmSCU. Some further code cleanups
  and enhancements.
  Affects: dcmnet/include/dcmtk/dcmnet/scu.h

- Removed references to CP 767.
  Affects: dcmsr/libsrc/dsrchecc.cc
           dcmsr/libsrc/dsrmamcc.cc

- Fixed wrong option text introduced with last commit.
  Affects: dcmnet/apps/storescu.cc

**** Changes from 2010.06.08 (onken)

- Added C-FIND functionality to DcmSCU. Some code cleanups. Fixed
  memory leak sometimes occuring during association configuration.
  Affects: dcmnet/include/dcmtk/dcmnet/scu.h
           dcmnet/libsrc/scu.cc

**** Changes from 2010.06.08 (schlachter)

- Correctly calculate the row length for images with bpp below 8.
  Affects: dcmdata/libi2d/i2dbmps.cc

- Check for premature file ending while reading the pixel data.
  Affects: dcmdata/libi2d/i2dbmps.cc

**** Changes from 2010.06.08 (riesmeier)

- Updated man pages.
  Affects: doxygen/manpages/man1/*

**** Changes from 2010.06.07 (riesmeier)

- Added new method that allows for loading the meta-header only.
  Affects: dcmdata/include/dcmtk/dcmdata/dcmetinf.h
           dcmdata/libsrc/dcmetinf.cc

- Added new file read mode that allows for loading the meta-header only.
  Affects: dcmdata/include/dcmtk/dcmdata/dctypes.h
           dcmdata/libsrc/dcfilefo.cc

**** Changes from 2010.06.07 (onken)

- Fixed crash in dcmimage's TIFF plugin on some windows systems
  that was caused by closing the output file more than once.
  Affects: dcmimage/libsrc/dipitiff.cc

- Added Visual Studio 10 (2010) to the list of supported Windows compilers.
  Affects: CMakeLists.txt

**** Changes from 2010.06.04 (schlachter)

- Fixed oflog compilation when configure was called with --disable-threads.
  Affects: oflog/include/dcmtk/oflog/helpers/threadcf.h
           oflog/libsrc/Makefile.dep
           oflog/libsrc/strhelp.cc
           oflog/libsrc/threads.cc

- Don't trip over spaces in the absolute path to the code.
  Affects: config/configure
           config/configure.in
           config/confmod
           config/confmod.in
           dcmdata/configure
           dcmimage/configure
           dcmimgle/configure
           dcmjpeg/configure
           dcmjpls/configure
           dcmnet/configure
           dcmpstat/configure
           dcmqrdb/configure
           dcmsign/configure
           dcmsr/configure
           dcmtls/configure
           dcmwlm/configure
           doxygen/configure
           oflog/configure
           ofstd/configure

- Fixed a warning with VisualStudio 2008 about an implicit cast.
  Affects: dcmdata/libi2d/i2dbmps.cc

- Added class OFReadWriteLocker which simplifies unlocking OFReadWriteLocks.
  Affects: ofstd/include/dcmtk/ofstd/ofthread.h
           ofstd/libsrc/ofthread.cc
           ofstd/tests/tstthred.cc

- Removed an outdated comment.
  Affects: ofstd/libsrc/ofthread.cc

- Use new OFReadWriteLocker to avoid dead locks when we return from a codec
  via an exception. Thanks to forum user "Niels Dekker" for the fix.
  Affects: dcmdata/libsrc/dccodec.cc

**** Changes from 2010.06.04 (riesmeier)

- Added support for option --exec-sync to Unix systems (before: Windows only).
  Thanks to forum user "eludias" for the patch.
  Affects: dcmnet/apps/storescp.cc
           dcmnet/docs/storescp.man

- Added links to experimental DICOM SCU and SCP classes.
  Affects: dcmnet/docs/dcmnet.dox

**** Changes from 2010.06.03 (riesmeier)

- Replaced calls to strerror() by new helper function OFStandard::strerror()
  which results in using the thread safe version of strerror() if available.
  Affects: dcmdata/apps/dump2dcm.cc
           dcmdata/apps/xml2dcm.cc
           dcmdata/libsrc/cmdlnarg.cc
           dcmdata/libsrc/dcdicdir.cc
           dcmdata/libsrc/dcdirrec.cc
           dcmdata/libsrc/dcostrmf.cc
           dcmdata/libsrc/dcuid.cc
           dcmpstat/apps/dcmprscp.cc
           dcmpstat/apps/dcmpsrcv.cc
           dcmpstat/libsrc/dvpshlp.cc
           dcmqrdb/apps/dcmqrscp.cc
           dcmqrdb/libsrc/dcmqrcbg.cc
           dcmqrdb/libsrc/dcmqrcbm.cc
           dcmqrdb/libsrc/dcmqrdbi.cc
           dcmqrdb/libsrc/dcmqrptb.cc
           dcmqrdb/libsrc/dcmqrsrv.cc
           dcmwlm/libsrc/wldsfs.cc
           dcmwlm/tests/wltest.cc
           ofstd/libsrc/ofthread.cc

- Fixed issues on Windows platforms introduced with last commit.
  Affects: dcmdata/libsrc/cmdlnarg.cc
           dcmnet/libsrc/dul.cc

- Rebuilt Makefile dependencies.
  Affects: dcmdata/libsrc/Makefile.dep
           dcmnet/apps/Makefile.dep
           dcmnet/libsrc/Makefile.dep
           ofstd/libsrc/Makefile.dep

**** Changes from 2010.06.02 (riesmeier)

- Replaced calls to strerror() by new helper function OFStandard::strerror()
  which results in using the thread safe version of strerror() if available.
  Affects: dcmnet/apps/storescp.cc
           dcmnet/libsrc/dcompat.cc
           dcmnet/libsrc/dimse.cc
           dcmnet/libsrc/dul.cc
           dcmnet/libsrc/dulfsm.cc

- Replaced use of sprintf() on a static char array by class OFString.
  Affects: dcmnet/libsrc/dulfsm.cc

- Replaced use of sprintf() on a static char array by class OFString or
  OFOStringStream respectively.
  Affects: dcmnet/libsrc/dul.cc

- Slightly modified some condition texts for reasons of consistency.
  Affects: dcmnet/libsrc/dul.cc

- Slightly modified some log messages and levels for reasons of consistency.
  Affects: dcmnet/libsrc/scp.cc
           dcmnet/libsrc/scu.cc

- Use type cast macros (e.g. OFstatic_cast) where appropriate.
  Affects: dcmnet/libsrc/scp.cc
           dcmnet/libsrc/scu.cc

- Added #warning statement for systems where HAVE_STRERROR is not defined.
  Affects: dcmnet/libsrc/dcompat.cc

- Introduced new helper function strerror() which is used as a wrapper to the
  various approaches found on different systems.
  Affects: dcmdata/libsrc/dcddirif.cc
           ofstd/include/dcmtk/ofstd/offile.h
           ofstd/include/dcmtk/ofstd/ofstd.h
           ofstd/libsrc/ofstd.cc

- Appended missing OFStringStream_ends to the end of output streams because
  this is required when OFOStringStream is mapped to ostrstream.
  Affects: dcmdata/libsrc/dcddirif.cc
           dcmpstat/tests/msgserv.cc
           dcmtls/libsrc/tlslayer.cc
           dcmtls/libsrc/tlstrans.cc
           dcmwlm/libsrc/wlmactmg.cc
           ofstd/libsrc/ofstd.cc

- Rebuilt Makefile dependencies.
  Affects: ofstd/tests/Makefile.dep
           dcmdata/apps/Makefile.dep
           dcmdata/libi2d/Makefile.dep
           dcmdata/libsrc/Makefile.dep
           dcmdata/tests/Makefile.dep

**** Changes from 2010.06.01 (onken)

- Added some comments and line breaks (improved code readability)
  Affects: dcmjpeg/include/dcmtk/dcmjpeg/djcparam.h
           dcmjpeg/libsrc/djcodece.cc
           dcmjpeg/libsrc/djencext.cc

**** Changes from 2010.06.01 (schlachter)

- Added support for indexed-color BMP images (bit depths 1, 4 and 8).
  Affects: dcmdata/docs/img2dcm.man
           dcmdata/include/dcmtk/dcmdata/libi2d/i2dbmps.h
           dcmdata/libi2d/Makefile.dep
           dcmdata/libi2d/i2dbmps.cc

- Generate a better error message if an image exceeds 65535 rows or columns.
  Affects: dcmdata/libi2d/i2dbmps.cc

**** Changes from 2010.05.31 (riesmeier)

- Fixed incorrect handling of SpecificCharacterSet attribute in C-FIND request
  and response messages. This also makes sure that option --keep-char-set now
  really returns the character set provided in the worklist file (if needed).
  Affects: dcmwlm/docs/wlmscpfs.man
           dcmwlm/libsrc/wlds.cc
           dcmwlm/libsrc/wldsfs.cc
           dcmwlm/libsrc/wlfsim.cc

- Added a warning message if the C-FIND request contains the SpecificCharacter
  Set attribute because its value is not used for matching.
  Affects: dcmwlm/libsrc/wlds.cc

- Slightly modified some log messages, e.g. replaced '\n' by OFendl.
  Affects: dcmwlm/libsrc/wlds.cc

**** Changes from 2010.05.28 (riesmeier)

- Changed logger name from "dcmtk.dcmdata.mdfconen" to "dcmtk.apps.dcmodify".
  Affects: dcmdata/apps/mdfconen.cc

- Changed logger name from "dcmtk.apps.wlcefs" to "dcmtk.apps.wlmscpfs".
  Affects: dcmwlm/apps/wlcefs.cc

**** Changes from 2010.05.27 (riesmeier)

- Added missing basic offset table to "true lossless" mode (if enabled).
  Thanks to forum user "bwiklak" for the original report.
  Affects: dcmjpeg/libsrc/djcodece.cc

- Revised wording of log message.
  Affects: dcmjpeg/libsrc/djcodece.cc

- Added debug message with details on created basic offset table (if any).
  Affects: dcmdata/libsrc/dcpxitem.cc

- Re-added comment that was accidentally removed by the last commit.
  Affects: dcmdata/libsrc/dcrleccd.cc

**** Changes from 2010.05.26 (riesmeier)

- Use correct delete statement for char array buffer, i.e. "delete[]".
  Affects: oflog/libsrc/fileap.cc

- Replaced checking of macro WIN32 by _WIN32.
  Affects: oflog/libsrc/fileap.cc

**** Changes from 2010.05.25 (schlachter)

- Added support for 16bpp BMP images to libi2d.
  Affects: dcmdata/docs/img2dcm.man
           dcmdata/include/dcmtk/dcmdata/libi2d/i2dbmps.h
           dcmdata/libi2d/i2dbmps.cc

- Added a missing include before the use of int64_t.
  Affects: ofstd/include/dcmtk/ofstd/oftypes.h

**** Changes from 2010.05.23 (riesmeier)

- Added two new private tags from OCULUS Pentacam 1.17 conformance statement.
  Affects: dcmdata/data/private.dic
           dcmdata/libsrc/dcdictzz.cc

**** Changes from 2010.05.21 (schlachter)

- Added support for 32bpp BMP images to libi2d.
  Affects: dcmdata/docs/img2dcm.man
           dcmdata/include/dcmtk/dcmdata/libi2d/i2dbmps.h
           dcmdata/libi2d/i2dbmps.cc

- Replaced DU_fileSize() with OFStandard::getFileSize().
  Affects: dcmnet/apps/storescu.cc
           dcmnet/include/dcmtk/dcmnet/diutil.h
           dcmnet/libsrc/dimstore.cc
           dcmnet/libsrc/diutil.cc

**** Changes from 2010.05.21 (riesmeier)

- Fixed issue with incorrectly encoded RLE images: Now, if the RLE decoder is
  finished but has produced insufficient data, the remaining pixels of the
  image are filled with the value of the last pixel. Applies to decodeFrame().
  Thanks to Jeroen Eggermont <j.eggermont@lumc.nl> for the bug report and fix.
  Affects: dcmdata/libsrc/dcrleccd.cc

- Added useful log messages on various levels to decode() and decodeFrame().
  Affects: dcmdata/libsrc/dcrleccd.cc

- Fixed wrong use of if statement which prevented option --insert from working.
  Affects: dcmdata/apps/mdfconen.cc

**** Changes from 2010.05.20 (riesmeier)

- Added new method for determining the size of a given file (in bytes).
  Affects: ofstd/include/dcmtk/ofstd/ofstd.h
           ofstd/libsrc/ofstd.cc

- Use new OFStandard::getFileSize() method where appropriate.
  Affects: dcmdata/apps/dump2dcm.cc
           dcmdata/apps/xml2dcm.cc

- Added support for reading the value of insert/modify statements from a file.
  Affects: dcmdata/apps/mdfconen.cc
           dcmdata/apps/mdfdsman.cc
           dcmdata/apps/mdfdsman.h
           dcmdata/docs/dcmodify.man

- Slightly modified log messages and log levels in order to be more consistent.
  Affects: dcmdata/apps/mdfconen.cc
           dcmdata/apps/mdfdsman.cc

- Removed some unnecessary include directives.
  Affects: dcmdata/apps/Makefile.dep
           dcmdata/apps/mdfconen.cc
           dcmdata/apps/mdfconen.h
           dcmdata/apps/mdfdsman.cc
           dcmdata/apps/mdfdsman.h

**** Changes from 2010.05.19 (riesmeier)

- Revised explanatory text on development snapshot (aka version 3.5.5).
  Affects: INSTALL

**** Changes from 2010.05.18 (riesmeier)

- Slightly modified log messages and log levels in order to be more consistent.
  Affects: dcmnet/libsrc/dfindscu.cc
           dcmwlm/libsrc/wlds.cc
           dcmwlm/libsrc/wldsfs.cc
           dcmwlm/libsrc/wlfsim.cc
           dcmwlm/libsrc/wlmactmg.cc

- Replaced '\n' by OFendl in log messages.
  Affects: dcmnet/apps/echoscu.cc
           dcmnet/apps/movescu.cc
           dcmnet/apps/storescp.cc
           dcmnet/apps/storescu.cc
           dcmnet/apps/termscu.cc
           dcmnet/libsrc/dfindscu.cc
           dcmwlm/libsrc/wldsfs.cc
           dcmwlm/libsrc/wlmactmg.cc

**** Changes from 2010.05.18 (schlachter)

- Use OFStringStream_ends at the end of a OFStringStream.
  Affects: oflog/include/dcmtk/oflog/logmacro.h
           oflog/include/dcmtk/oflog/streams.h

**** Changes from 2010.05.14 (schlachter)

- Added new function OFLog::reconfigure() which reinterprets the logger config
  file. This can e.g. be useful for logging to a different file after fork().
  Affects: oflog/include/dcmtk/oflog/oflog.h
           oflog/libsrc/oflog.cc

**** Changes from 2010.05.11 (riesmeier)

- Made error output in source code examples more consistent with new RT module.
  Affects: dcmsr/docs/dcmsr.dox

- Removed unused directory settings for the PNG and TIFF library.
  Affects: dcmjpls/apps/CMakeLists.txt

**** Changes from 2010.05.10 (riesmeier)

- Added warning message when output file already exists. Output details on
  error condition if output file cannot be written.
  Affects: dcmnet/apps/storescp.cc

- Added private tags from OCULUS Pentacam 1.17 conformance statement.
  Affects: dcmdata/data/private.dic
           dcmdata/libsrc/dcdictzz.cc

**** Changes from 2010.05.07 (riesmeier)

- Added new option that allows to disable the overwriting of compiler flags.
  Thanks to Niels Dekker <dicomrelatedmail@xs4all.nl> for the suggestion.
  Affects: CMakeLists.txt

**** Changes from 2010.05.07 (schlachter)

- Add new define OFTypename which only expands to "typename"
  if "HAVE_TYPENAME" is defined.
  Affects: ofstd/include/dcmtk/ofstd/oftypes.h

- Use OFTypename for OFLIST_TYPENAME.
  Affects: ofstd/include/dcmtk/ofstd/oflist.h

- Work around some problem with MSVC6.
  Affects: dcmjpls/libcharls/scan.h

**** Changes from 2010.05.05 (riesmeier)

- Fixed wrong conflict check of command line options: now --true-lossless is
  only enabled by default for JPEG lossless output transfer syntaxes.
  Affects: dcmjpeg/apps/dcmcjpeg.cc

- Use type cast macros (e.g. OFstatic_cast) where appropriate.
  Affects: dcmjpeg/apps/dcmcjpeg.cc

**** Changes from 2010.05.04 (riesmeier)

- Updated man pages.
  Affects: doxygen/manpages/man1/*

**** Changes from 2010.05.03 (riesmeier)

- Added type cast to integer variable in order to avoid compiler warnings
  reported by VisualStudio 2010.
  Affects: ofstd/libsrc/ofstring.cc

**** Changes from 2010.04.29 (onken)

- Made SCU class independent from dcmtls, i.e. outsourced TLS API. Added
  direct API support for sending C-STORE requests. Further API changes and
  some bugs fixed.
  Affects: dcmnet/include/dcmtk/dcmnet/scu.h
           dcmnet/libsrc/scu.cc

- Made dcmnet classes independent from dcmtls module for linking.
  Affects: dcmnet/libsrc/Makefile.dep

- Added function for responding to storage requests to SCP class.
  Affects: dcmnet/include/dcmtk/dcmnet/scp.h
           dcmnet/libsrc/scp.cc

- Added debug message noting the presentation context a command set is sent on.
  Affects: dcmnet/libsrc/dimse.cc

- Added debug message on client side noting failed TLS client handshake.
  Affects: dcmnet/libsrc/dulfsm.cc

- Added new class DcmTLSSCU as base class for developing TLS-enabled SCUs.
  Added:   dcmtls/include/dcmtk/dcmtls/tlsscu.h
           dcmtls/libsrc/tlsscu.cc
  Affects: dcmtls/libsrc/CMakeLists.txt
           dcmtls/libsrc/Makefile.dep
           dcmtls/libsrc/Makefile.in

- Added debug message noting the initiation of a TLS client handshake.
  Affects: dcmtls/libsrc/tlstrans.cc

**** Changes from 2010.04.29 (riesmeier)

- Use printError() method for command line parsing errors only. In all other
  cases use log output.
  Affects: dcmpstat/tests/msgserv.cc

- Fixed issue with syntax usage (e.g. layout and formatting).
  Affects: dcmpstat/tests/msgserv.cc

- Added flag for exclusive options to --help.
  Affects: dcmpstat/tests/msgserv.cc

- Fixed typo in log message.
  Affects: dcmpstat/apps/dcmprscp.cc
           dcmpstat/libsrc/dcmpstat.cc

**** Changes from 2010.04.28 (riesmeier)

- Added type cast to integer variable in order to avoid compiler warnings
  reported by VisualStudio 2005.
  Affects: ofstd/include/dcmtk/ofstd/ofcmdln.h
           ofstd/libsrc/ofstd.cc

- Fixed wrong use of comparison operator in if statement.
  Affects: ofstd/libsrc/ofstd.cc

**** Changes from 2010.04.27 (schlachter)

- Worked around various compiler warnings with convertIntegerToString() and
  unsigned integer types.
  Affects: oflog/include/dcmtk/oflog/helpers/strhelp.h

**** Changes from 2010.04.26 (schlachter)

- Fixed some minor doxygen warnings.
  Affects: oflog/include/dcmtk/oflog/fileap.h
           oflog/include/dcmtk/oflog/loglevel.h
           oflog/include/dcmtk/oflog/oflog.h
           oflog/include/dcmtk/oflog/spi/logevent.h
           ofstd/include/dcmtk/ofstd/ofaptr.h
           ofstd/include/dcmtk/ofstd/ofconfig.h
           ofstd/include/dcmtk/ofstd/offile.h
           ofstd/include/dcmtk/ofstd/ofstd.h
           ofstd/include/dcmtk/ofstd/ofstring.h

**** Changes from 2010.04.26 (riesmeier)

- Added initial definitions for using the STL vector class. Please note that
  there is currently no alternative implementation to this standard class.
  Added:   ofstd/include/dcmtk/ofstd/ofvector.h
  Affects: config/docs/macros.txt

**** Changes from 2010.04.23 (schlachter)

- Added configure checks for getaddrinfo().
  Affects: config/configure
           config/configure.in
           config/include/dcmtk/config/cfunix.h.in
           config/include/dcmtk/config/cfwin32.h.in

- Updated oflog to log4cplus revision 1200 from PRODUCTION_1_0_x branch.
  Added:   oflog/include/dcmtk/oflog/winconap.h
           oflog/libsrc/winconap.cc
  Affects: COPYRIGHT
           oflog/docs/LICENSE
           oflog/etc/logger.cfg
           oflog/include/dcmtk/oflog/appender.h
           oflog/include/dcmtk/oflog/config.h
           oflog/include/dcmtk/oflog/config/defines.h
           oflog/include/dcmtk/oflog/config/win32.h
           oflog/include/dcmtk/oflog/configrt.h
           oflog/include/dcmtk/oflog/consap.h
           oflog/include/dcmtk/oflog/fileap.h
           oflog/include/dcmtk/oflog/fstreams.h
           oflog/include/dcmtk/oflog/helpers/apndimpl.h
           oflog/include/dcmtk/oflog/helpers/lloguser.h
           oflog/include/dcmtk/oflog/helpers/loglog.h
           oflog/include/dcmtk/oflog/helpers/pointer.h
           oflog/include/dcmtk/oflog/helpers/property.h
           oflog/include/dcmtk/oflog/helpers/sleep.h
           oflog/include/dcmtk/oflog/helpers/sockbuff.h
           oflog/include/dcmtk/oflog/helpers/socket.h
           oflog/include/dcmtk/oflog/helpers/strhelp.h
           oflog/include/dcmtk/oflog/helpers/syncppth.h
           oflog/include/dcmtk/oflog/helpers/syncprims.h
           oflog/include/dcmtk/oflog/helpers/syncpwin.h
           oflog/include/dcmtk/oflog/helpers/threadcf.h
           oflog/include/dcmtk/oflog/helpers/threads.h
           oflog/include/dcmtk/oflog/helpers/timehelp.h
           oflog/include/dcmtk/oflog/hierarchy.h
           oflog/include/dcmtk/oflog/hierlock.h
           oflog/include/dcmtk/oflog/layout.h
           oflog/include/dcmtk/oflog/logger.h
           oflog/include/dcmtk/oflog/loglevel.h
           oflog/include/dcmtk/oflog/logmacro.h
           oflog/include/dcmtk/oflog/ndc.h
           oflog/include/dcmtk/oflog/ntelogap.h
           oflog/include/dcmtk/oflog/nullap.h
           oflog/include/dcmtk/oflog/oflog.h
           oflog/include/dcmtk/oflog/socketap.h
           oflog/include/dcmtk/oflog/spi/apndatch.h
           oflog/include/dcmtk/oflog/spi/factory.h
           oflog/include/dcmtk/oflog/spi/filter.h
           oflog/include/dcmtk/oflog/spi/logevent.h
           oflog/include/dcmtk/oflog/spi/logfact.h
           oflog/include/dcmtk/oflog/spi/logimpl.h
           oflog/include/dcmtk/oflog/spi/objreg.h
           oflog/include/dcmtk/oflog/spi/rootlog.h
           oflog/include/dcmtk/oflog/streams.h
           oflog/include/dcmtk/oflog/syslogap.h
           oflog/include/dcmtk/oflog/tstring.h
           oflog/include/dcmtk/oflog/windebap.h
           oflog/libsrc/CMakeLists.txt
           oflog/libsrc/Makefile.dep
           oflog/libsrc/apndimpl.cc
           oflog/libsrc/appender.cc
           oflog/libsrc/config.cc
           oflog/libsrc/consap.cc
           oflog/libsrc/factory.cc
           oflog/libsrc/fileap.cc
           oflog/libsrc/filter.cc
           oflog/libsrc/globinit.cc
           oflog/libsrc/hierarchy.cc
           oflog/libsrc/hierlock.cc
           oflog/libsrc/layout.cc
           oflog/libsrc/lloguser.cc
           oflog/libsrc/logevent.cc
           oflog/libsrc/logger.cc
           oflog/libsrc/logimpl.cc
           oflog/libsrc/loglevel.cc
           oflog/libsrc/loglog.cc
           oflog/libsrc/ndc.cc
           oflog/libsrc/ntelogap.cc
           oflog/libsrc/nullap.cc
           oflog/libsrc/objreg.cc
           oflog/libsrc/patlay.cc
           oflog/libsrc/pointer.cc
           oflog/libsrc/property.cc
           oflog/libsrc/rootlog.cc
           oflog/libsrc/sleep.cc
           oflog/libsrc/sockbuff.cc
           oflog/libsrc/socket.cc
           oflog/libsrc/socketap.cc
           oflog/libsrc/strhelp.cc
           oflog/libsrc/syncprims.cc
           oflog/libsrc/syslogap.cc
           oflog/libsrc/threads.cc
           oflog/libsrc/timehelp.cc
           oflog/libsrc/unixsock.cc
           oflog/libsrc/windebap.cc
           oflog/libsrc/winsock.cc

**** Changes from 2010.04.23 (riesmeier)

- Added new method to all VR classes which checks whether the stored value
  conforms to the VR definition and to the specified VM.
  Affects: dcmdata/include/dcmtk/dcmdata/dcelem.h
           dcmdata/include/dcmtk/dcmdata/dcsequen.h
           dcmdata/include/dcmtk/dcmdata/dcvrae.h
           dcmdata/include/dcmtk/dcmdata/dcvras.h
           dcmdata/include/dcmtk/dcmdata/dcvrat.h
           dcmdata/include/dcmtk/dcmdata/dcvrcs.h
           dcmdata/include/dcmtk/dcmdata/dcvrda.h
           dcmdata/include/dcmtk/dcmdata/dcvrds.h
           dcmdata/include/dcmtk/dcmdata/dcvrdt.h
           dcmdata/include/dcmtk/dcmdata/dcvrfd.h
           dcmdata/include/dcmtk/dcmdata/dcvrfl.h
           dcmdata/include/dcmtk/dcmdata/dcvris.h
           dcmdata/include/dcmtk/dcmdata/dcvrlo.h
           dcmdata/include/dcmtk/dcmdata/dcvrlt.h
           dcmdata/include/dcmtk/dcmdata/dcvrobow.h
           dcmdata/include/dcmtk/dcmdata/dcvrof.h
           dcmdata/include/dcmtk/dcmdata/dcvrpn.h
           dcmdata/include/dcmtk/dcmdata/dcvrsh.h
           dcmdata/include/dcmtk/dcmdata/dcvrsl.h
           dcmdata/include/dcmtk/dcmdata/dcvrss.h
           dcmdata/include/dcmtk/dcmdata/dcvrst.h
           dcmdata/include/dcmtk/dcmdata/dcvrtm.h
           dcmdata/include/dcmtk/dcmdata/dcvrui.h
           dcmdata/include/dcmtk/dcmdata/dcvrul.h
           dcmdata/include/dcmtk/dcmdata/dcvrus.h
           dcmdata/include/dcmtk/dcmdata/dcvrut.h
           dcmdata/libsrc/dcelem.cc
           dcmdata/libsrc/dcsequen.cc
           dcmdata/libsrc/dcvrae.cc
           dcmdata/libsrc/dcvras.cc
           dcmdata/libsrc/dcvrat.cc
           dcmdata/libsrc/dcvrcs.cc
           dcmdata/libsrc/dcvrda.cc
           dcmdata/libsrc/dcvrds.cc
           dcmdata/libsrc/dcvrdt.cc
           dcmdata/libsrc/dcvrfd.cc
           dcmdata/libsrc/dcvrfl.cc
           dcmdata/libsrc/dcvris.cc
           dcmdata/libsrc/dcvrlo.cc
           dcmdata/libsrc/dcvrlt.cc
           dcmdata/libsrc/dcvrobow.cc
           dcmdata/libsrc/dcvrof.cc
           dcmdata/libsrc/dcvrpn.cc
           dcmdata/libsrc/dcvrsh.cc
           dcmdata/libsrc/dcvrsl.cc
           dcmdata/libsrc/dcvrss.cc
           dcmdata/libsrc/dcvrst.cc
           dcmdata/libsrc/dcvrtm.cc
           dcmdata/libsrc/dcvrui.cc
           dcmdata/libsrc/dcvrul.cc
           dcmdata/libsrc/dcvrus.cc
           dcmdata/libsrc/dcvrut.cc

- Enhanced checking of element values using the new DcmElement::checkValue()
  method.
  Affects: dcmsr/include/dcmtk/dcmsr/dsrtypes.h
           dcmsr/libsrc/dsrtypes.cc

- Specify an appropriate default value for the "vm" parameter of checkValue().
  Affects: dcmdata/include/dcmtk/dcmdata/dcelem.h
           dcmdata/include/dcmtk/dcmdata/dcsequen.h
           dcmdata/include/dcmtk/dcmdata/dcvrae.h
           dcmdata/include/dcmtk/dcmdata/dcvras.h
           dcmdata/include/dcmtk/dcmdata/dcvrat.h
           dcmdata/include/dcmtk/dcmdata/dcvrcs.h
           dcmdata/include/dcmtk/dcmdata/dcvrda.h
           dcmdata/include/dcmtk/dcmdata/dcvrds.h
           dcmdata/include/dcmtk/dcmdata/dcvrdt.h
           dcmdata/include/dcmtk/dcmdata/dcvrfd.h
           dcmdata/include/dcmtk/dcmdata/dcvrfl.h
           dcmdata/include/dcmtk/dcmdata/dcvris.h
           dcmdata/include/dcmtk/dcmdata/dcvrlo.h
           dcmdata/include/dcmtk/dcmdata/dcvrlt.h
           dcmdata/include/dcmtk/dcmdata/dcvrobow.h
           dcmdata/include/dcmtk/dcmdata/dcvrof.h
           dcmdata/include/dcmtk/dcmdata/dcvrpn.h
           dcmdata/include/dcmtk/dcmdata/dcvrsh.h
           dcmdata/include/dcmtk/dcmdata/dcvrsl.h
           dcmdata/include/dcmtk/dcmdata/dcvrss.h
           dcmdata/include/dcmtk/dcmdata/dcvrst.h
           dcmdata/include/dcmtk/dcmdata/dcvrtm.h
           dcmdata/include/dcmtk/dcmdata/dcvrui.h
           dcmdata/include/dcmtk/dcmdata/dcvrul.h
           dcmdata/include/dcmtk/dcmdata/dcvrus.h
           dcmdata/include/dcmtk/dcmdata/dcvrut.h

- Renamed static helper function checkValue() to checkStringValue().
  Affects: dcmdata/include/dcmtk/dcmdata/dcbytstr.h
           dcmdata/libsrc/dcbytstr.cc
           dcmdata/tests/tstchval.cc

- Disable compiler warnings about "new behavior" when initializing the elements
  of an array (reported by VisualStudio 2005 and newer).
  Affects: config/include/dcmtk/config/cfwin32.h.in

- On Windows systems, use binary mode for stdout in order to be more consistent
  with common Unix behavior, e.g. useful for command line tools like dcm2pnm.
  Thanks to forum user "gurbuz" for the hint.
  Affects: dcmdata/libsrc/cmdlnarg.cc

**** Changes from 2010.04.22 (riesmeier)

- Added support for further VM values ("1-8", "1-99", "16", "32") to be
  checked.
  Affects: dcmdata/include/dcmtk/dcmdata/dcbytstr.h
           dcmdata/include/dcmtk/dcmdata/dcelem.h
           dcmdata/include/dcmtk/dcmdata/dcvrae.h
           dcmdata/include/dcmtk/dcmdata/dcvras.h
           dcmdata/include/dcmtk/dcmdata/dcvrcs.h
           dcmdata/include/dcmtk/dcmdata/dcvrda.h
           dcmdata/include/dcmtk/dcmdata/dcvrds.h
           dcmdata/include/dcmtk/dcmdata/dcvrdt.h
           dcmdata/include/dcmtk/dcmdata/dcvris.h
           dcmdata/include/dcmtk/dcmdata/dcvrlo.h
           dcmdata/include/dcmtk/dcmdata/dcvrpn.h
           dcmdata/include/dcmtk/dcmdata/dcvrsh.h
           dcmdata/include/dcmtk/dcmdata/dcvrtm.h
           dcmdata/include/dcmtk/dcmdata/dcvrui.h
           dcmdata/libsrc/dcelem.cc

- Revised misleading parameter documentation for the checkValue() method.
  Affects: dcmdata/include/dcmtk/dcmdata/dcvrae.h
           dcmdata/include/dcmtk/dcmdata/dcvras.h
           dcmdata/include/dcmtk/dcmdata/dcvrcs.h
           dcmdata/include/dcmtk/dcmdata/dcvrda.h
           dcmdata/include/dcmtk/dcmdata/dcvrds.h
           dcmdata/include/dcmtk/dcmdata/dcvrdt.h
           dcmdata/include/dcmtk/dcmdata/dcvris.h
           dcmdata/include/dcmtk/dcmdata/dcvrlo.h
           dcmdata/include/dcmtk/dcmdata/dcvrpn.h
           dcmdata/include/dcmtk/dcmdata/dcvrsh.h
           dcmdata/include/dcmtk/dcmdata/dcvrtm.h
           dcmdata/include/dcmtk/dcmdata/dcvrui.h

**** Changes from 2010.04.21 (onken)

- Extended img2dcm documentation to also reflect ability to read BMP data.
  Affects: dcmdata/docs/img2dcm.man

**** Changes from 2010.04.16 (riesmeier)

- Further enhanced computation of buffer size when using partial read access
  to pixel data. Now also some rare cases of BitsAllocated are supported.
  Affects: dcmimgle/include/dcmtk/dcmimgle/diinpxt.h

- Updated latest tested CMake version to 2.8.1.
  Affects: CMakeLists.txt

**** Changes from 2010.04.15 (riesmeier)

- Fixed possibly wrong computation of a buffer size when using partial read
  access to pixel data. This could lead to a crash under certain conditions.
  Thanks to Jeroen Eggermont <j.eggermont@lumc.nl> for the bug report.
  Affects: dcmimgle/include/dcmtk/dcmimgle/diinpxt.h

**** Changes from 2010.04.09 (schlachter)

- Fix some warnings about variables shadowing other variables.
  Affects: oflog/include/dcmtk/oflog/spi/logevent.h

- Don't initialize our string twice in OFString::reserve().
  Affects: ofstd/libsrc/ofstring.cc

**** Changes from 2010.03.31 (onken)

- Make configure script reflect the recent changes to configure.in regarding
  compilation under Mac OS X.
  Affects: config/configure

**** Changes from 2010.03.26 (riesmeier)

- Fixed missing initialization of color palette LUTs in case of invalid
  images. Thanks to Niels Dekker <dicomrelatedmail@xs4all.nl> for the bug
  report and suggested fix.
  Affects: dcmimage/libsrc/diargimg.cc
           dcmimage/libsrc/dipalimg.cc

- Updated man pages.
  Affects: doxygen/manpages/man1/*

**** Changes from 2010.03.25 (riesmeier)

- Added check for errors during while loop in computeGroupLengthAndPadding().
  Thanks to Peter Klotz <peter.klotz@ith-icoserve.com> for the report.
  Affects: dcmdata/libsrc/dcsequen.cc

- Removed redundant variable declaration in order to avoid a warning message
  reported by gcc 4.1.2.
  Affects: dcmdata/libsrc/dclist.cc

- Use return value of getTag() for stream output where possible.
  Affects: dcmdata/libsrc/dcitem.cc

- Made log messages more consistent within this module.
  Affects: dcmdata/libsrc/dcfilefo.cc
           dcmdata/libsrc/dcitem.cc
           dcmdata/libsrc/dcmetinf.cc

**** Changes from 2010.03.25 (onken)

- Pixel data is now already marked with the correct transfer syntax in memory
  not only when writing to disk. This permits conversion in memory, e. g. for
  sending the converted DICOM images directly over the network.
  Affects: dcmdata/libi2d/i2d.cc
           dcmdata/include/dcmtk/dcmdata/libi2d/i2d.h

**** Changes from 2010.03.24 (riesmeier)

- Added new options for the color space conversion during decompression based
  on the color model that is "guessed" by the underlying JPEG library (IJG).
  Affects: dcmimage/apps/dcm2pnm.cc
           dcmjpeg/apps/dcmcjpeg.cc
           dcmjpeg/apps/dcmdjpeg.cc
           dcmjpeg/docs/dcmcjpeg.man
           dcmjpeg/docs/dcmdjpeg.man
           dcmjpeg/include/dcmtk/dcmjpeg/djutils.h
           dcmjpeg/libsrc/djdijg12.cc
           dcmjpeg/libsrc/djdijg16.cc
           dcmjpeg/libsrc/djdijg8.cc

- Added missing command line options for color space conversion.
  Affects: dcmimage/apps/dcmquant.cc
           dcmimage/apps/dcmscale.cc
           dcmjpeg/docs/dcmj2pnm.man

- Removed macro DETERMINE_OUTPUT_COLOR_SPACE_FROM_IJG_GUESS which is now
  obsolete because of new options for color space conversion during
  decompression.
  Affects: config/docs/macros.txt

- Fixed minor formatting issues in API documentation.
  Affects: dcmjpeg/include/dcmtk/dcmjpeg/djcparam.h

**** Changes from 2010.03.24 (onken)

- Fixed compilation problem introduced with recent assignment operator changes.
  Affects: dcmdata/libsrc/dcitem.cc

- Fixed memory leak in assignment operators of DcmItem and DcmSequenceOfItems.
  Replaced all code occurrences of cleaning all elements from internal lists to
  newly introduced function in DcmList.
  Affects: dcmdata/libsrc/dcitem.cc
           dcmdata/libsrc/dcsequen.cc

- Introduced new function to delete all elements (including memory de-allocation)
  from DcmList.
  Affects: dcmdata/include/dcmtk/dcmdata/dclist.h
           dcmdata/libsrc/dclist.cc

**** Changes from 2010.03.23 (onken)

- Fixed compilation under Mac OS X when not using standard includes by adding
  a _DARWIN_C_SOURCE define. Thanks to Guido Lorenz for the suggested patch.
  Affects: config/configure.in

- Fixed compilation on Mac OS X with threads being enabled.
  Affects: oflog/libsrc/threads.cc

**** Changes from 2010.03.23 (riesmeier)

- Use printError() method for command line parsing errors only. After the
  resource identifier has been printed to the log stream use "oflog" instead.
  Affects: dcmdata/apps/dcmdump.cc
           dcmdata/apps/dcmgpdir.cc
           dcmnet/apps/movescu.cc
           dcmnet/apps/storescp.cc

**** Changes from 2010.03.12 (riesmeier)

- Enhanced log output on incomplete worklist files (in debug mode).
  Affects: dcmwlm/libsrc/wlfsim.cc

- Changed some log messages from level "info" to "warn".
  Affects: dcmwlm/libsrc/wlfsim.cc

- Use return value of getTag() for stream output where possible.
  Affects: dcmwlm/libsrc/wlfsim.cc

- Replaced tab characters by spaces and removed redundant space characters.
  Affects:  dcmwlm/data/wlistdb/OFFIS/wklist1.dump
            dcmwlm/data/wlistdb/OFFIS/wklist10.dump
            dcmwlm/data/wlistdb/OFFIS/wklist2.dump
            dcmwlm/data/wlistdb/OFFIS/wklist3.dump
            dcmwlm/data/wlistdb/OFFIS/wklist4.dump
            dcmwlm/data/wlistdb/OFFIS/wklist5.dump
            dcmwlm/data/wlistdb/OFFIS/wklist6.dump
            dcmwlm/data/wlistdb/OFFIS/wklist7.dump
            dcmwlm/data/wlistdb/OFFIS/wklist8.dump
            dcmwlm/data/wlistdb/OFFIS/wklist9.dump

**** Changes from 2010.03.11 (schlachter)

- Use _vsnprintf() on MSVC6 since it doesn't know vsnprintf().
  Affects: config/include/dcmtk/config/cfwin32.h.in
           ofstd/include/dcmtk/ofstd/ofstdinc.h

- Add a couple of workarounds for MSVC6 weirdnesses.
  Affects: dcmjpls/libcharls/lltraits.h
           dcmjpls/libcharls/scan.h

**** Changes from 2010.03.09 (schlachter)

- Don't use InterlockedExchangePointer() which is not available
  on older windows versions.
  Affects: oflog/libsrc/threads.cc

- Added a workaround for an API change to InterlockedCompareExchange().
  Affects: config/include/dcmtk/config/cfwin32.h.in
           oflog/libsrc/winsock.cc

- Added a workaround of MSVC6 which doesn't like "typename" in a place
  where everything else requires it.
  Affects: oflog/libsrc/factory.cc

- Added Sint64 and Uint64 typedefs.
  Affects: ofstd/include/dcmtk/ofstd/oftypes.h

- Use Sint64 and Uint64 instead of long long.
  Affects: dcmjpls/libcharls/CMakeLists.txt
           dcmjpls/libcharls/Makefile.dep
           dcmjpls/libcharls/Makefile.in
           dcmjpls/libcharls/header.cc
           dcmjpls/libcharls/util.h

- Use OFPair instead of directly std::pair.
  Affects: dcmjpls/libcharls/Makefile.dep
           dcmjpls/libcharls/scan.h

**** Changes from 2010.03.08 (riesmeier)

- Changed OFListIterator to OFListConstIterator in order to compile when
  HAVE_STL is defined.
  Affects: dcmnet/libsrc/dcmtk/scp.cc

**** Changes from 2010.03.08 (schlachter)

- Don't use "using" to fix compilation with MSVC6.
  Affects: oflog/include/dcmtk/oflog/oflog.h

- Use the correct variable for checking left-align mode.
  Affects: oflog/libsrc/patlay.cc

**** Changes from 2010.03.05 (riesmeier)

- Fixed issue with processNextFrames() when called with non-default parameter.
  Thanks to Michael Doppler <m.doppler@synedra.com> for the bug report and fix.
  Affects: dcmimgle/libsrc/diimage.cc

**** Changes from 2010.03.05 (schlachter)

- Fixed possible memory leak in case of error during construction
  of sub-items. This was found with cppcheck.
  Affects: dcmnet/libsrc/dulconst.cc

- Remove some pointless uses of STD_NAMESPACE where they caused issues
  with MSVC6. Thanks to forum user "liuxinming" for finding these.
  Affects: oflog/libsrc/config.cc
           oflog/libsrc/fileap.cc
           oflog/libsrc/property.cc
           oflog/libsrc/sockbuff.cc

**** Changes from 2010.03.04 (riesmeier)

- Fixed possible issue with read locks on global data dictionary.
  Affects: dcmdata/apps/dcmconv.cc
           dcmdata/apps/dcmdump.cc

- Use return value of getTag() for stream output where possible.
  Affects: dcmdata/apps/dcmdump.cc

**** Changes from 2010.03.03 (riesmeier)

- Fixed compilation issue with call to getlogin_r().
  Thanks to forum user "parameter" for the report.
  Affects: dcmdata/libsrc/mkdeftag.cc
           dcmdata/libsrc/mkdictbi.cc

- Fixed issue with linkage of "mkdeftag" and "mkdictbi" introduced with change
  to new logging mechanism.
  Affects: dcmdata/libsrc/Makefile.in

- Output return value of readTagAndLength() to the log only in case of error.
  Affects: dcmdata/libsrc/dcsequen.cc

- Use return value of getTag() for stream output where possible.
  Affects: dcmdata/libsrc/dcsequen.cc

**** Changes from 2010.03.02 (riesmeier)

- Enhanced comments of some methods, e.g. processNextFrames().
  Affects: dcmimgle/include/dcmtk/dcmimgle/dcmimage.h

**** Changes from 2010.03.01 (riesmeier)

- Updated copyright date of DCMTK and CharLS library section.
  Affects: COPYRIGHT

**** Changes from 2010.03.01 (schlachter)

- Renamed include guards to avoid name clash with e.g. dcmjpeg.
  Affects: dcmjpls/include/dcmtk/dcmjpls/djcodecd.h
           dcmjpls/include/dcmtk/dcmjpls/djcodece.h
           dcmjpls/include/dcmtk/dcmjpls/djcparam.h
           dcmjpls/include/dcmtk/dcmjpls/djdecode.h
           dcmjpls/include/dcmtk/dcmjpls/djencode.h
           dcmjpls/include/dcmtk/dcmjpls/djlsutil.h
           dcmjpls/include/dcmtk/dcmjpls/djrparam.h

- Removed some unnecessary include directives in the headers.
  Affects: dcmdata/apps/Makefile.dep
           dcmdata/include/dcmtk/dcmdata/dccodec.h
           dcmdata/include/dcmtk/dcmdata/dcdatset.h
           dcmdata/include/dcmtk/dcmdata/dcdicdir.h
           dcmdata/include/dcmtk/dcmdata/dcdicent.h
           dcmdata/include/dcmtk/dcmdata/dcdirrec.h
           dcmdata/include/dcmtk/dcmdata/dcelem.h
           dcmdata/include/dcmtk/dcmdata/dcfilefo.h
           dcmdata/include/dcmtk/dcmdata/dcistrmf.h
           dcmdata/include/dcmtk/dcmdata/dcitem.h
           dcmdata/include/dcmtk/dcmdata/dclist.h
           dcmdata/include/dcmtk/dcmdata/dcmetinf.h
           dcmdata/include/dcmtk/dcmdata/dcobject.h
           dcmdata/include/dcmtk/dcmdata/dcpixseq.h
           dcmdata/include/dcmtk/dcmdata/dcpxitem.h
           dcmdata/include/dcmtk/dcmdata/dcrleccd.h
           dcmdata/include/dcmtk/dcmdata/dcrleerg.h
           dcmdata/include/dcmtk/dcmdata/dcsequen.h
           dcmdata/include/dcmtk/dcmdata/dcstack.h
           dcmdata/include/dcmtk/dcmdata/dcswap.h
           dcmdata/include/dcmtk/dcmdata/dctagkey.h
           dcmdata/include/dcmtk/dcmdata/dctypes.h
           dcmdata/include/dcmtk/dcmdata/dcuid.h
           dcmdata/include/dcmtk/dcmdata/dcvr.h
           dcmdata/include/dcmtk/dcmdata/dcvrda.h
           dcmdata/include/dcmtk/dcmdata/dcvrds.h
           dcmdata/include/dcmtk/dcmdata/dcvrdt.h
           dcmdata/include/dcmtk/dcmdata/dcvris.h
           dcmdata/include/dcmtk/dcmdata/dcvrlt.h
           dcmdata/include/dcmtk/dcmdata/libi2d/i2doutpl.h
           dcmdata/libi2d/Makefile.dep
           dcmdata/libsrc/Makefile.dep
           dcmdata/libsrc/dccodec.cc
           dcmdata/libsrc/dcdicdir.cc
           dcmdata/libsrc/dcdict.cc
           dcmdata/libsrc/dcpixel.cc
           dcmdata/libsrc/dcrlecce.cc
           dcmdata/libsrc/dcuid.cc
           dcmdata/libsrc/dcvr.cc
           dcmdata/tests/Makefile.dep
           dcmimage/apps/Makefile.dep
           dcmimage/include/dcmtk/dcmimage/dicoflt.h
           dcmimage/include/dcmtk/dcmimage/dicoimg.h
           dcmimage/include/dcmtk/dcmimage/dicoopxt.h
           dcmimage/include/dcmtk/dcmimage/dicopx.h
           dcmimage/include/dcmtk/dcmimage/dicopxt.h
           dcmimage/include/dcmtk/dcmimage/dicorot.h
           dcmimage/include/dcmtk/dcmimage/dicosct.h
           dcmimage/include/dcmtk/dcmimage/dihsvpxt.h
           dcmimage/include/dcmtk/dcmimage/dipalpxt.h
           dcmimage/include/dcmtk/dcmimage/dipipng.h
           dcmimage/include/dcmtk/dcmimage/dipitiff.h
           dcmimage/include/dcmtk/dcmimage/diybrpxt.h
           dcmimage/include/dcmtk/dcmimage/diyf2pxt.h
           dcmimage/include/dcmtk/dcmimage/diyp2pxt.h
           dcmimage/libsrc/Makefile.dep
           dcmimgle/apps/Makefile.dep
           dcmimgle/apps/dconvlum.cc
           dcmimgle/include/dcmtk/dcmimgle/dicrvfit.h
           dcmimgle/include/dcmtk/dcmimgle/didispfn.h
           dcmimgle/include/dcmtk/dcmimgle/diflipt.h
           dcmimgle/include/dcmtk/dcmimgle/digsdfn.h
           dcmimgle/include/dcmtk/dcmimgle/diimage.h
           dcmimgle/include/dcmtk/dcmimgle/diinpx.h
           dcmimgle/include/dcmtk/dcmimgle/diinpxt.h
           dcmimgle/include/dcmtk/dcmimgle/dimo1img.h
           dcmimgle/include/dcmtk/dcmimgle/dimo2img.h
           dcmimgle/include/dcmtk/dcmimgle/dimocpt.h
           dcmimgle/include/dcmtk/dcmimgle/dimoflt.h
           dcmimgle/include/dcmtk/dcmimgle/dimoimg.h
           dcmimgle/include/dcmtk/dcmimgle/dimoipxt.h
           dcmimgle/include/dcmtk/dcmimgle/dimomod.h
           dcmimgle/include/dcmtk/dcmimgle/dimoopx.h
           dcmimgle/include/dcmtk/dcmimgle/dimoopxt.h
           dcmimgle/include/dcmtk/dcmimgle/dimopx.h
           dcmimgle/include/dcmtk/dcmimgle/dimopxt.h
           dcmimgle/include/dcmtk/dcmimgle/dimorot.h
           dcmimgle/include/dcmtk/dcmimgle/dimosct.h
           dcmimgle/include/dcmtk/dcmimgle/diobjcou.h
           dcmimgle/include/dcmtk/dcmimgle/diovdat.h
           dcmimgle/include/dcmtk/dcmimgle/diovlay.h
           dcmimgle/include/dcmtk/dcmimgle/diovpln.h
           dcmimgle/include/dcmtk/dcmimgle/dipixel.h
           dcmimgle/include/dcmtk/dcmimgle/dirotat.h
           dcmimgle/include/dcmtk/dcmimgle/discalet.h
           dcmimgle/include/dcmtk/dcmimgle/displint.h
           dcmimgle/include/dcmtk/dcmimgle/ditranst.h
           dcmimgle/include/dcmtk/dcmimgle/diutils.h
           dcmimgle/libsrc/Makefile.dep
           dcmimgle/libsrc/didispfn.cc
           dcmimgle/libsrc/digsdfn.cc
           dcmjpeg/apps/Makefile.dep
           dcmjpeg/libsrc/Makefile.dep
           dcmjpeg/libsrc/djdijg12.cc
           dcmjpeg/libsrc/djdijg16.cc
           dcmjpeg/libsrc/djdijg8.cc
           dcmjpeg/libsrc/djeijg12.cc
           dcmjpeg/libsrc/djeijg16.cc
           dcmjpeg/libsrc/djeijg8.cc
           dcmjpls/apps/Makefile.dep
           dcmjpls/libsrc/Makefile.dep
           dcmnet/apps/Makefile.dep
           dcmnet/libsrc/Makefile.dep
           dcmnet/libsrc/dimcmd.cc
           dcmnet/libsrc/dimse.cc
           dcmnet/libsrc/diutil.cc
           dcmpstat/apps/Makefile.dep
           dcmpstat/include/dcmtk/dcmpstat/dvpsibl.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsrs.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsspl.h
           dcmpstat/libsrc/Makefile.dep
           dcmpstat/libsrc/dvsighdl.cc
           dcmpstat/tests/Makefile.dep
           dcmqrdb/apps/Makefile.dep
           dcmqrdb/libsrc/Makefile.dep
           dcmsign/apps/Makefile.dep
           dcmsign/apps/dcmsign.cc
           dcmsign/libsrc/Makefile.dep
           dcmsign/libsrc/dcsignat.cc
           dcmsr/apps/Makefile.dep
           dcmsr/libsrc/Makefile.dep
           dcmsr/tests/Makefile.dep
           dcmtls/libsrc/Makefile.dep
           dcmwlm/apps/Makefile.dep
           dcmwlm/libsrc/Makefile.dep
           dcmwlm/libsrc/wlds.cc
           dcmwlm/tests/Makefile.dep
           dcmwlm/wwwapps/Makefile.dep
           oflog/libsrc/Makefile.dep
           ofstd/include/dcmtk/ofstd/ofaptr.h
           ofstd/include/dcmtk/ofstd/ofset.h
           ofstd/include/dcmtk/ofstd/oftimer.h

**** Changes from 2010.02.26 (schlachter)

- Fixed compilation on windows. We don't want dllimport.
  Affects: dcmjpls/libcharls/intrface.h

- Fixed a minor compiler warning with gcc 4.1.1.
  Affects: dcmjpls/libcharls/scan.h

- Fixed a compiler warning with MSVC about unsafe casts.
  Affects: dcmjpls/include/dcmtk/dcmjpls/djcodece.h
           dcmjpls/libsrc/djcodece.cc

**** Changes from 2010.02.25 (riesmeier)

- Added "dcmjpls" to the list of public modules and merged CHANGES file.
  Added:   doxygen/manpages/man1/dcmcjpls.1
           doxygen/manpages/man1/dcmdjpls.1
  Removed: dcmjpls/CHANGES
  Affects: CMakeLists.txt
           config/modules
           doxygen/htmldocs.dox
           Makefile
           README

- Fixed minor layout and formatting issues.
  Affects: dcmjpls/docs/dcmcjpls.man
           dcmjpls/docs/dcmdjpls.man

- Fixed issue with element values which exceed the maximum of a 16-bit length
  field. Thanks to Peter Klotz <peter.klotz@ith-icoserve.com> for the report.
  Affects: dcmdata/include/dcmtk/dcmdata/dcerror.h
           dcmdata/libsrc/dcelem.cc
           dcmdata/libsrc/dcerror.cc
           dcmdata/libsrc/dcobject.cc

**** Changes from 2010.02.25 (schlachter)

- Added manpages for the apps and documentation for the whole module.
  Added:   dcmjpls/docs/dcmcjpls.man
           dcmjpls/docs/dcmdjpls.man
           dcmjpls/docs/dcmjpls.dox

- Fix doxygen comments in a couple of places.
  Affects: dcmjpls/include/dcmtk/dcmjpls/djcodece.h
           dcmjpls/include/dcmtk/dcmjpls/djcparam.h
           dcmjpls/include/dcmtk/dcmjpls/djdecode.h

- Updated to latest CharLS version.
  Affects: dcmjpls/docs/charls-readme.txt
           dcmjpls/include/dcmtk/dcmjpls/djlsutil.h
           dcmjpls/libcharls/clrtrans.h
           dcmjpls/libcharls/decodstr.h
           dcmjpls/libcharls/deftrait.h
           dcmjpls/libcharls/header.cc
           dcmjpls/libcharls/header.h
           dcmjpls/libcharls/intrface.cc
           dcmjpls/libcharls/intrface.h
           dcmjpls/libcharls/jpegls.cc
           dcmjpls/libcharls/scan.h
           dcmjpls/libsrc/djerror.h
           dcmjpls/libsrc/djutils.cc

- Removed outdated patch.
  Affects: dcmjpls/docs/charls-readme.txt
  Removed: dcmjpls/docs/charls.patch

**** Changes from 2010.02.23 (riesmeier)

- Added new helper function which determines whether an integer representation
  is signed or unsigned.
  Affects: dcmimgle/include/dcmtk/dcmimgle/diutils.h
           dcmimgle/libsrc/diutils.cc

- Added trace log message which outputs the internal representation for
  monochrome images (number of bits and signed/unsigned).
  Affects: dcmimgle/libsrc/dimomod.cc

**** Changes from 2010.02.22 (schlachter)

- Remove some unneeded includes.
  Affects: dcmdata/include/dcmtk/dcmdata/dcbytstr.h
           dcmdata/include/dcmtk/dcmdata/dcdatset.h
           dcmdata/include/dcmtk/dcmdata/dcdicdir.h
           dcmdata/include/dcmtk/dcmdata/dcdirrec.h
           dcmdata/include/dcmtk/dcmdata/dcfilefo.h
           dcmdata/include/dcmtk/dcmdata/dcitem.h
           dcmdata/include/dcmtk/dcmdata/dclist.h
           dcmdata/include/dcmtk/dcmdata/dcmetinf.h
           dcmdata/include/dcmtk/dcmdata/dcobject.h
           dcmdata/include/dcmtk/dcmdata/dcpixel.h
           dcmdata/include/dcmtk/dcmdata/dcpixseq.h
           dcmdata/include/dcmtk/dcmdata/dcpxitem.h
           dcmdata/include/dcmtk/dcmdata/dcsequen.h
           dcmdata/include/dcmtk/dcmdata/libi2d/i2dimgs.h
           dcmdata/libsrc/dcdict.cc
           dcmdata/libsrc/dchashdi.cc
           dcmdata/libsrc/dcistrmb.cc
           dcmdata/libsrc/dcistrmz.cc
           dcmdata/libsrc/dcostrmb.cc
           dcmdata/libsrc/dcostrmf.cc
           dcmdata/libsrc/dcuid.cc
           dcmdata/libsrc/dcvr.cc
           dcmjpeg/libsrc/dipijpeg.cc
           dcmjpeg/libsrc/djdijg12.cc
           dcmjpeg/libsrc/djdijg16.cc
           dcmjpeg/libsrc/djdijg8.cc
           dcmjpeg/libsrc/djeijg12.cc
           dcmjpeg/libsrc/djeijg16.cc
           dcmjpeg/libsrc/djeijg8.cc
           dcmsign/include/dcmtk/dcmsign/sicert.h
           dcmsign/include/dcmtk/dcmsign/sitstamp.h
           dcmsr/include/dcmtk/dcmsr/dsrcsidl.h
           dcmsr/include/dcmtk/dcmsr/dsrsoprf.h
           dcmtls/libsrc/tlslayer.cc
           dcmtls/libsrc/tlstrans.cc
           oflog/include/dcmtk/oflog/streams.h
           oflog/libsrc/consap.cc
           oflog/libsrc/loglog.cc

**** Changes from 2010.02.19 (riesmeier)

- Fixed wrong log output (error message when status is "normal").
  Thanks to Peter Klotz <peter.klotz@ith-icoserve.com> for the original report.
  Affects: dcmnet/apps/movescu.cc

- Added private ASTM tags for DICONDE (including CT and DR).
  Affects: dcmdata/data/diconde.dic

**** Changes from 2010.02.18 (riesmeier)

- Added preliminary version of a DICONDE (Digital Imaging and Communication in
  Nondestructive Evaluation) data dictionary. Currently, only the standard tags
  are included. The private ASTM tags will be added later.
  Added:   dcmdata/data/diconde.dic
  Affects: dcmdata/data/CMakeLists.txt
           dcmdata/data/Makefile.in

**** Changes from 2010.02.15 (riesmeier)

- Fixed wrong output in debug mode (error message when status is "success").
  Affects: dcmwlm/libsrc/wlmactmg.cc

- Fixed wrong output in verbose mode (string pointer instead of string value).
  Affects: dcmwlm/libsrc/wlfsim.cc

- Replaced remaining CERR output by DCMWLM_ERROR() macro.
  Affects: dcmwlm/libsrc/wlmactmg.cc

- Fixed typo.
  Affects: dcmwlm/data/wlistdb/README

**** Changes from 2010.02.05 (riesmeier)

- Fixed issue with double locking of ofConsole.
  Affects: dcmdata/apps/mdfconen.cc

- Fixed inconsistent source code formatting.
  Affects: dcmdata/apps/mdfconen.cc

- Updated reference to row numbers in comments (based on the current edition
  of the DICOM standard). Added missing "else" statement.
  Affects: dcmsr/libsrc/dsrxrdcc.cc

**** Changes from 2010.02.04 (riesmeier)

- Fixed issue with experimental macro ON_THE_FLY_COMPRESSION.
  Thanks to Henning Meyer <henning.meyer@uhn.on.ca> for reporting this.
  Affects: dcmnet/apps/storescu.cc

- Fixed minor issues with log output, e.g. redundant line breaks.
  Affects: dcmnet/libsrc/dimse.cc

**** Changes from 2010.01.26 (schlachter)

- Use DIMSE_dumpMessage() for some more log messages.
  Affects: dcmnet/libsrc/dfindscu.cc
           dcmwlm/libsrc/wlmactmg.cc

**** Changes from 2010.01.21 (riesmeier)

- Added stream variant of method convertToMarkupString().
  Affects: ofstd/include/dcmtk/ofstd/ofstd.h
           ofstd/libsrc/ofstd.cc

- Changed implementation of convertToMarkupString(). This helper function is
  now based on the new stream variant which is much more efficient when
  converting large text strings with many special characters.
  Affects: ofstd/libsrc/ofstd.cc

- Switched to new stream variant of method convertToMarkupString() where
  appropriate.
  Affects: dcmdata/libsrc/dcelem.cc
           dcmdata/libsrc/dcvrds.cc
           dcmsr/libsrc/dsrtypes.cc

**** Changes from 2010.01.20 (schlachter)

- Added OFStandard::getProcessID().
  Affects: dcmdata/libsrc/dcuid.cc
           dcmnet/apps/storescp.cc
           dcmnet/include/dcmtk/dcmnet/dcompat.h
           dcmnet/libsrc/dcompat.cc
           ofstd/include/dcmtk/ofstd/ofstd.h
           ofstd/libsrc/ofstd.cc

- Added variables for the appname, date, time, hostname and pid to logger.cfg.
  Affects: oflog/docs/oflog.dox
           oflog/etc/logger.cfg
           oflog/libsrc/oflog.cc

**** Changes from 2010.01.20 (riesmeier)

- Made sure that the calling and called AE title strings are always
  null-terminated.
  Thanks to Per Inge Mathisen <perim@sonowand.com> for the report and
  suggested fix.
  Affects: dcmnet/libsrc/dulparse.cc

- Fixed minor typos and manually added missing CVS log entries.
  Affects: oflog/etc/logger.cfg

**** Changes from 2010.01.19 (schlachter)

- Made file names fit into 8.3 format.
  Affects: dcmjpls/libcharls/Makefile.dep
           dcmjpls/libcharls/Makefile.in
           dcmjpls/libcharls/header.cc
           dcmjpls/libcharls/jpegls.cc
           dcmjpls/libcharls/scan.h
           dcmjpls/libcharls/util.h
           dcmjpls/libsrc/Makefile.dep
           dcmjpls/libsrc/djcodecd.cc
           dcmjpls/libsrc/djcodece.cc
           dcmjpls/libsrc/djerror.h
  Added:   dcmjpls/libcharls/clrtrans.h
           dcmjpls/libcharls/ctxtrmod.h
           dcmjpls/libcharls/decodstr.h
           dcmjpls/libcharls/deftrait.h
           dcmjpls/libcharls/encodstr.h
           dcmjpls/libcharls/intrface.cc
           dcmjpls/libcharls/intrface.h
           dcmjpls/libcharls/lltraits.h
           dcmjpls/libcharls/lokuptbl.h
           dcmjpls/libcharls/procline.h
  Removed: dcmjpls/libcharls/colortransform.h
           dcmjpls/libcharls/contextrunmode.h
           dcmjpls/libcharls/decoderstrategy.h
           dcmjpls/libcharls/defaulttraits.h
           dcmjpls/libcharls/encoderstrategy.h
           dcmjpls/libcharls/interface.cc
           dcmjpls/libcharls/interface.h
           dcmjpls/libcharls/lookuptable.h
           dcmjpls/libcharls/losslesstraits.h
           dcmjpls/libcharls/processline.h

**** Changes from 2010.01.14 (riesmeier)

- Updated man pages.
  Affects: doxygen/manpages/man1/*

**** Changes from 2010.01.13 (schlachter)

- Removed use of UNICODE define, it caused more problems than it solved.
  Affects: oflog/include/dcmtk/oflog/config/defines.h
           oflog/include/dcmtk/oflog/fstreams.h
           oflog/include/dcmtk/oflog/socketap.h
           oflog/include/dcmtk/oflog/streams.h
           oflog/include/dcmtk/oflog/tstring.h
           oflog/libsrc/fileap.cc
           oflog/libsrc/property.cc
           oflog/libsrc/sockbuff.cc
           oflog/libsrc/socketap.cc
           oflog/libsrc/strhelp.cc
           oflog/libsrc/timehelp.cc

- Removed pointless stdafx files.
  Affects: dcmjpls/libcharls/CMakeLists.txt
           dcmjpls/libcharls/Makefile.dep
           dcmjpls/libcharls/Makefile.in
           dcmjpls/libcharls/header.cc
           dcmjpls/libcharls/interface.cc
           dcmjpls/libcharls/interface.h
           dcmjpls/libcharls/jpegls.cc
  Removed: dcmjpls/libcharls/stdafx.cc
           dcmjpls/libcharls/stdafx.h

- Fix build on windows.
  Affects: dcmjpls/libcharls/config.h
           dcmjpls/libcharls/interface.h

**** Changes from 2010.01.07 (riesmeier)

- Added tests for old time format "HH:MM:SS.FFFFFF".
  Affects: dcmdata/tests/tstchval.cc

**** Changes from 2010.01.06 (schlachter)

- Fix a use-after-free bug in OFConfigFile on invalid config files.
  Affects: ofstd/libsrc/ofconfig.cc

**** Changes from 2010.01.05 (schlachter)

- Made sure OFString always null-terminates its C-Strings.
  Affects: ofstd/libsrc/ofstring.cc

**** Changes from 2010.01.05 (riesmeier)

- Moved determination of pixel data length to the body of a logging macro
  (since the length value is only used for logging purposes).
  Affects: dcmimgle/libsrc/didocu.cc

**** Changes from 2010.01.04 (riesmeier)

- Added new method getDirNameFromPath() and enhanced existing method
  getFilenameFromPath().
  Affects: ofstd/include/dcmtk/ofstd/ofstd.h
           ofstd/libsrc/ofstd.cc

- Fixed issue with --sort-conc-studies option by slightly reworking the file
  and directory name string handling (use helper functions from "ofstd").
  Thanks to forum user "semi-newbie" for the bug report.
  Affects: dcmnet/apps/storescp.cc

- Added info log message that shows the name of the stored DICOM file.
  Affects: dcmnet/apps/storescp.cc

**** Changes from 2009.12.23 (riesmeier)

- Changed output of option --arguments.
  Affects: oflog/libsrc/oflog.cc

- Added support for getting the name of the program, i.e. the value of argv[0].
  Affects: ofstd/include/dcmtk/ofstd/ofcmdln.h
           ofstd/libsrc/ofcmdln.cc

**** Changes from 2009.12.21 (riesmeier)

- Rebuilt Makefile dependencies since the files "oflogfil.cc" and "oflogfil.h"
  were removed.
  Affects: ofstd/libsrc/Makefile.dep

**** Changes from 2009.12.21 (onken)

- Fixed API documentation to keep doxygen quiet.
  Affects: dcmnet/include/dcmtk/dcmnet/scp.h
           dcmnet/include/dcmtk/dcmnet/scu.h

- Added documentation and refactored / enhanced some code.
  Affects: dcmnet/include/dcmtk/dcmnet/scp.h
           dcmnet/include/dcmtk/dcmnet/scu.h
           dcmnet/libsrc/dcmtk/scp.cc
           dcmnet/libsrc/dcmtk/scu.cc

**** Changes from 2009.12.21 (schlachter)

- Removed class OFLogFile which is no longer used.
  Affects: ofstd/libsrc/Makefile.in
           ofstd/libsrc/CMakeLists.txt
  Removed: ofstd/include/dcmtk/ofstd/oflogfil.h
           ofstd/libsrc/oflogfil.cc

- Removed unwanted libxml2 header files.
  Affects: dcmdata/apps/Makefile.dep
           dcmsr/apps/Makefile.dep
           dcmsr/libsrc/Makefile.dep

**** Changes from 2009.12.18 (riesmeier)

- Fixed issue with beta version of OpenSSL 1.0 (const declaration changed).
  Thanks to forum user "Vrenn" for the report and suggested fix.
  Affects: dcmtls/libsrc/tlslayer.cc

**** Changes from 2009.12.17 (riesmeier)

- Enhanced CMake project file by disabling external support libraries if
  corresponding header files could not be found.
  Affects: CMakeLists.txt

**** Changes from 2009.12.17 (onken)

- Fixed scu and scp base class compile issues.
  Affects: dcmnet/include/dcmtk/dcmnet/scu.h
           dcmnet/libsrc/scu.cc

**** Changes from 2009.12.16 (onken)

- Added base classes for SCU and SCP implementations.
  Affects: dcmnet/CMakeLists.txt
           dcmnet/libsrc/CMakeLists.txt
           dcmnet/libsrc/Makefile.dep
           dcmnet/libsrc/Makefile.in
  Added:   dcmnet/include/dcmtk/dcmnet/scp.h
           dcmnet/include/dcmtk/dcmnet/scu.h
           dcmnet/libsrc/scp.cc
           dcmnet/libsrc/scu.cc

- Fixed bug in SCU/SCP role negotation. Thanks to Evgeny Sabelskiy
  <evgeny.sabelskiy@gmail.com> for the report and suggested fix.
  Affects: dcmnet/libsrc/dulconst.cc

**** Changes from 2009.12.16 (riesmeier)

- Slightly modified description of command line option --logfile.
  Affects: dcmpstat/apps/dcmprscp.cc
           dcmpstat/docs/dcmprscp.man

**** Changes from 2009.12.15 (schlachter)

- Re-added and fixed the command line option --logfile.
  Affects: dcmpstat/apps/dcmprscp.cc
           dcmpstat/docs/dcmprscp.man
           dcmpstat/libsrc/dviface.cc

- Fixed an unsafe usage of OFString.
  Affects: dcmpstat/libsrc/dvpssp.cc

- Fixes some issues with --logfile and the config's log options.
  Affects: dcmpstat/apps/dcmprscp.cc
           dcmpstat/include/dcmtk/dcmpstat/dvpsdef.h
           dcmpstat/libsrc/dcmpstat.cc
           dcmpstat/libsrc/dviface.cc

**** Changes from 2009.12.11 (riesmeier)

- Changed description of command line option --dump.
  Affects: dcmpstat/apps/dcmprscp.cc
           dcmpstat/apps/dcmprscu.cc
           dcmpstat/docs/dcmprscp.man
           dcmpstat/docs/dcmprscu.man

- Moved command line option --dump to another section.
  Affects: dcmpstat/apps/dcmprscu.cc
           dcmpstat/docs/dcmprscu.man

- Removed old command line option --logfile.
  Affects: dcmpstat/docs/dcmprscp.man

- Fixed small inconsistencies in syntax usage and log output.
  Affects: dcmqrdb/apps/dcmqridx.cc

- Removed old command line option --logfile when executing external processes.
  Affects: dcmpstat/libsrc/dviface.cc

- Slightly modified log messages and log levels.
  Affects: dcmpstat/libsrc/dviface.cc

**** Changes from 2009.12.10 (riesmeier)

- Fixed small issue in log output.
  Affects: dcmsr/libsrc/dsrtypes.cc

**** Changes from 2009.12.09 (schlachter)

- Fixed include path which was still using an old file name.
  Affects: dcmpstat/libsrc/dviface.cc

- Rebuilt Makefile dependencies.
  Affects: oflog/libsrc/Makefile.dep
           dcmdata/apps/Makefile.dep
           dcmdata/libi2d/Makefile.dep
           dcmdata/libsrc/Makefile.dep
           dcmdata/tests/Makefile.dep
           dcmimage/apps/Makefile.dep
           dcmimage/libsrc/Makefile.dep
           dcmimgle/apps/Makefile.dep
           dcmimgle/libsrc/Makefile.dep
           dcmjpeg/apps/Makefile.dep
           dcmjpeg/libsrc/Makefile.dep
           dcmjpls/apps/Makefile.dep
           dcmjpls/libsrc/Makefile.dep
           dcmnet/apps/Makefile.dep
           dcmnet/libsrc/Makefile.dep
           dcmpstat/apps/Makefile.dep
           dcmpstat/libsrc/Makefile.dep
           dcmpstat/libsrc/dviface.cc
           dcmpstat/tests/Makefile.dep
           dcmqrdb/apps/Makefile.dep
           dcmqrdb/libsrc/Makefile.dep
           dcmsign/apps/Makefile.dep
           dcmsign/libsrc/Makefile.dep
           dcmsr/apps/Makefile.dep
           dcmsr/libsrc/Makefile.dep
           dcmsr/tests/Makefile.dep
           dcmtls/libsrc/Makefile.dep
           dcmwlm/apps/Makefile.dep
           dcmwlm/libsrc/Makefile.dep
           dcmwlm/tests/Makefile.dep
           dcmwlm/wwwapps/Makefile.dep

**** Changes from 2009.12.08 (schlachter)

- Renaming files to make them fit into 8.3 format.
  Affects: oflog/include/dcmtk/oflog/appender.h
           oflog/include/dcmtk/oflog/config.h
           oflog/include/dcmtk/oflog/factory.h
           oflog/include/dcmtk/oflog/filter.h
           oflog/include/dcmtk/oflog/helpers/socket.h
           oflog/include/dcmtk/oflog/helpers/syncprims.h
           oflog/include/dcmtk/oflog/hierarchy.h
           oflog/include/dcmtk/oflog/layout.h
           oflog/include/dcmtk/oflog/logger.h
           oflog/include/dcmtk/oflog/ndc.h
           oflog/libsrc/CMakeLists.txt
           oflog/libsrc/Makefile.in
           oflog/libsrc/appender.cc
           oflog/libsrc/factory.cc
           oflog/libsrc/filter.cc
           oflog/libsrc/hierarchy.cc
           oflog/libsrc/layout.cc
           oflog/libsrc/logger.cc
           oflog/libsrc/loglevel.cc
           oflog/libsrc/oflog.cc
           oflog/libsrc/sleep.cc
           oflog/libsrc/threads.cc
  Removed: oflog/include/dcmtk/oflog/configurator.h
           oflog/include/dcmtk/oflog/consoleappender.h
           oflog/include/dcmtk/oflog/fileappender.h
           oflog/include/dcmtk/oflog/helpers/appenderattachableimpl.h
           oflog/include/dcmtk/oflog/helpers/logloguser.h
           oflog/include/dcmtk/oflog/helpers/socketbuffer.h
           oflog/include/dcmtk/oflog/helpers/stringhelper.h
           oflog/include/dcmtk/oflog/helpers/syncprims-pthreads.h
           oflog/include/dcmtk/oflog/helpers/syncprims-win32.h
           oflog/include/dcmtk/oflog/helpers/thread-config.h
           oflog/include/dcmtk/oflog/helpers/timehelper.h
           oflog/include/dcmtk/oflog/hierarchylocker.h
           oflog/include/dcmtk/oflog/loggingmacros.h
           oflog/include/dcmtk/oflog/nteventlogappender.h
           oflog/include/dcmtk/oflog/nullappender.h
           oflog/include/dcmtk/oflog/socketappender.h
           oflog/include/dcmtk/oflog/spi/appenderattachable.h
           oflog/include/dcmtk/oflog/spi/loggerfactory.h
           oflog/include/dcmtk/oflog/spi/loggerimpl.h
           oflog/include/dcmtk/oflog/spi/loggingevent.h
           oflog/include/dcmtk/oflog/spi/objectregistry.h
           oflog/include/dcmtk/oflog/spi/rootlogger.h
           oflog/include/dcmtk/oflog/syslogappender.h
           oflog/include/dcmtk/oflog/win32debugappender.h
           oflog/libsrc/appenderattachableimpl.cc
           oflog/libsrc/configurator.cc
           oflog/libsrc/consoleappender.cc
           oflog/libsrc/fileappender.cc
           oflog/libsrc/global-init.cc
           oflog/libsrc/hierarchylocker.cc
           oflog/libsrc/loggerimpl.cc
           oflog/libsrc/loggingevent.cc
           oflog/libsrc/logloguser.cc
           oflog/libsrc/nteventlogappender.cc
           oflog/libsrc/nullappender.cc
           oflog/libsrc/objectregistry.cc
           oflog/libsrc/patternlayout.cc
           oflog/libsrc/rootlogger.cc
           oflog/libsrc/socket-unix.cc
           oflog/libsrc/socket-win32.cc
           oflog/libsrc/socketappender.cc
           oflog/libsrc/socketbuffer.cc
           oflog/libsrc/stringhelper.cc
           oflog/libsrc/syslogappender.cc
           oflog/libsrc/timehelper.cc
           oflog/libsrc/win32debugappender.cc
  Added:   oflog/include/dcmtk/oflog/configrt.h
           oflog/include/dcmtk/oflog/consap.h
           oflog/include/dcmtk/oflog/fileap.h
           oflog/include/dcmtk/oflog/helpers/apndimpl.h
           oflog/include/dcmtk/oflog/helpers/lloguser.h
           oflog/include/dcmtk/oflog/helpers/sockbuff.h
           oflog/include/dcmtk/oflog/helpers/strhelp.h
           oflog/include/dcmtk/oflog/helpers/syncppth.h
           oflog/include/dcmtk/oflog/helpers/syncpwin.h
           oflog/include/dcmtk/oflog/helpers/threadcf.h
           oflog/include/dcmtk/oflog/helpers/timehelp.h
           oflog/include/dcmtk/oflog/hierlock.h
           oflog/include/dcmtk/oflog/logmacro.h
           oflog/include/dcmtk/oflog/ntelogap.h
           oflog/include/dcmtk/oflog/nullap.h
           oflog/include/dcmtk/oflog/socketap.h
           oflog/include/dcmtk/oflog/spi/apndatch.h
           oflog/include/dcmtk/oflog/spi/logevent.h
           oflog/include/dcmtk/oflog/spi/logfact.h
           oflog/include/dcmtk/oflog/spi/logimpl.h
           oflog/include/dcmtk/oflog/spi/objreg.h
           oflog/include/dcmtk/oflog/spi/rootlog.h
           oflog/include/dcmtk/oflog/syslogap.h
           oflog/include/dcmtk/oflog/windebap.h
           oflog/libsrc/apndimpl.cc
           oflog/libsrc/config.cc
           oflog/libsrc/consap.cc
           oflog/libsrc/fileap.cc
           oflog/libsrc/globinit.cc
           oflog/libsrc/hierlock.cc
           oflog/libsrc/lloguser.cc
           oflog/libsrc/logevent.cc
           oflog/libsrc/logimpl.cc
           oflog/libsrc/ntelogap.cc
           oflog/libsrc/nullap.cc
           oflog/libsrc/objreg.cc
           oflog/libsrc/patlay.cc
           oflog/libsrc/rootlog.cc
           oflog/libsrc/sockbuff.cc
           oflog/libsrc/socketap.cc
           oflog/libsrc/strhelp.cc
           oflog/libsrc/syslogap.cc
           oflog/libsrc/timehelp.cc
           oflog/libsrc/unixsock.cc
           oflog/libsrc/windebap.cc
           oflog/libsrc/winsock.cc

**** Changes from 2009.12.08 (riesmeier)

- Removed unused command line option --show-pc.
  Affects: dcmnet/docs/storescp.man
           dcmnet/docs/storescu.man

- Slightly modified some log messages.
  Affects: dcmnet/libsrc/dimdump.cc

- Fixed use of wrong logging macro.
  Affects: dcmnet/libsrc/dul.cc

- Fixed inconsistent source code formatting.
  Affects: dcmnet/include/dcmtk/dcmnet/dul.h
           dcmnet/libsrc/dul.cc

**** Changes from 2009.12.04 (riesmeier)

- Updated copyright date as well as the name of the OFFIS institute and
  department.
  Affects: COPYRIGHT

- Restructured log output in order to avoid compiler errors with VisualStudio.
  Affects: dcmsr/apps/xml2dsr.cc

- Moved some log messages from debug to trace level.
  Affects: dcmdata/libsrc/dcsequen.cc

- Slightly modified some log messages.
  Affects: dcmdata/libsrc/dcbytstr.cc
           dcmdata/libsrc/dcdatset.cc
           dcmdata/libsrc/dcdicdir.cc
           dcmdata/libsrc/dcdirrec.cc
           dcmdata/libsrc/dcfilefo.cc
           dcmdata/libsrc/dcitem.cc
           dcmdata/libsrc/dcostrmb.cc
           dcmdata/libsrc/dcpixseq.cc
           dcmdata/libsrc/dcsequen.cc
           dcmdata/libsrc/dcvr.cc
           dcmdata/libsrc/dcvrobow.cc

**** Changes from 2009.12.02 (riesmeier)

- Make sure that dcmSOPClassUIDToModality() never returns NULL when passed to
  the log stream in order to avoid an application crash.
  Affects: dcmnet/apps/movescu.cc
           dcmnet/apps/storescp.cc
           dcmnet/apps/storescu.cc
           dcmpstat/apps/dcmpssnd.cc
           dcmqrdb/libsrc/dcmqrcbg.cc
           dcmqrdb/libsrc/dcmqrcbm.cc
           dcmqrdb/libsrc/dcmqrtis.cc

- Slightly modified output of progress bar.
  Affects: dcmqrdb/libsrc/dcmqrcbg.cc
           dcmqrdb/libsrc/dcmqrcbm.cc
           dcmqrdb/libsrc/dcmqrcbs.cc

- Sightly modified source code formatting.
  Affects: dcmqrdb/libsrc/dcmqrdbi.cc

**** Changes from 2009.12.02 (schlachter)

- Completely removed the old dcmdata debug mechanism.
  Removed: dcmdata/include/dcmtk/dcmdata/dcdebug.h
  Affects: dcmsign/apps/dcmsign.cc
           dcmsign/apps/Makefile.dep

- Corrected build failures on windows.
  Affects: dcmnet/libsrc/dcompat.cc
           dcmwlm/libsrc/wlmactmg.cc

**** Changes from 2009.12.01 (riesmeier)

- Added new command line option --verbose-pc that allows for showing the
  presentation contexts in verbose mode.
  Affects: dcmnet/apps/storescp.cc
           dcmnet/docs/storescp.man

- Sightly modified log messages.
  Affects: dcmnet/apps/echoscu.cc
           dcmnet/apps/findscu.cc
           dcmnet/apps/movescu.cc
           dcmnet/apps/storescp.cc
           dcmnet/apps/storescu.cc

- Fixed wrong documentation of command line option.
  Affects: dcmnet/docs/findscu.man
           dcmnet/docs/storescu.man

- Use helper function checkDependence() where appropriate.
  Affects: dcmnet/apps/echoscu.cc
           dcmnet/apps/findscu.cc

- Fixed issue with syntax usage (e.g. layout and formatting).
  Affects: dcmnet/apps/findscu.cc

**** Changes from 2009.11.27 (riesmeier)

- Sightly modified log messages.
  Affects: dcmpstat/apps/dcmprscp.cc
           dcmpstat/apps/dcmprscu.cc
           dcmpstat/apps/dcmpsrcv.cc
           dcmpstat/apps/dcmpssnd.cc

- Fixed various issues with syntax usage (e.g. layout and formatting).
  Affects: dcmpstat/apps/dcmp2pgm.cc
           dcmpstat/apps/dcmprscp.cc
           dcmpstat/apps/dcmprscu.cc
           dcmpstat/apps/dcmpschk.cc
           dcmpstat/apps/dcmpsrcv.cc
           dcmpstat/apps/dcmpssnd.cc
           dcmpstat/docs/dcmp2pgm.man
           dcmpstat/docs/dcmprscp.man
           dcmpstat/docs/dcmprscu.man

- Added settings for and documentation on ".progress" loggers.
  Affects: oflog/etc/logger.cfg

- Replaced remaining tabs by spaces.
  Affects: dcmpstat/apps/dcmp2pgm.cc
           dcmpstat/apps/dcmpssnd.cc

- Updated latest tested CMake version to 2.8.0.
  Affects: CMakeLists.txt

- Removed unused subdirectory "tests" from CMake project file.
  Affects: dcmimgle/CMakeLists.txt
           dcmpstat/CMakeLists.txt

- Updated man pages.
  Affects: doxygen/manpages/man1/*

- Removed "dcmavi" module from list of public DCMTK modules.
  Affects: CMakeLists.txt

**** Changes from 2009.11.26 (riesmeier)

- Moved some log messages from debug to trace level.
  Affects: dcmnet/libsrc/dimse.cc

**** Changes from 2009.11.26 (onken)

- Added better error message to dcmodify in case write permissions for creating
  the backup file are missing.
  Thanks to Karen Rei Pease <karen-pease@uiowa.edu> for reporting.
  Affects: dcmdata/apps/mdfconen.cc

**** Changes from 2009.11.25 (riesmeier)

- Adapted code for new approach to access individual frames of a DICOM image.
  Affects: dcmdata/include/dcmtk/dcmdata/dcddirif.h
           dcmdata/libsrc/dcddirif.cc
           dcmimage/apps/dcm2pnm.cc
           dcmimage/include/dcmtk/dcmimage/diargimg.h
           dcmimage/include/dcmtk/dcmimage/dicmyimg.h
           dcmimage/include/dcmtk/dcmimage/dihsvimg.h
           dcmimage/include/dcmtk/dcmimage/dipalimg.h
           dcmimage/include/dcmtk/dcmimage/dirgbimg.h
           dcmimage/include/dcmtk/dcmimage/diybrimg.h
           dcmimage/include/dcmtk/dcmimage/diyf2img.h
           dcmimage/include/dcmtk/dcmimage/diyp2img.h
           dcmimage/libsrc/diargimg.cc
           dcmimage/libsrc/dicmyimg.cc
           dcmimage/libsrc/dihsvimg.cc
           dcmimage/libsrc/dipalimg.cc
           dcmimage/libsrc/dirgbimg.cc
           dcmimage/libsrc/diybrimg.cc
           dcmimage/libsrc/diyf2img.cc
           dcmimage/libsrc/diyp2img.cc
           dcmimgle/include/dcmtk/dcmimgle/didocu.h
           dcmimgle/include/dcmtk/dcmimgle/diimage.h
           dcmimgle/include/dcmtk/dcmimgle/diinpx.h
           dcmimgle/include/dcmtk/dcmimgle/diinpxt.h
           dcmimgle/include/dcmtk/dcmimgle/dimoimg.h
           dcmimgle/libsrc/dcmimage.cc
           dcmimgle/libsrc/didocu.cc
           dcmimgle/libsrc/diimage.cc
           dcmimgle/libsrc/diinpx.cc
           dcmimgle/libsrc/dimoimg.cc
           dcmimgle/libsrc/diovpln.cc
           dcmjpeg/include/dcmtk/dcmjpeg/ddpiimpl.h
           dcmjpeg/libsrc/ddpiimpl.cc

- Added new method which allows for processing the frames of a multi-frame
  image successively.
  Affects: dcmimgle/include/dcmtk/dcmimgle/dcmimage.h

- Fixed issue with attributes that use a value representation of US or SS.
  Affects: dcmimgle/include/dcmtk/dcmimgle/didocu.h
           dcmimgle/libsrc/didocu.cc

- Fixed issue with LUT Descriptor elements using the value representation SS.
  Affects: dcmimgle/libsrc/diluptab.cc

- The getString() method now returns the Defined Term of the attribute
  PhotometricInterpretation.
  Affects: dcmimgle/include/dcmtk/dcmimgle/dcmimage.h
           dcmimgle/libsrc/dcmimage.cc

- Added list of Defined Terms for the attribute PhotometricInterpretation.
  Affects: dcmimgle/include/dcmtk/dcmimgle/diutils.h

- Added new source and header file for the module logger.
  Added:   dcmimage/include/dcmtk/dcmimage/dilogger.h
           dcmimage/libsrc/dilogger.cc
  Affects: dcmimage/include/dcmtk/dcmimage/dicopx.h
           dcmimage/include/dcmtk/dcmimage/diqttype.h
           dcmimage/libsrc/CMakeLists.txt
           dcmimage/libsrc/dicoimg.cc
           dcmimage/libsrc/diquant.cc
           dcmimage/libsrc/Makefile.in

- Removed inclusion of header file "ofconsol.h".
  Affects: dcmimage/include/dcmtk/dcmimage/dihsvpxt.h
           dcmimage/include/dcmtk/dcmimage/dipalpxt.h
           dcmimage/include/dcmtk/dcmimage/diyf2pxt.h
           dcmimage/include/dcmtk/dcmimage/diyp2pxt.h
           dcmimage/libsrc/diqtctab.cc
           dcmimage/libsrc/diquant.cc
           dcmimgle/include/dcmtk/dcmimgle/dimoipxt.h
           dcmimgle/include/dcmtk/dcmimgle/dimoopxt.h
           dcmimgle/include/dcmtk/dcmimgle/dimopxt.h
           dcmimgle/include/dcmtk/dcmimgle/discalet.h
           dcmimgle/include/dcmtk/dcmimgle/dimoipxt.h
           dcmimgle/include/dcmtk/dcmimgle/dimoopxt.h
           dcmimgle/include/dcmtk/dcmimgle/dimopxt.h
           dcmimgle/apps/dconvlum.cc
           dcmimgle/libsrc/diciefn.cc
           dcmimgle/libsrc/dicielut.cc
           dcmimgle/libsrc/didispfn.cc
           dcmimgle/libsrc/digsdfn.cc
           dcmimgle/libsrc/digsdlut.cc
           dcmimgle/libsrc/diovpln.cc
           dcmimgle/libsrc/diutils.cc

- Revised logging messages.
  Affects: dcmimgle/include/dcmtk/dcmimgle/diinpxt.h
           dcmimgle/include/dcmtk/dcmimgle/dimoipxt.h
           dcmimgle/include/dcmtk/dcmimgle/dimoopxt.h
           dcmimgle/libsrc/diluptab.cc
           dcmimgle/libsrc/diovpln.cc

- Added more logging messages.
  Affects: dcmimgle/include/dcmtk/dcmimgle/diinpxt.h
           dcmimgle/include/dcmtk/dcmimgle/dimoopxt.h
           dcmimgle/include/dcmtk/dcmimgle/dimopxt.h
           dcmjpeg/libsrc/djcodecd.cc
           dcmimgle/libsrc/didocu.cc
           dcmimgle/libsrc/diimage.cc
           dcmimgle/libsrc/diovpln.cc

- Rebuilt Makefile dependencies.
  Affects: dcmdata/apps/Makefile.dep
           dcmdata/libsrc/Makefile.dep
           dcmimage/apps/Makefile.dep
           dcmimage/libsrc/Makefile.dep
           dcmimgle/apps/Makefile.dep
           dcmimgle/libsrc/Makefile.dep
           dcmjpeg/apps/Makefile.dep
           dcmjpeg/libsrc/Makefile.dep

- Removed unused implementation of method determineDecompressedColorModel().
  Affects: dcmjpls/libsrc/djcodecd.cc

**** Changes from 2009.11.24 (schlachter)

- Switched to logging mechanism provided by the "new" oflog module.
  Affects: dcmpstat/apps/Makefile.dep
           dcmpstat/apps/dcmmkcrv.cc
           dcmpstat/apps/dcmmklut.cc
           dcmpstat/apps/dcmp2pgm.cc
           dcmpstat/apps/dcmprscp.cc
           dcmpstat/apps/dcmprscu.cc
           dcmpstat/apps/dcmpschk.cc
           dcmpstat/apps/dcmpsmk.cc
           dcmpstat/apps/dcmpsprt.cc
           dcmpstat/apps/dcmpsrcv.cc
           dcmpstat/apps/dcmpssnd.cc
           dcmpstat/docs/dcmmkcrv.man
           dcmpstat/docs/dcmmklut.man
           dcmpstat/docs/dcmp2pgm.man
           dcmpstat/docs/dcmprscp.man
           dcmpstat/docs/dcmprscu.man
           dcmpstat/docs/dcmpschk.man
           dcmpstat/docs/dcmpsmk.man
           dcmpstat/docs/dcmpsprt.man
           dcmpstat/docs/dcmpsrcv.man
           dcmpstat/docs/dcmpssnd.man
           dcmpstat/include/dcmtk/dcmpstat/dcmpstat.h
           dcmpstat/include/dcmtk/dcmpstat/dviface.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsab.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsabl.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsal.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsall.h
           dcmpstat/include/dcmtk/dcmpstat/dvpscf.h
           dcmpstat/include/dcmtk/dcmpstat/dvpscu.h
           dcmpstat/include/dcmtk/dcmpstat/dvpscul.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsda.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsdal.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsdef.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsfs.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsga.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsgal.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsgl.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsgll.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsgr.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsgrl.h
           dcmpstat/include/dcmtk/dcmpstat/dvpshlp.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsib.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsibl.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsov.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsovl.h
           dcmpstat/include/dcmtk/dcmpstat/dvpspl.h
           dcmpstat/include/dcmtk/dcmpstat/dvpspll.h
           dcmpstat/include/dcmtk/dcmpstat/dvpspr.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsprt.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsri.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsril.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsrs.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsrsl.h
           dcmpstat/include/dcmtk/dcmpstat/dvpssp.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsspl.h
           dcmpstat/include/dcmtk/dcmpstat/dvpssv.h
           dcmpstat/include/dcmtk/dcmpstat/dvpssvl.h
           dcmpstat/include/dcmtk/dcmpstat/dvpstat.h
           dcmpstat/include/dcmtk/dcmpstat/dvpstx.h
           dcmpstat/include/dcmtk/dcmpstat/dvpstxl.h
           dcmpstat/include/dcmtk/dcmpstat/dvpstyp.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsvl.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsvll.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsvw.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsvwl.h
           dcmpstat/libsrc/Makefile.dep
           dcmpstat/libsrc/dcmpstat.cc
           dcmpstat/libsrc/dviface.cc
           dcmpstat/libsrc/dvpsab.cc
           dcmpstat/libsrc/dvpsabl.cc
           dcmpstat/libsrc/dvpsal.cc
           dcmpstat/libsrc/dvpsall.cc
           dcmpstat/libsrc/dvpscf.cc
           dcmpstat/libsrc/dvpscu.cc
           dcmpstat/libsrc/dvpscul.cc
           dcmpstat/libsrc/dvpsda.cc
           dcmpstat/libsrc/dvpsdal.cc
           dcmpstat/libsrc/dvpsfs.cc
           dcmpstat/libsrc/dvpsga.cc
           dcmpstat/libsrc/dvpsgal.cc
           dcmpstat/libsrc/dvpsgl.cc
           dcmpstat/libsrc/dvpsgll.cc
           dcmpstat/libsrc/dvpsgr.cc
           dcmpstat/libsrc/dvpsgrl.cc
           dcmpstat/libsrc/dvpshlp.cc
           dcmpstat/libsrc/dvpsib.cc
           dcmpstat/libsrc/dvpsibl.cc
           dcmpstat/libsrc/dvpsov.cc
           dcmpstat/libsrc/dvpsovl.cc
           dcmpstat/libsrc/dvpspl.cc
           dcmpstat/libsrc/dvpspl2.cc
           dcmpstat/libsrc/dvpspll.cc
           dcmpstat/libsrc/dvpspr.cc
           dcmpstat/libsrc/dvpsprt.cc
           dcmpstat/libsrc/dvpsri.cc
           dcmpstat/libsrc/dvpsril.cc
           dcmpstat/libsrc/dvpsrs.cc
           dcmpstat/libsrc/dvpsrsl.cc
           dcmpstat/libsrc/dvpssp.cc
           dcmpstat/libsrc/dvpsspl.cc
           dcmpstat/libsrc/dvpssv.cc
           dcmpstat/libsrc/dvpssvl.cc
           dcmpstat/libsrc/dvpstat.cc
           dcmpstat/libsrc/dvpstx.cc
           dcmpstat/libsrc/dvpstxl.cc
           dcmpstat/libsrc/dvpsvl.cc
           dcmpstat/libsrc/dvpsvll.cc
           dcmpstat/libsrc/dvpsvw.cc
           dcmpstat/libsrc/dvpsvwl.cc
           dcmpstat/tests/Makefile.dep
           dcmpstat/tests/msgserv.cc

- Switched to logging mechanism provided by the "new" oflog module.
  Affects: dcmwlm/CMakeLists.txt
           dcmwlm/apps/Makefile.dep
           dcmwlm/apps/wlcefs.cc
           dcmwlm/apps/wlcefs.h
           dcmwlm/docs/wlmscpfs.man
           dcmwlm/include/dcmtk/dcmwlm/wlds.h
           dcmwlm/include/dcmtk/dcmwlm/wlfsim.h
           dcmwlm/include/dcmtk/dcmwlm/wlmactmg.h
           dcmwlm/libsrc/Makefile.dep
           dcmwlm/libsrc/wlds.cc
           dcmwlm/libsrc/wldsfs.cc
           dcmwlm/libsrc/wlfsim.cc
           dcmwlm/libsrc/wlmactmg.cc
           dcmwlm/tests/Makefile.dep
           dcmwlm/tests/wltest.cc
           dcmwlm/wwwapps/Makefile.dep
           dcmwlm/wwwapps/writwlst.cc

- Switched to logging mechanism provided by the "new" oflog module.
  Affects: dcmqrdb/CMakeLists.txt
           dcmqrdb/apps/Makefile.dep
           dcmqrdb/apps/dcmqridx.cc
           dcmqrdb/apps/dcmqrscp.cc
           dcmqrdb/apps/dcmqrti.cc
           dcmqrdb/docs/dcmqridx.man
           dcmqrdb/docs/dcmqrscp.man
           dcmqrdb/docs/dcmqrti.man
           dcmqrdb/include/dcmtk/dcmqrdb/dcmqrcbg.h
           dcmqrdb/include/dcmtk/dcmqrdb/dcmqrcbm.h
           dcmqrdb/include/dcmtk/dcmqrdb/dcmqrcnf.h
           dcmqrdb/include/dcmtk/dcmqrdb/dcmqrdba.h
           dcmqrdb/include/dcmtk/dcmqrdb/dcmqrdbi.h
           dcmqrdb/include/dcmtk/dcmqrdb/dcmqropt.h
           dcmqrdb/include/dcmtk/dcmqrdb/dcmqrptb.h
           dcmqrdb/include/dcmtk/dcmqrdb/dcmqrsrv.h
           dcmqrdb/include/dcmtk/dcmqrdb/dcmqrtis.h
           dcmqrdb/libsrc/Makefile.dep
           dcmqrdb/libsrc/dcmqrcbf.cc
           dcmqrdb/libsrc/dcmqrcbg.cc
           dcmqrdb/libsrc/dcmqrcbm.cc
           dcmqrdb/libsrc/dcmqrcbs.cc
           dcmqrdb/libsrc/dcmqrcnf.cc
           dcmqrdb/libsrc/dcmqrdbi.cc
           dcmqrdb/libsrc/dcmqropt.cc
           dcmqrdb/libsrc/dcmqrptb.cc
           dcmqrdb/libsrc/dcmqrsrv.cc
           dcmqrdb/libsrc/dcmqrtis.cc

**** Changes from 2009.11.20 (onken)

- Fixed bug in JPEG true lossless encoder which prohibited the generation
  of a new SOP Instance UID if desired by the user or if image is
  converted to Secondary Capture.
  Affects: dcmjpeg/libsrc/djcodece.cc

**** Changes from 2009.11.18 (schlachter)

- Remove the unused string_append_iterator.
  Affects: oflog/include/dcmtk/oflog/helpers/stringhelper.h

- Use more than just the INFO log level.
  Affects: dcmjpeg/include/dcmtk/dcmjpeg/djdijg12.h
           dcmjpeg/include/dcmtk/dcmjpeg/djdijg16.h
           dcmjpeg/include/dcmtk/dcmjpeg/djdijg8.h
           dcmjpeg/include/dcmtk/dcmjpeg/djeijg12.h
           dcmjpeg/include/dcmtk/dcmjpeg/djeijg16.h
           dcmjpeg/include/dcmtk/dcmjpeg/djeijg8.h
           dcmjpeg/libsrc/djdijg12.cc
           dcmjpeg/libsrc/djdijg16.cc
           dcmjpeg/libsrc/djdijg8.cc
           dcmjpeg/libsrc/djeijg12.cc
           dcmjpeg/libsrc/djeijg16.cc
           dcmjpeg/libsrc/djeijg8.cc

- Fix compiler errors due to removal of DUL_Debug() and DIMSE_Debug().
  Affects: dcmqrdb/apps/dcmqrscp.cc
           dcmqrdb/apps/dcmqrti.cc
           dcmwlm/apps/wlcefs.cc

- Switched to logging mechanism provided by the "new" oflog module.
  Affects: dcmtls/include/dcmtk/dcmtls/tlslayer.h
           dcmtls/include/dcmtk/dcmtls/tlstrans.h
           dcmtls/libsrc/Makefile.dep
           dcmtls/libsrc/tlslayer.cc
           dcmtls/libsrc/tlstrans.cc

- Switched to logging mechanism provided by the "new" oflog module.
  Affects: dcmnet/apps/Makefile.dep
           dcmnet/apps/echoscu.cc
           dcmnet/apps/findscu.cc
           dcmnet/apps/movescu.cc
           dcmnet/apps/storescp.cc
           dcmnet/apps/storescu.cc
           dcmnet/apps/termscu.cc
           dcmnet/docs/echoscu.man
           dcmnet/docs/findscu.man
           dcmnet/docs/movescu.man
           dcmnet/docs/storescp.man
           dcmnet/docs/storescu.man
           dcmnet/docs/termscu.man
           dcmnet/include/dcmtk/dcmnet/assoc.h
           dcmnet/include/dcmtk/dcmnet/cond.h
           dcmnet/include/dcmtk/dcmnet/dcmtrans.h
           dcmnet/include/dcmtk/dcmnet/dfindscu.h
           dcmnet/include/dcmtk/dcmnet/dimse.h
           dcmnet/include/dcmtk/dcmnet/diutil.h
           dcmnet/include/dcmtk/dcmnet/dul.h
           dcmnet/libsrc/Makefile.dep
           dcmnet/libsrc/Makefile.in
           dcmnet/libsrc/assoc.cc
           dcmnet/libsrc/cond.cc
           dcmnet/libsrc/dcmtrans.cc
           dcmnet/libsrc/dcompat.cc
           dcmnet/libsrc/dcuserid.cc
           dcmnet/libsrc/dfindscu.cc
           dcmnet/libsrc/dimdump.cc
           dcmnet/libsrc/dimfind.cc
           dcmnet/libsrc/dimget.cc
           dcmnet/libsrc/dimmove.cc
           dcmnet/libsrc/dimse.cc
           dcmnet/libsrc/diutil.cc
           dcmnet/libsrc/dul.cc
           dcmnet/libsrc/dulconst.cc
           dcmnet/libsrc/dulfsm.cc
           dcmnet/libsrc/dulparse.cc
           dcmnet/libsrc/dulpriv.h

**** Changes from 2009.11.17 (riesmeier)

- Added new method that allows for determining the color model of the
  decompressed image.
  Affects: dcmdata/include/dcmtk/dcmdata/dccodec.h
           dcmdata/include/dcmtk/dcmdata/dcelem.h
           dcmdata/include/dcmtk/dcmdata/dcpixel.h
           dcmdata/include/dcmtk/dcmdata/dcrleccd.h
           dcmdata/include/dcmtk/dcmdata/dcrlecce.h
           dcmdata/libsrc/dccodec.cc
           dcmdata/libsrc/dcelem.cc
           dcmdata/libsrc/dcpixel.cc
           dcmdata/libsrc/dcrleccd.cc
           dcmdata/libsrc/dcrlecce.cc
           dcmjpeg/include/dcmtk/dcmjpeg/djcodecd.h
           dcmjpeg/include/dcmtk/dcmjpeg/djcodece.h
           dcmjpeg/libsrc/djcodecd.cc
           dcmjpeg/libsrc/djcodece.cc
           dcmjpls/include/dcmtk/dcmjpls/djcodecd.h
           dcmjpls/include/dcmtk/dcmjpls/djcodece.h
           dcmjpls/libsrc/djcodecd.cc
           dcmjpls/libsrc/djcodece.cc

- Added new enum value for missing photometric interpretation value.
  Affects: dcmimgle/include/dcmtk/dcmimgle/diutils.h

- Added new configuration flags for the upcoming support of partial access to
  pixel data, i.e. without decompressing/loading a complete multi-frame image.
  Affects: dcmimgle/include/dcmtk/dcmimgle/diutils.h

**** Changes from 2009.11.17 (schlachter)

- Make OFLogger::getChainedLogLevel() accessible.
  Affects: oflog/include/dcmtk/oflog/oflog.h

**** Changes from 2009.11.13 (riesmeier)

- Fixed minor issues in log output.
  Affects: dcmdata/apps/dcm2pdf.cc
           dcmdata/apps/dcm2xml.cc
           dcmdata/apps/dcmconv.cc
           dcmdata/apps/dcmcrle.cc
           dcmdata/apps/dcmdrle.cc
           dcmdata/apps/dcmdump.cc
           dcmdata/apps/dump2dcm.cc
           dcmdata/apps/img2dcm.cc
           dcmdata/apps/pdf2dcm.cc
           dcmdata/apps/xml2dcm.cc
           dcmdata/libi2d/i2djpgs.cc
           dcmdata/libsrc/dcbytstr.cc
           dcmdata/libsrc/dcdatset.cc
           dcmdata/libsrc/dcddirif.cc
           dcmdata/libsrc/dcdicdir.cc
           dcmdata/libsrc/dcdirrec.cc
           dcmdata/libsrc/dcelem.cc
           dcmdata/libsrc/dcfilefo.cc
           dcmdata/libsrc/dcitem.cc
           dcmdata/libsrc/dcmetinf.cc
           dcmdata/libsrc/dcobject.cc
           dcmdata/libsrc/dcpxitem.cc
           dcmdata/libsrc/dcsequen.cc

- Fixed wrong header include (now, "oflog.h" instead of "ofconsol.h" required).
  Affects: dcmdata/libsrc/cmdlnarg.cc

**** Changes from 2009.11.12 (riesmeier)

- Fixed issue with --accept-all command line option which caused the other
  --prefer-xxx options to be ignored under certain conditions.
  Affects: dcmnet/apps/movescu.cc
           dcmnet/apps/storescp.cc

**** Changes from 2009.11.11 (riesmeier)

- Fixed incorrect description of command line option.
  Affects: dcmdata/docs/dcmconv.man
           dcmdata/docs/dcmdump.man

**** Changes from 2009.11.10 (schlachter)

- Fix compilation on windows.
  Affects: dcmdata/libsrc/cmdlnarg.cc
           dcmdata/libsrc/dcdict.cc
           dcmdata/libsrc/dchashdi.cc

**** Changes from 2009.11.06 (riesmeier)

- Changed documentation on log level "trace".
  Affects: oflog/include/dcmtk/oflog/oflog.h

**** Changes from 2009.11.04 (schlachter)

- Updated Makefile dependencies.
  Affects: dcmnet/apps/Makefile.dep
           dcmnet/libsrc/Makefile.dep
           dcmpstat/apps/Makefile.dep
           dcmpstat/libsrc/Makefile.dep
           dcmpstat/tests/Makefile.dep
           dcmqrdb/apps/Makefile.dep
           dcmqrdb/libsrc/Makefile.dep
           dcmsign/apps/Makefile.dep
           dcmsign/libsrc/Makefile.dep
           dcmtls/libsrc/Makefile.dep
           dcmwlm/apps/Makefile.dep
           dcmwlm/libsrc/Makefile.dep
           dcmwlm/tests/Makefile.dep
           dcmwlm/wwwapps/Makefile.dep

- Added missing oflog include directory and library.
  Affects: dcmnet/CMakeLists.txt
           dcmnet/apps/CMakeLists.txt
           dcmnet/apps/Makefile.in
           dcmnet/libsrc/Makefile.in
           dcmpstat/tests/Makefile.in
           dcmqrdb/CMakeLists.txt
           dcmqrdb/apps/CMakeLists.txt
           dcmqrdb/apps/Makefile.in
           dcmqrdb/libsrc/Makefile.in
           dcmsign/libsrc/Makefile.in
           dcmtls/CMakeLists.txt
           dcmtls/libsrc/Makefile.in
           dcmwlm/CMakeLists.txt
           dcmwlm/apps/CMakeLists.txt
           dcmwlm/apps/Makefile.in
           dcmwlm/libsrc/Makefile.in
           dcmwlm/tests/Makefile.in
           dcmwlm/wwwapps/Makefile.in

- Switched to logging mechanism provided by the "new" oflog module.
  Removed: dcmdata/libsrc/dcdebug.cc
  Affects: dcmdata/CMakeLists.txt
           dcmdata/apps/Makefile.dep
           dcmdata/apps/Makefile.in
           dcmdata/apps/dcm2pdf.cc
           dcmdata/apps/dcm2xml.cc
           dcmdata/apps/dcmconv.cc
           dcmdata/apps/dcmcrle.cc
           dcmdata/apps/dcmdrle.cc
           dcmdata/apps/dcmdump.cc
           dcmdata/apps/dcmftest.cc
           dcmdata/apps/dcmgpdir.cc
           dcmdata/apps/dcmodify.cc
           dcmdata/apps/dump2dcm.cc
           dcmdata/apps/img2dcm.cc
           dcmdata/apps/mdfconen.cc
           dcmdata/apps/mdfconen.h
           dcmdata/apps/mdfdsman.cc
           dcmdata/apps/mdfdsman.h
           dcmdata/apps/pdf2dcm.cc
           dcmdata/apps/xml2dcm.cc
           dcmdata/data/private.dic
           dcmdata/docs/dcm2pdf.man
           dcmdata/docs/dcm2xml.man
           dcmdata/docs/dcmconv.man
           dcmdata/docs/dcmcrle.man
           dcmdata/docs/dcmdrle.man
           dcmdata/docs/dcmdump.man
           dcmdata/docs/dcmgpdir.man
           dcmdata/docs/dcmodify.man
           dcmdata/docs/dump2dcm.man
           dcmdata/docs/img2dcm.man
           dcmdata/docs/pdf2dcm.man
           dcmdata/docs/xml2dcm.man
           dcmdata/include/dcmtk/dcmdata/cmdlnarg.h
           dcmdata/include/dcmtk/dcmdata/dccodec.h
           dcmdata/include/dcmtk/dcmdata/dcddirif.h
           dcmdata/include/dcmtk/dcmdata/dcdebug.h
           dcmdata/include/dcmtk/dcmdata/dcdicdir.h
           dcmdata/include/dcmtk/dcmdata/dcdicent.h
           dcmdata/include/dcmtk/dcmdata/dcfcache.h
           dcmdata/include/dcmtk/dcmdata/dcistrma.h
           dcmdata/include/dcmtk/dcmdata/dcistrmf.h
           dcmdata/include/dcmtk/dcmdata/dclist.h
           dcmdata/include/dcmtk/dcmdata/dcobject.h
           dcmdata/include/dcmtk/dcmdata/dcofsetl.h
           dcmdata/include/dcmtk/dcmdata/dcostrma.h
           dcmdata/include/dcmtk/dcmdata/dcostrmb.h
           dcmdata/include/dcmtk/dcmdata/dcostrmf.h
           dcmdata/include/dcmtk/dcmdata/dcovlay.h
           dcmdata/include/dcmtk/dcmdata/dcpath.h
           dcmdata/include/dcmtk/dcmdata/dcpcache.h
           dcmdata/include/dcmtk/dcmdata/dcrleccd.h
           dcmdata/include/dcmtk/dcmdata/dcrlecce.h
           dcmdata/include/dcmtk/dcmdata/dcrlecp.h
           dcmdata/include/dcmtk/dcmdata/dcrledec.h
           dcmdata/include/dcmtk/dcmdata/dcrledrg.h
           dcmdata/include/dcmtk/dcmdata/dcrleerg.h
           dcmdata/include/dcmtk/dcmdata/dcrlerp.h
           dcmdata/include/dcmtk/dcmdata/dcswap.h
           dcmdata/include/dcmtk/dcmdata/dctag.h
           dcmdata/include/dcmtk/dcmdata/dctk.h
           dcmdata/include/dcmtk/dcmdata/dctypes.h
           dcmdata/include/dcmtk/dcmdata/dcvm.h
           dcmdata/include/dcmtk/dcmdata/dcvrat.h
           dcmdata/include/dcmtk/dcmdata/dcvrfd.h
           dcmdata/include/dcmtk/dcmdata/dcvrfl.h
           dcmdata/include/dcmtk/dcmdata/dcvrof.h
           dcmdata/include/dcmtk/dcmdata/dcvrsl.h
           dcmdata/include/dcmtk/dcmdata/dcvrss.h
           dcmdata/include/dcmtk/dcmdata/dcvrul.h
           dcmdata/include/dcmtk/dcmdata/dcvrulup.h
           dcmdata/include/dcmtk/dcmdata/dcvrus.h
           dcmdata/include/dcmtk/dcmdata/libi2d/i2d.h
           dcmdata/include/dcmtk/dcmdata/libi2d/i2dbmps.h
           dcmdata/include/dcmtk/dcmdata/libi2d/i2dimgs.h
           dcmdata/include/dcmtk/dcmdata/libi2d/i2djpgs.h
           dcmdata/include/dcmtk/dcmdata/libi2d/i2doutpl.h
           dcmdata/include/dcmtk/dcmdata/libi2d/i2dplnsc.h
           dcmdata/include/dcmtk/dcmdata/libi2d/i2dplsc.h
           dcmdata/include/dcmtk/dcmdata/libi2d/i2dplvlp.h
           dcmdata/libi2d/Makefile.dep
           dcmdata/libi2d/Makefile.in
           dcmdata/libi2d/i2d.cc
           dcmdata/libi2d/i2dbmps.cc
           dcmdata/libi2d/i2djpgs.cc
           dcmdata/libi2d/i2dplnsc.cc
           dcmdata/libi2d/i2dplsc.cc
           dcmdata/libi2d/i2dplvlp.cc
           dcmdata/libsrc/CMakeLists.txt
           dcmdata/libsrc/Makefile.dep
           dcmdata/libsrc/Makefile.in
           dcmdata/libsrc/cmdlnarg.cc
           dcmdata/libsrc/dcbytstr.cc
           dcmdata/libsrc/dcdatset.cc
           dcmdata/libsrc/dcddirif.cc
           dcmdata/libsrc/dcdicdir.cc
           dcmdata/libsrc/dcdicent.cc
           dcmdata/libsrc/dcdict.cc
           dcmdata/libsrc/dcdictbi.cc
           dcmdata/libsrc/dcdirrec.cc
           dcmdata/libsrc/dcelem.cc
           dcmdata/libsrc/dcfilefo.cc
           dcmdata/libsrc/dchashdi.cc
           dcmdata/libsrc/dcistrma.cc
           dcmdata/libsrc/dcistrmb.cc
           dcmdata/libsrc/dcistrmz.cc
           dcmdata/libsrc/dcitem.cc
           dcmdata/libsrc/dclist.cc
           dcmdata/libsrc/dcmetinf.cc
           dcmdata/libsrc/dcobject.cc
           dcmdata/libsrc/dcostrma.cc
           dcmdata/libsrc/dcostrmb.cc
           dcmdata/libsrc/dcostrmf.cc
           dcmdata/libsrc/dcostrmz.cc
           dcmdata/libsrc/dcpath.cc
           dcmdata/libsrc/dcpixseq.cc
           dcmdata/libsrc/dcpxitem.cc
           dcmdata/libsrc/dcrleccd.cc
           dcmdata/libsrc/dcrlecce.cc
           dcmdata/libsrc/dcrlecp.cc
           dcmdata/libsrc/dcrledrg.cc
           dcmdata/libsrc/dcrleerg.cc
           dcmdata/libsrc/dcrlerp.cc
           dcmdata/libsrc/dcsequen.cc
           dcmdata/libsrc/dcstack.cc
           dcmdata/libsrc/dcswap.cc
           dcmdata/libsrc/dctagkey.cc
           dcmdata/libsrc/dctypes.cc
           dcmdata/libsrc/dcuid.cc
           dcmdata/libsrc/dcvm.cc
           dcmdata/libsrc/dcvr.cc
           dcmdata/libsrc/dcvrcs.cc
           dcmdata/libsrc/dcvrobow.cc
           dcmdata/libsrc/dcvrof.cc
           dcmdata/libsrc/dcxfer.cc
           dcmdata/libsrc/mkdeftag.cc
           dcmdata/libsrc/mkdictbi.cc
           dcmdata/libsrc/vrscan.cc
           dcmdata/tests/Makefile.dep
           dcmdata/tests/Makefile.in
           dcmdata/tests/tstpath.cc
           dcmdata/tests/tstpread.cc

**** Changes from 2009.11.03 (riesmeier)

- Switched to old behavior: Output input filename to COUT and not to the log
  stream.
  Affects: dcmsr/apps/dsrdump.cc

**** Changes from 2009.11.02 (riesmeier)

- Added missing oflog include directory.
  Affects: dcmpstat/CMakeLists.txt

- Added missing oflog related link libraries and directory.
  Affects: dcmdata/apps/CMakeLists.txt
           dcmimage/apps/CMakeLists.txt
           dcmimgle/apps/CMakeLists.txt
           dcmpstat/apps/CMakeLists.txt
           dcmsr/apps/CMakeLists.txt
           dcmsr/tests/CMakeLists.txt

- Fixed private tags from Circle Cardiovascular Imaging cmr42 3.0.
  Affects: dcmdata/data/private.dic

- Changed forward declaration from "class" to "struct" in order to avoid
  warning messages reported by VisualStudio 2008.
  Affects: dcmwlm/include/dcmtk/dcmwlm/wlfsim.h

**** Changes from 2009.10.30 (riesmeier)

- Added check on the presence of the Concept Name Code Sequence for the root
  CONTAINER.
  Affects: dcmsr/libsrc/dsrdoctn.cc

- Output processing details in verbose mode and not as a warning message.
  Affects: dcmsr/libsrc/dsrdoctr.cc

- Option --processing-details now requires verbose mode.
  Affects: dcmsr/apps/dsr2html.cc
           dcmsr/apps/dsrdump.cc

**** Changes from 2009.10.28 (riesmeier)

- Fixed minor issues in log output.
  Affects: dcmimgle/apps/dconvlum.cc
           dcmimgle/libsrc/dcmimage.cc
           dcmimgle/libsrc/diciefn.cc
           dcmimgle/libsrc/dicielut.cc
           dcmimgle/libsrc/didispfn.cc
           dcmimgle/libsrc/didocu.cc
           dcmimgle/libsrc/digsdfn.cc
           dcmimgle/libsrc/digsdlut.cc
           dcmimgle/libsrc/diimage.cc
           dcmimgle/libsrc/diluptab.cc
           dcmimgle/libsrc/dimoimg.cc
           dcmimgle/libsrc/dimomod.cc
           dcmimgle/libsrc/diovlay.cc
           dcmimgle/libsrc/diovlimg.cc
           dcmimgle/libsrc/diovpln.cc
           dcmimgle/libsrc/diutils.cc
           dcmimgle/include/dcmtk/dcmimgle/diflipt.h
           dcmimgle/include/dcmtk/dcmimgle/diinpxt.h
           dcmimgle/include/dcmtk/dcmimgle/dimoflt.h
           dcmimgle/include/dcmtk/dcmimgle/dimoipxt.h
           dcmimgle/include/dcmtk/dcmimgle/dimoopxt.h
           dcmimgle/include/dcmtk/dcmimgle/dimopxt.h
           dcmimgle/include/dcmtk/dcmimgle/dimorot.h
           dcmimgle/include/dcmtk/dcmimgle/dimosct.h
           dcmimgle/include/dcmtk/dcmimgle/dirotat.h
           dcmimgle/include/dcmtk/dcmimgle/discalet.h
           dcmimgle/include/dcmtk/dcmimgle/diutils.h

**** Changes from 2009.10.28 (schlachter)

- Switched to logging mechanism provided by the "new" oflog module.
  Affects: dcmimage/apps/Makefile.dep
           dcmimage/libsrc/Makefile.dep
           dcmimgle/CMakeLists.txt
           dcmimgle/apps/Makefile.dep
           dcmimgle/apps/Makefile.in
           dcmimgle/apps/dcmdspfn.cc
           dcmimgle/docs/dcmdspfn.man
           dcmimgle/include/dcmtk/dcmimgle/diflipt.h
           dcmimgle/include/dcmtk/dcmimgle/diinpxt.h
           dcmimgle/include/dcmtk/dcmimgle/dimoflt.h
           dcmimgle/include/dcmtk/dcmimgle/dimoipxt.h
           dcmimgle/include/dcmtk/dcmimgle/dimoopxt.h
           dcmimgle/include/dcmtk/dcmimgle/dimopxt.h
           dcmimgle/include/dcmtk/dcmimgle/dimorot.h
           dcmimgle/include/dcmtk/dcmimgle/dimosct.h
           dcmimgle/include/dcmtk/dcmimgle/dirotat.h
           dcmimgle/include/dcmtk/dcmimgle/discalet.h
           dcmimgle/include/dcmtk/dcmimgle/diutils.h
           dcmimgle/libsrc/Makefile.dep
           dcmimgle/libsrc/Makefile.in
           dcmimgle/libsrc/dcmimage.cc
           dcmimgle/libsrc/diciefn.cc
           dcmimgle/libsrc/dicielut.cc
           dcmimgle/libsrc/didispfn.cc
           dcmimgle/libsrc/didocu.cc
           dcmimgle/libsrc/digsdfn.cc
           dcmimgle/libsrc/digsdlut.cc
           dcmimgle/libsrc/diimage.cc
           dcmimgle/libsrc/diluptab.cc
           dcmimgle/libsrc/dimoimg.cc
           dcmimgle/libsrc/dimomod.cc
           dcmimgle/libsrc/diovlay.cc
           dcmimgle/libsrc/diovlimg.cc
           dcmimgle/libsrc/diovpln.cc
           dcmimgle/libsrc/diutils.cc
           dcmjpeg/apps/Makefile.dep
           dcmjpeg/libsrc/Makefile.dep
           dcmpstat/apps/Makefile.dep
           dcmpstat/apps/dcmp2pgm.cc
           dcmpstat/apps/dcmprscu.cc
           dcmpstat/apps/dcmpsprt.cc
           dcmpstat/libsrc/Makefile.dep

- Add a check for vsnprintf() to configure. This is used in dcmsr.
  Affects: config/configure
           config/configure.in
           config/include/dcmtk/config/cfunix.h.in
           config/include/dcmtk/config/cfwin32.h.in

- Use a local variable for buffering libxml error messages instead of a
  static one.
  Affects: dcmsr/libsrc/dsrxmld.cc

**** Changes from 2009.10.14 (riesmeier)

- Slightly modified output of some log messages (avoid creation of temporary
  strings).
  Affects: dcmsr/libsrc/dsrdoctr.cc
           dcmsr/libsrc/dsrtypes.cc

- Output image details in verbose mode to new log stream (instead of CERR).
  Affects: dcmimage/apps/dcm2pnm.cc

- Moved option --image-info to a new sub section in the syntax usage.
  Affects: dcmimage/docs/dcm2pnm.man
           dcmjpeg/docs/dcmj2pnm.man

- Fixed minor issues in log output. Also updated copyright date (if required).
  Affects: dcmimage/apps/dcm2pnm.cc
           dcmimage/apps/dcmquant.cc
           dcmimage/apps/dcmscale.cc
           dcmimage/include/dcmtk/dcmimage/dicoflt.h
           dcmimage/include/dcmtk/dcmimage/dicorot.h
           dcmimage/include/dcmtk/dcmimage/dicosct.h
           dcmimage/include/dcmtk/dcmimage/dihsvpxt.h
           dcmimage/include/dcmtk/dcmimage/dipalpxt.h
           dcmimage/include/dcmtk/dcmimage/diyf2pxt.h
           dcmimage/include/dcmtk/dcmimage/diyp2pxt.h
           dcmimage/libsrc/diargimg.cc
           dcmimage/libsrc/dicoimg.cc
           dcmimage/libsrc/dicopx.cc
           dcmimage/libsrc/dipalimg.cc
           dcmsr/apps/dsr2html.cc
           dcmsr/apps/dsr2xml.cc
           dcmsr/apps/dsrdump.cc
           dcmsr/apps/xml2dsr.cc
           dcmsr/libsrc/dsrcsidl.cc
           dcmsr/libsrc/dsrdoc.cc
           dcmsr/libsrc/dsrdoctn.cc
           dcmsr/libsrc/dsrsoprf.cc
           dcmsr/libsrc/dsrxmld.cc

**** Changes from 2009.10.13 (schlachter)

- Switched to logging mechanism provided by the "new" oflog module.
  Affects: dcmpstat/apps/Makefile.in
           dcmpstat/libsrc/Makefile.dep
           dcmpstat/libsrc/Makefile.in
           dcmpstat/libsrc/dviface.cc
           dcmsr/CMakeLists.txt
           dcmsr/apps/Makefile.dep
           dcmsr/apps/Makefile.in
           dcmsr/apps/dsr2html.cc
           dcmsr/apps/dsr2xml.cc
           dcmsr/apps/dsrdump.cc
           dcmsr/apps/xml2dsr.cc
           dcmsr/docs/dsr2html.man
           dcmsr/docs/dsr2xml.man
           dcmsr/docs/dsrdump.man
           dcmsr/docs/xml2dsr.man
           dcmsr/include/dcmtk/dcmsr/dsrcodtn.h
           dcmsr/include/dcmtk/dcmsr/dsrcodvl.h
           dcmsr/include/dcmtk/dcmsr/dsrcomtn.h
           dcmsr/include/dcmtk/dcmsr/dsrcomvl.h
           dcmsr/include/dcmtk/dcmsr/dsrcontn.h
           dcmsr/include/dcmtk/dcmsr/dsrcsidl.h
           dcmsr/include/dcmtk/dcmsr/dsrdattn.h
           dcmsr/include/dcmtk/dcmsr/dsrdoc.h
           dcmsr/include/dcmtk/dcmsr/dsrdoctn.h
           dcmsr/include/dcmtk/dcmsr/dsrdoctr.h
           dcmsr/include/dcmtk/dcmsr/dsrdtitn.h
           dcmsr/include/dcmtk/dcmsr/dsrimgfr.h
           dcmsr/include/dcmtk/dcmsr/dsrimgtn.h
           dcmsr/include/dcmtk/dcmsr/dsrimgvl.h
           dcmsr/include/dcmtk/dcmsr/dsrnumtn.h
           dcmsr/include/dcmtk/dcmsr/dsrnumvl.h
           dcmsr/include/dcmtk/dcmsr/dsrpnmtn.h
           dcmsr/include/dcmtk/dcmsr/dsrreftn.h
           dcmsr/include/dcmtk/dcmsr/dsrscogr.h
           dcmsr/include/dcmtk/dcmsr/dsrscotn.h
           dcmsr/include/dcmtk/dcmsr/dsrscovl.h
           dcmsr/include/dcmtk/dcmsr/dsrsoprf.h
           dcmsr/include/dcmtk/dcmsr/dsrstrvl.h
           dcmsr/include/dcmtk/dcmsr/dsrtcodt.h
           dcmsr/include/dcmtk/dcmsr/dsrtcosp.h
           dcmsr/include/dcmtk/dcmsr/dsrtcotn.h
           dcmsr/include/dcmtk/dcmsr/dsrtcoto.h
           dcmsr/include/dcmtk/dcmsr/dsrtcovl.h
           dcmsr/include/dcmtk/dcmsr/dsrtextn.h
           dcmsr/include/dcmtk/dcmsr/dsrtimtn.h
           dcmsr/include/dcmtk/dcmsr/dsrtypes.h
           dcmsr/include/dcmtk/dcmsr/dsruidtn.h
           dcmsr/include/dcmtk/dcmsr/dsrwavch.h
           dcmsr/include/dcmtk/dcmsr/dsrwavtn.h
           dcmsr/include/dcmtk/dcmsr/dsrwavvl.h
           dcmsr/include/dcmtk/dcmsr/dsrxmld.h
           dcmsr/libsrc/Makefile.dep
           dcmsr/libsrc/Makefile.in
           dcmsr/libsrc/dsrcodtn.cc
           dcmsr/libsrc/dsrcodvl.cc
           dcmsr/libsrc/dsrcomtn.cc
           dcmsr/libsrc/dsrcomvl.cc
           dcmsr/libsrc/dsrcontn.cc
           dcmsr/libsrc/dsrcsidl.cc
           dcmsr/libsrc/dsrdattn.cc
           dcmsr/libsrc/dsrdoc.cc
           dcmsr/libsrc/dsrdoctn.cc
           dcmsr/libsrc/dsrdoctr.cc
           dcmsr/libsrc/dsrdtitn.cc
           dcmsr/libsrc/dsrimgfr.cc
           dcmsr/libsrc/dsrimgtn.cc
           dcmsr/libsrc/dsrimgvl.cc
           dcmsr/libsrc/dsrnumtn.cc
           dcmsr/libsrc/dsrnumvl.cc
           dcmsr/libsrc/dsrpnmtn.cc
           dcmsr/libsrc/dsrreftn.cc
           dcmsr/libsrc/dsrscogr.cc
           dcmsr/libsrc/dsrscotn.cc
           dcmsr/libsrc/dsrscovl.cc
           dcmsr/libsrc/dsrsoprf.cc
           dcmsr/libsrc/dsrstrvl.cc
           dcmsr/libsrc/dsrtcodt.cc
           dcmsr/libsrc/dsrtcosp.cc
           dcmsr/libsrc/dsrtcotn.cc
           dcmsr/libsrc/dsrtcoto.cc
           dcmsr/libsrc/dsrtcovl.cc
           dcmsr/libsrc/dsrtextn.cc
           dcmsr/libsrc/dsrtimtn.cc
           dcmsr/libsrc/dsrtypes.cc
           dcmsr/libsrc/dsruidtn.cc
           dcmsr/libsrc/dsrwavch.cc
           dcmsr/libsrc/dsrwavtn.cc
           dcmsr/libsrc/dsrwavvl.cc
           dcmsr/libsrc/dsrxmld.cc
           dcmsr/tests/Makefile.dep
           dcmsr/tests/Makefile.in
           dcmsr/tests/mkreport.cc

- Added the DcmObject::PrintHelper helper class. This class can be used to
  print DcmObject instances with oflog's logging macros.
  Affects: dcmdata/include/dcmtk/dcmdata/dcobject.h

- Switched to logging mechanism provided by the "new" oflog module.
  Affects: dcmimage/CMakeLists.txt
           dcmimage/apps/Makefile.dep
           dcmimage/apps/Makefile.in
           dcmimage/apps/dcm2pnm.cc
           dcmimage/apps/dcmquant.cc
           dcmimage/apps/dcmscale.cc
           dcmimage/docs/dcm2pnm.man
           dcmimage/docs/dcmquant.man
           dcmimage/docs/dcmscale.man
           dcmimage/include/dcmtk/dcmimage/dicoflt.h
           dcmimage/include/dcmtk/dcmimage/dicorot.h
           dcmimage/include/dcmtk/dcmimage/dicosct.h
           dcmimage/include/dcmtk/dcmimage/dihsvpxt.h
           dcmimage/include/dcmtk/dcmimage/dipalpxt.h
           dcmimage/include/dcmtk/dcmimage/diqttype.h
           dcmimage/include/dcmtk/dcmimage/diquant.h
           dcmimage/include/dcmtk/dcmimage/diyf2pxt.h
           dcmimage/include/dcmtk/dcmimage/diyp2pxt.h
           dcmimage/libsrc/Makefile.dep
           dcmimage/libsrc/Makefile.in
           dcmimage/libsrc/diargimg.cc
           dcmimage/libsrc/dicoimg.cc
           dcmimage/libsrc/dicopx.cc
           dcmimage/libsrc/dipalimg.cc
           dcmimage/libsrc/diquant.cc
           dcmjpeg/apps/Makefile.dep

**** Changes from 2009.10.12 (riesmeier)

- Changed prefix of UIDs created for series and studies (now using constants
  SITE_SERIES_UID_ROOT and SITE_STUDY_UID_ROOT which are supposed to be used
  in these cases).
  Affects: dcmdata/apps/pdf2dcm.cc

- Fixed wrong wording.
  Affects: dcmdata/docs/dcmodify.man
           dcmdata/docs/img2dcm.man

**** Changes from 2009.10.07 (schlachter)

- Switched to logging mechanism provided by the "new" oflog module.
  Affects: dcmjpeg/apps/CMakeLists.txt
           dcmjpeg/apps/Makefile.dep
           dcmjpeg/apps/Makefile.in
           dcmjpeg/apps/dcmcjpeg.cc
           dcmjpeg/apps/dcmdjpeg.cc
           dcmjpeg/docs/dcmcjpeg.man
           dcmjpeg/docs/dcmdjpeg.man
           dcmjpeg/docs/dcmj2pnm.man
           dcmjpeg/docs/dcmmkdir.man
           dcmjpeg/include/dcmtk/dcmjpeg/djcparam.h
           dcmjpeg/include/dcmtk/dcmjpeg/djdecode.h
           dcmjpeg/include/dcmtk/dcmjpeg/djencode.h
           dcmjpeg/include/dcmtk/dcmjpeg/djutils.h
           dcmjpeg/libsrc/CMakeLists.txt
           dcmjpeg/libsrc/Makefile.dep
           dcmjpeg/libsrc/Makefile.in
           dcmjpeg/libsrc/dipijpeg.cc
           dcmjpeg/libsrc/djcodece.cc
           dcmjpeg/libsrc/djcparam.cc
           dcmjpeg/libsrc/djdecode.cc
           dcmjpeg/libsrc/djdijg12.cc
           dcmjpeg/libsrc/djdijg16.cc
           dcmjpeg/libsrc/djdijg8.cc
           dcmjpeg/libsrc/djeijg12.cc
           dcmjpeg/libsrc/djeijg16.cc
           dcmjpeg/libsrc/djeijg8.cc
           dcmjpeg/libsrc/djencode.cc
           dcmjpeg/libsrc/djutils.cc
           dcmjpls/apps/CMakeLists.txt
           dcmjpls/apps/Makefile.dep
           dcmjpls/apps/Makefile.in
           dcmjpls/apps/dcmcjpls.cc
           dcmjpls/apps/dcmdjpls.cc
           dcmjpls/include/dcmtk/dcmjpls/djcodecd.h
           dcmjpls/include/dcmtk/dcmjpls/djcodece.h
           dcmjpls/include/dcmtk/dcmjpls/djcparam.h
           dcmjpls/include/dcmtk/dcmjpls/djdecode.h
           dcmjpls/include/dcmtk/dcmjpls/djencode.h
           dcmjpls/include/dcmtk/dcmjpls/djlsutil.h
           dcmjpls/include/dcmtk/dcmjpls/djrparam.h
           dcmjpls/libsrc/CMakeLists.txt
           dcmjpls/libsrc/Makefile.dep
           dcmjpls/libsrc/Makefile.in
           dcmjpls/libsrc/djcodecd.cc
           dcmjpls/libsrc/djcodece.cc
           dcmjpls/libsrc/djcparam.cc
           dcmjpls/libsrc/djdecode.cc
           dcmjpls/libsrc/djencode.cc
           dcmjpls/libsrc/djerror.h
           dcmjpls/libsrc/djrparam.cc
           dcmjpls/libsrc/djutils.cc

**** Changes from 2009.10.07 (riesmeier)

- Fixed typo.
  Affects: dcmdata/docs/dcmgpdir.man
           dcmjpeg/docs/dcmmkdir.man

**** Changes from 2009.10.01 (schlachter)

- Documented LOG4CPLUS_DISABLE_TRACE and other similar macros.
  Affects: config/docs/macros.txt

**** Changes from 2009.09.30 (riesmeier)

- Minor fixes to the comments.
  Affects: oflog/etc/logger.cfg

**** Changes from 2009.09.30 (schlachter)

- Improve oflog's sample configuration file to be a usable default. You now get
  "--verbose"-like output on the console and a log file "dcmtk.log" containing
  complete debug output. Timestamps are included.
  Affects: oflog/etc/logger.cfg

- Make dcmpstat's include headers self-sufficient by including all
  needed headers directly and stop using dctk.h
  Affects: dcmpstat/apps/Makefile.dep
           dcmpstat/apps/dcmpssnd.cc
           dcmpstat/include/dcmtk/dcmpstat/dviface.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsab.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsabl.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsal.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsall.h
           dcmpstat/include/dcmtk/dcmpstat/dvpscul.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsdal.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsga.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsgal.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsgll.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsgrl.h
           dcmpstat/include/dcmtk/dcmpstat/dvpshlp.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsibl.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsovl.h
           dcmpstat/include/dcmtk/dcmpstat/dvpspl.h
           dcmpstat/include/dcmtk/dcmpstat/dvpspll.h
           dcmpstat/include/dcmtk/dcmpstat/dvpspr.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsprt.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsri.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsril.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsrs.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsrsl.h
           dcmpstat/include/dcmtk/dcmpstat/dvpssp.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsspl.h
           dcmpstat/include/dcmtk/dcmpstat/dvpssv.h
           dcmpstat/include/dcmtk/dcmpstat/dvpssvl.h
           dcmpstat/include/dcmtk/dcmpstat/dvpstxl.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsvll.h
           dcmpstat/include/dcmtk/dcmpstat/dvpsvwl.h
           dcmpstat/libsrc/Makefile.dep
           dcmpstat/libsrc/dvpsab.cc
           dcmpstat/libsrc/dvpsabl.cc
           dcmpstat/libsrc/dvpsal.cc
           dcmpstat/libsrc/dvpshlp.cc
           dcmpstat/libsrc/dvpspl.cc
           dcmpstat/libsrc/dvpsri.cc
           dcmpstat/libsrc/dvpsril.cc
           dcmpstat/libsrc/dvpsrs.cc
           dcmpstat/libsrc/dvpsrsl.cc
           dcmpstat/libsrc/dvpssv.cc
           dcmpstat/libsrc/dvpssvl.cc
           dcmpstat/libsrc/dvpsvwl.cc

- Make dcmwlm's include headers self-sufficient by including all
  needed headers directly.
  Affects: dcmwlm/apps/Makefile.dep
           dcmwlm/include/dcmtk/dcmwlm/wlds.h
           dcmwlm/include/dcmtk/dcmwlm/wlfsim.h
           dcmwlm/include/dcmtk/dcmwlm/wlmactmg.h
           dcmwlm/include/dcmtk/dcmwlm/wltypdef.h
           dcmwlm/libsrc/Makefile.dep
           dcmwlm/tests/Makefile.dep

- Stop including dctk.h in libi2d's header files.
  Affects: dcmdata/apps/Makefile.dep
           dcmdata/apps/img2dcm.cc
           dcmdata/include/dcmtk/dcmdata/libi2d/i2d.h
           dcmdata/include/dcmtk/dcmdata/libi2d/i2dbmps.h
           dcmdata/include/dcmtk/dcmdata/libi2d/i2dimgs.h
           dcmdata/include/dcmtk/dcmdata/libi2d/i2djpgs.h
           dcmdata/include/dcmtk/dcmdata/libi2d/i2doutpl.h
           dcmdata/include/dcmtk/dcmdata/libi2d/i2dplnsc.h
           dcmdata/include/dcmtk/dcmdata/libi2d/i2dplsc.h
           dcmdata/include/dcmtk/dcmdata/libi2d/i2dplvlp.h
           dcmdata/libi2d/Makefile.dep
           dcmdata/libi2d/i2d.cc
           dcmdata/libi2d/i2dbmps.cc
           dcmdata/libi2d/i2djpgs.cc
           dcmdata/libi2d/i2dplnsc.cc
           dcmdata/libi2d/i2dplsc.cc
           dcmdata/libi2d/i2dplvlp.cc

**** Changes from 2009.09.29 (schlachter)

- Include only the needed headers in dcuserid.h and not dctk.h.
  Affects: dcmnet/apps/Makefile.dep
           dcmnet/include/dcmtk/dcmnet/dcuserid.h
           dcmnet/libsrc/Makefile.dep
           dcmpstat/apps/Makefile.dep
           dcmpstat/libsrc/Makefile.dep
           dcmpstat/tests/Makefile.dep
           dcmqrdb/apps/Makefile.dep
           dcmqrdb/libsrc/Makefile.dep
           dcmwlm/apps/Makefile.dep
           dcmwlm/libsrc/Makefile.dep
           dcmwlm/tests/Makefile.dep

- Fix an invalid iterator use in OFMap. A iterator was used after it was passed
  to erase().
  Affects: ofstd/include/dcmtk/ofstd/ofmap.h

- Add a test case which verifies some of OFMap's implementation.
  Added:   ofstd/tests/tmap.cc
  Affects: ofstd/tests/Makefile.in
           ofstd/tests/Makefile.dep

- Include only the needed headers in dcpath.h and dcpath.cc.
  Affects: dcmdata/apps/Makefile.dep
           dcmdata/include/dcmtk/dcmdata/dcpath.h
           dcmdata/libi2d/Makefile.dep
           dcmdata/libsrc/Makefile.dep
           dcmdata/libsrc/dcpath.cc
           dcmdata/tests/Makefile.dep
           dcmnet/libsrc/Makefile.dep

**** Changes from 2009.09.29 (riesmeier)

- Updated Makefile dependencies.
  Affects: dcmdata/libsrc/Makefile.dep
           oflog/libsrc/Makefile.dep
           ofstd/libsrc/Makefile.dep

- Removed superfluous empty line.
  Affects: dcmdata/include/dcmtk/dcmdata/CMakeLists.txt

**** Changes from 2009.09.28 (riesmeier)

- Introduced new member variable that stores the current length of the string.
  This yields in a significant performance improvement when compiled in debug
  mode.
  Affects: ofstd/include/dcmtk/ofstd/ofstring.h
           ofstd/libsrc/ofstring.cc

- Added support for strings that contain null bytes ('\0') in order to be more
  compliant with the standard C++ string class.
  Affects: ofstd/libsrc/ofstring.cc
           ofstd/tests/tstring.cc
           ofstd/tests/tstring.exp

- Fixed typo in error message. Reformatted source code.
  Affects: dcmjpeg/libsrc/djcodece.cc

- Moved general purpose definition file from module dcmdata to ofstd, and
  added new defines in order to make the usage easier.
  Added:   ofstd/include/dcmtk/ofstd/ofdefine.h
  Removed: dcmdata/include/dcmtk/dcmdata/dcdefine.h
  Affects: dcmdata/apps/Makefile.dep
           dcmdata/include/dcmtk/dcmdata/dctk.h
           dcmdata/libi2d/Makefile.dep
           dcmdata/libsrc/dcdicdir.cc
           dcmdata/libsrc/dcdict.cc
           dcmdata/libsrc/dcelem.cc
           dcmdata/libsrc/dcitem.cc
           dcmdata/libsrc/dcmetinf.cc
           dcmdata/libsrc/dcuid.cc
           dcmdata/libsrc/Makefile.dep
           dcmdata/tests/Makefile.dep
           dcmimage/apps/Makefile.dep
           dcmimage/libsrc/Makefile.dep
           dcmimgle/apps/Makefile.dep
           dcmimgle/include/dcmtk/dcmimgle/dimopxt.h
           dcmimgle/libsrc/Makefile.dep
           dcmjpeg/apps/Makefile.dep
           dcmjpeg/libsrc/Makefile.dep
           dcmjpls/apps/Makefile.dep
           dcmnet/apps/Makefile.dep
           dcmnet/libsrc/dccfenmp.cc
           dcmnet/libsrc/Makefile.dep
           dcmpstat/apps/Makefile.dep
           dcmpstat/libsrc/Makefile.dep
           dcmpstat/tests/Makefile.dep
           dcmqrdb/apps/Makefile.dep
           dcmqrdb/libsrc/Makefile.dep
           dcmsign/apps/Makefile.dep
           dcmsr/apps/Makefile.dep
           dcmsr/libsrc/Makefile.dep
           dcmsr/tests/Makefile.dep
           dcmtls/libsrc/Makefile.dep
           dcmwlm/apps/Makefile.dep
           dcmwlm/libsrc/Makefile.dep
           dcmwlm/tests/Makefile.dep
           dcmwlm/wwwapps/Makefile.dep
           ofstd/libsrc/Makefile.dep
           ofstd/tests/Makefile.dep

- Simplified code based on the new header file "ofdefine.h".
  Affects: ofstd/include/dcmtk/ofstd/ofbmanip.h

- Updated makefile dependencies.
  Affects: dcmjpls/libcharls/Makefile.dep
           dcmjpls/libsrc/Makefile.dep

**** Changes from 2009.09.25 (riesmeier)

- Introduced new general helper function moveMem() which allows for copying
  overlapping memory areas.
  Affects: ofstd/include/dcmtk/ofstd/ofbmanip.h

- Fixed issue in assign() method with overlapping memory areas (e.g. when using
  self-assignment of a string or copying a sub-string to itself).
  Affects: ofstd/libsrc/Makefile.dep
           ofstd/libsrc/ofstring.cc

**** Changes from 2009.09.24 (eichelberg)

- Fixed bug in class OFFile that caused undefined behaviour
  once fclose() failed
  Affects: ofstd/include/dcmtk/ofstd/offile.h

**** Changes from 2009.09.22 (riesmeier)

- Added documentation on supported query keys.
  Affects: dcmqrdb/docs/dcmqrscp.man

- Renamed "ti" to "dcmqrti".
  Affects: config/docs/macros.txt

**** Changes from 2009.09.21 (riesmeier)

- Fixed issue when compiled with configure --disable-threads.
  Affects: oflog/include/dcmtk/oflog/loggingmacros.h
           oflog/libsrc/stringhelper.cc

- Removed superfluous semicolon after calling OFSTRINGSTREAM_GETOFSTRING etc.
  Affects: oflog/include/dcmtk/oflog/loggingmacros.h
           oflog/libsrc/appender.cc
           oflog/libsrc/configurator.cc
           oflog/libsrc/fileappender.cc
           oflog/libsrc/patternlayout.cc
           oflog/libsrc/threads.cc

**** Changes from 2009.09.18 (riesmeier)

- Added private tags from Circle Cardiovascular Imaging cmr42 3.0 and SonoWand
  Invite 2.1.1 conformance statement.
  Affects: dcmdata/data/private.dic
           dcmdata/libsrc/dcdictzz.cc

**** Changes from 2009.09.17 (riesmeier)

- Added parentheses around && within || in order to avoid compiler warnings.
  Affects: dcmpstat/libsrc/dvpstat.cc

- Used static cast operator where appropriate and changed suffix from "L" to
  "UL" for large integer constants.
  Affects: dcmdata/libi2d/i2djpgs.cc

- Now using locking mechanism provided by class OFConsole for cout and cerr.
  Affects: oflog/include/dcmtk/oflog/streams.h
           oflog/libsrc/consoleappender.cc
           oflog/libsrc/loglog.cc

- Made sure that log4cplus' internal quiet mode is always set appropriately.
  Affects: oflog/libsrc/oflog.cc

- Fixed typo in comment.
  Affects: oflog/etc/logger.cfg

**** Changes from 2009.09.16 (riesmeier)

- Introduced new placeholder for the pattern layout: %i can be used to output
  the process ID of the process generating the log entry.
  Affects: oflog/libsrc/patternlayout.cc

- Added documentation on placeholders %h, %H, %P and %i.
  Affects: oflog/etc/logger.cfg

- Added missing documentation on placeholders %P and %i.
  Affects: oflog/include/dcmtk/oflog/layout.h

- Added reference to sample configuration file to oflog documentation.
  Affects: oflog/docs/oflog.dox

- Added missing documentation on parameters.
  Affects: oflog/include/dcmtk/oflog/oflog.h

- Changed OFLogger's copy constructor: use "const &" for the parameter.
  Affects: oflog/include/dcmtk/oflog/oflog.h
           oflog/libsrc/oflog.cc

- Minor fixes in comments.
  Affects: oflog/include/dcmtk/oflog/oflog.h
           oflog/libsrc/patternlayout.cc

**** Changes from 2009.09.15 (riesmeier)

- Removed alternative implementation of getOFStringArray(). Now, always the
  OFStringStream approach is used.
  Affects: dcmdata/libsrc/dcvrobow.cc

- Fixed issue with dangling character pointer (memory freed before copied).
  Affects: oflog/libsrc/socket-unix.cc

- Changed implementation of getHostname() in order to be more consistent with
  the Unix version.
  Affects: oflog/libsrc/socket-win32.cc

- Changed implementation of string variant of encodeBase64(). This helper
  function is now based on the stream variant of encodeBase64() because the
  previous implementation had an issue with HAVE_STD_STRING defined.
  Affects: ofstd/libsrc/ofstd.cc

- Added missing oflog include directory.
  Affects: dcmsign/CMakeLists.txt

- Added initialization of Winsock DLL in order to use gethostname() et al.
  Affects: oflog/libsrc/oflog.cc

- Check whether HAVE_GETHOSTNAME and HAVE_GETHOSTBYNAME are defined before
  using the corresponding functions.
  Affects: oflog/libsrc/socket-unix.cc

- Enhanced implementation of writeXML() by writing hex numbers directly to the
  output stream instead of creating a temporary string first.
  Affects: dcmdata/libsrc/dcpxitem.cc
           dcmdata/libsrc/dcvrobow.cc

- Fixed issue with class OFauto_ptr: Default copy constructor and assignment
  operator could lead to double deletion of objects.
  Affects: oflog/libsrc/patternlayout.cc
           ofstd/include/dcmtk/ofstd/ofaptr.h

- Removed redundant output of log message prefix "Error: " and "Warning: ".
  Affects: dcmsign/apps/dcmsign.cc

- Fixed incorrect output of public key bits (expected string instead of int).
  Affects: dcmsign/apps/dcmsign.cc

- Updated Makefile dependencies.
  Affects: dcmsign/apps/Makefile.dep

**** Changes from 2009.09.14 (riesmeier)

- Introduced new placeholder for the pattern layout: %P can be used to output
  only the first character of the log level. Used for the default layout.
  Affects: oflog/etc/logger.cfg
           oflog/docs/oflog.dox
           oflog/libsrc/oflog.cc
           oflog/libsrc/patternlayout.cc

- Added new property "FormatEachLine" to the pattern layout which allows for
  correctly formatting multi-line messages (i.e. with repeated log prefix).
  Affects: oflog/include/dcmtk/oflog/layout.h
           oflog/libsrc/patternlayout.cc

- Slightly changed evaluation of log-related command line options.
  Affects: oflog/libsrc/oflog.cc

- Removed (now) unused helper function toLogMode().
  Affects: oflog/docs/oflog.dox
           oflog/include/dcmtk/oflog/oflog.h
           oflog/libsrc/oflog.cc

**** Changes from 2009.09.08 (eichelberg)

- Fixed bug affecting decompression of images with 8 bits/sample on big
  endian machines
  Affects: dcmjpls/libsrc/djcodecd.cc

**** Changes from 2009.09.07 (riesmeier)

- Moved --arguments option and corresponding output to oflog module in order
  to use the correct output stream.
  Affects: dcmsign/apps/dcmsign.cc
           oflog/libsrc/oflog.cc

- Moved output of resource identifier back from oflog to the application.
  Affects: dcmsign/apps/dcmsign.cc
           oflog/libsrc/oflog.cc

- Fixed issue with --quiet mode.
  Affects: oflog/libsrc/oflog.cc

- Use helper function checkDependence() where appropriate.
  Affects: dcmsign/apps/dcmsign.cc

- Converted Windows line breaks to Unix format.
  Affects: dcmimgle/data/monitor.lut
           dcmimgle/data/scanner.lut
           dcmjpeg/docs/dcmjpeg.dox
           dcmpstat/docs/dcmpstat.dox
           dcmpstat/include/dcmtk/dcmpstat/dvcache.h
           dcmsign/docs/dcmsign.dox
           dcmsr/data/report.css
           dcmsr/data/reportx.css
           dcmtls/docs/ciphers.txt
           dcmtls/docs/randseed.txt
           oflog/docs/LICENSE

**** Changes from 2009.09.04 (eichelberg)

- Disabled warning C4284 on VC6, needed for recent additions to class OFList.
  Affects: config/include/dcmtk/config/cfwin32.h.in

- Minor const iterator related changes needed to compile with VC6 with HAVE_STL
  Affects: dcmdata/apps/mdfconen.cc
           dcmdata/libi2d/i2d.cc
           dcmdata/libsrc/dcpath.cc
           dcmnet/libsrc/dfindscu.cc
           dcmnet/libsrc/lst.cc
           dcmpstat/include/dcmtk/dcmpstat/dvcache.h
           dcmsr/libsrc/dsrcsidl.cc
           dcmsr/libsrc/dsrsoprf.cc

- Updated libcharls in module dcmjpls to CharLS revision 27770.
  Affects: dcmjpls/apps/dcmcjpls.cc
           dcmjpls/apps/dcmdjpls.cc
           dcmjpls/docs/charls-readme.txt
           dcmjpls/docs/charls.patch
           dcmjpls/libcharls/colortransform.h
           dcmjpls/libcharls/config.h
           dcmjpls/libcharls/context.h
           dcmjpls/libcharls/contextrunmode.h
           dcmjpls/libcharls/decoderstrategy.h
           dcmjpls/libcharls/encoderstrategy.h
           dcmjpls/libcharls/header.cc
           dcmjpls/libcharls/interface.cc
           dcmjpls/libcharls/interface.h
           dcmjpls/libcharls/jpegls.cc
           dcmjpls/libcharls/lookuptable.h
           dcmjpls/libcharls/losslesstraits.h
           dcmjpls/libcharls/processline.h
           dcmjpls/libcharls/scan.h
           dcmjpls/libcharls/stdafx.h
           dcmjpls/libcharls/streams.h
           dcmjpls/libcharls/util.h
           dcmjpls/libsrc/djcodece.cc

**** Changes from 2009.09.04 (riesmeier)

- Avoid starting configure recursively for all modules when using exclusive
  commandline options like --help=short or --version.
  Affects: configure
           config/rootconf

- Changed default behavior of the logger: output log messages to stderr (not
  stdout) and flush stream immediately; removed "EARLY STARTUP" prefix from
  messages which was only used for testing purposes.
  Affects: oflog/libsrc/oflog.cc

- Replaced abort() by a more "friendly" return statement.
  Affects: oflog/libsrc/loggerimpl.cc

- Output all --version information to COUT (and not to CERR).
  Affects: dcmnet/apps/echoscu.cc
           dcmqrdb/apps/dcmqridx.cc
           dcmqrdb/apps/dcmqrscp.cc

- Adapted module for DCMTK's new unified logging support.
  Affects: dcmsign/apps/CMakeLists.txt
           dcmsign/apps/Makefile.in
           dcmsign/apps/dcmsign.cc
           dcmsign/docs/dcmsign.man

- Changed warning message into an informational message (as it was before).
  Affects: dcmsign/apps/dcmsign.cc

**** Changes from 2009.09.03 (riesmeier)

- Updated reference to DICOM standard, fixed typo and minor formatting issues.
  Affects: dcmnet/docs/asconfig.txt

- Updated copyright date and made .cc and .nul files more consistent.
  Affects: dcmdata/libsrc/dcdictbi.cc
           dcmdata/libsrc/dcdictbi.nul

- Fixed various issues when compiled with configure --disable-threads.
  Affects: oflog/include/dcmtk/oflog/helpers/thread-config.h
           oflog/libsrc/stringhelper.cc

- Replaced "std::" by "STD_NAMESPACE ".
  Affects: oflog/include/dcmtk/oflog/ndc.h
           oflog/include/dcmtk/oflog/tstring.h
           oflog/include/dcmtk/oflog/helpers/loglog.h
           oflog/include/dcmtk/oflog/helpers/pointer.h
           oflog/include/dcmtk/oflog/helpers/property.h
           oflog/include/dcmtk/oflog/helpers/stringhelper.h
           oflog/libsrc/appender.cc
           oflog/libsrc/configurator.cc
           oflog/libsrc/fileappender.cc
           oflog/libsrc/hierarchy.cc
           oflog/libsrc/logger.cc
           oflog/libsrc/loggerimpl.cc
           oflog/libsrc/ndc.cc
           oflog/libsrc/patternlayout.cc
           oflog/libsrc/property.cc
           oflog/libsrc/socket-unix.cc
           oflog/libsrc/socket-win32.cc
           oflog/libsrc/socketbuffer.cc
           oflog/libsrc/stringhelper.cc
           oflog/libsrc/syncprims.cc
           oflog/libsrc/threads.cc

- Removed trailing spaces and empty lines at the end of the file.
  Affects: oflog/include/dcmtk/oflog/appender.h
           oflog/include/dcmtk/oflog/configurator.h
           oflog/include/dcmtk/oflog/consoleappender.h
           oflog/include/dcmtk/oflog/fileappender.h
           oflog/include/dcmtk/oflog/fstreams.h
           oflog/include/dcmtk/oflog/hierarchy.h
           oflog/include/dcmtk/oflog/hierarchylocker.h
           oflog/include/dcmtk/oflog/layout.h
           oflog/include/dcmtk/oflog/logger.h
           oflog/include/dcmtk/oflog/loggingmacros.h
           oflog/include/dcmtk/oflog/loglevel.h
           oflog/include/dcmtk/oflog/nteventlogappender.h
           oflog/include/dcmtk/oflog/nullappender.h
           oflog/include/dcmtk/oflog/socketappender.h
           oflog/include/dcmtk/oflog/streams.h
           oflog/include/dcmtk/oflog/syslogappender.h
           oflog/include/dcmtk/oflog/win32debugappender.h
           oflog/include/dcmtk/oflog/config/win32.h
           oflog/include/dcmtk/oflog/helpers/appenderattachableimpl.h
           oflog/include/dcmtk/oflog/helpers/logloguser.h
           oflog/include/dcmtk/oflog/helpers/sleep.h
           oflog/include/dcmtk/oflog/helpers/socket.h
           oflog/include/dcmtk/oflog/helpers/socketbuffer.h
           oflog/include/dcmtk/oflog/helpers/syncprims-pthreads.h
           oflog/include/dcmtk/oflog/helpers/syncprims-win32.h
           oflog/include/dcmtk/oflog/helpers/syncprims.h
           oflog/include/dcmtk/oflog/helpers/timehelper.h
           oflog/include/dcmtk/oflog/spi/appenderattachable.h
           oflog/include/dcmtk/oflog/spi/factory.h
           oflog/include/dcmtk/oflog/spi/filter.h
           oflog/include/dcmtk/oflog/spi/loggerfactory.h
           oflog/include/dcmtk/oflog/spi/loggerimpl.h
           oflog/include/dcmtk/oflog/spi/loggingevent.h
           oflog/include/dcmtk/oflog/spi/objectregistry.h
           oflog/include/dcmtk/oflog/spi/rootlogger.h
           oflog/libsrc/appenderattachableimpl.cc
           oflog/libsrc/consoleappender.cc
           oflog/libsrc/factory.cc
           oflog/libsrc/filter.cc
           oflog/libsrc/global-init.cc
           oflog/libsrc/hierarchylocker.cc
           oflog/libsrc/layout.cc
           oflog/libsrc/loggingevent.cc
           oflog/libsrc/loglevel.cc
           oflog/libsrc/logloguser.cc
           oflog/libsrc/nullappender.cc
           oflog/libsrc/sleep.cc
           oflog/libsrc/socketappender.cc
           oflog/libsrc/syslogappender.cc

- Added missing include for the definition of STD_NAMESPACE.
  Affects: oflog/include/dcmtk/oflog/helpers/stringhelper.h

- Fixed issue with getOFStringArray() when using standard C++ string class.
  Affects: dcmdata/libsrc/dcvrobow.cc

**** Changes from 2009.09.02 (riesmeier)

- Revised documentation of parameter "pos" for some putAndInsertXXX() functions
  in order to make clear what the possible range of values is.
  Affects: dcmdata/include/dcmtk/dcmdata/dcitem.h

**** Changes from 2009.08.31 (riesmeier)

- Fixed bug in group length computation which could cause a segmentation fault
  for incorrectly encoded DICOM datasets (with illegal group length elements).
  Thank to Evgeny Sabelskiy <evgeny.sabelskiy@gmail.com> for the original
  report.
  Affects: dcmdata/libsrc/dcitem.cc

**** Changes from 2009.08.26 (riesmeier)

- Added parentheses around && within || in order to avoid warnings reported by
  gcc 4.3.2.
  Affects: oflog/libsrc/configurator.cc
           oflog/libsrc/socket-unix.cc
           ofstd/libsrc/ofstd.cc
           dcmdata/libsrc/dcddirif.cc
           dcmpstat/libsrc/dvpstat.cc

- Added suffix "L" to large integer constants in order to avoid warnings
  reported by gcc 4.3.2.
  Affects: dcmdata/libi2d/i2djpgs.cc

- Added check on size of long in order to avoid warnings reported by gcc 4.3.2.
  Affects: dcmdata/libsrc/dcpath.cc

- Added parentheses around + or - in operand of & in order to avoid warnings
  reported by gcc 4.3.2.
  Affects: dcmimgle/libsrc/dimoimg.cc
           dcmimage/include/dcmtk/dcmimage/dicopxt.h

- Added explicit braces to avoid ambiguous else (reported by gcc 4.3.2).
  Affects: dcmpstat/libsrc/dvpsrs.cc

- Added new command line options --write-new-meta-info and --no-invalid-groups.
  Affects: dcmdata/apps/dcmconv.cc
           dcmdata/docs/dcmconv.man

**** Changes from 2009.08.25 (riesmeier)

- Added new methods which remove all data elements with an invalid group number
  from the meta information header, dataset and/or fileformat.
  Affects: dcmdata/include/dcmtk/dcmdata/dcdatset.h
           dcmdata/include/dcmtk/dcmdata/dcfilefo.h
           dcmdata/include/dcmtk/dcmdata/dcmetinf.h
           dcmdata/libsrc/dcdatset.cc
           dcmdata/libsrc/dcfilefo.cc
           dcmdata/libsrc/dcmetinf.cc

- Fixed wrong comment on clear() method.
  Affects: dcmdata/include/dcmtk/dcmdata/dcfilefo.h

**** Changes from 2009.08.24 (riesmeier)

- Fixed wrong/misleading comments.
  Affects: dcmsr/include/dcmtk/dcmsr/dsrtypes.h

**** Changes from 2009.08.21 (riesmeier)

- Added new 'writeMode' which does not update the meta header. This could be
  useful for tools like dump2dcm and xml2dcm.
  Affects: dcmdata/include/dcmtk/dcmdata/dctypes.h
           dcmdata/libsrc/dcfilefo.cc

- Added parameter 'writeMode' to save/write methods which allows for specifying
  whether to write a dataset or fileformat as well as whether to update the
  file meta information or to create a new file meta information header.
  Affects: dcmdata/apps/dcmcrle.cc
           dcmdata/apps/dcmdrle.cc
           dcmdata/apps/dcmconv.cc
           dcmdata/apps/dump2dcm.cc
           dcmdata/apps/img2dcm.cc
           dcmdata/apps/mdfconen.cc
           dcmdata/apps/mdfdsman.cc
           dcmdata/apps/xml2dcm.cc
           dcmdata/include/dcmtk/dcmdata/dcfilefo.h
           dcmdata/include/dcmtk/dcmdata/dctypes.h
           dcmdata/libsrc/dcfilefo.cc
           dcmimage/apps/dcmquant.cc
           dcmimage/apps/dcmscale.cc
           dcmjpeg/apps/dcmcjpeg.cc
           dcmjpeg/apps/dcmdjpeg.cc
           dcmjpls/apps/dcmcjpls.cc
           dcmjpls/apps/dcmdjpls.cc
           dcmnet/apps/movescu.cc
           dcmnet/apps/storescp.cc
           dcmqrdb/libsrc/dcmqrcbs.cc
           dcmsr/apps/xml2dsr.cc

- Removed unused option 'opt_oDataset'.
  Affects: dcmpstat/apps/dcmpsmk.cc
           dcmsign/apps/dcmsign.cc

- Only update file meta information if required (use new file write mode).
  Affects: dcmjpeg/apps/dcmdjpeg.cc

- Added check making sure that a DICOMDIR file is never compressed.
  Affects: dcmdata/apps/dcmcrle.cc
           dcmjpeg/apps/dcmcjpeg.cc
           dcmjpls/apps/dcmcjpls.cc

- Use helper function checkDependence() and checkConflict() where appropriate.
  Affects: dcmdata/apps/dcmcrle.cc
           dcmdata/apps/dcmdrle.cc
           dcmimage/apps/dcmquant.cc
           dcmjpeg/apps/dcmcjpeg.cc
           dcmjpeg/apps/dcmdjpeg.cc
           dcmjpls/apps/dcmdjpls.cc

- Made error messages more consistent with other compression tools.
  Affects: dcmdata/apps/dcmcrle.cc
           dcmjpeg/apps/dcmcjpeg.cc
           dcmjpls/apps/dcmcjpls.cc

- Replaced tabs by spaces and updated copyright date.
  Affects: dcmqrdb/apps/dcmqridx.cc
           dcmqrdb/apps/dcmqrti.cc
           dcmqrdb/include/dcmtk/dcmqrdb/dcmqrcbf.h
           dcmqrdb/include/dcmtk/dcmqrdb/dcmqrcbg.h
           dcmqrdb/include/dcmtk/dcmqrdb/dcmqrcbm.h
           dcmqrdb/include/dcmtk/dcmqrdb/dcmqrcbs.h
           dcmqrdb/include/dcmtk/dcmqrdb/dcmqrcnf.h
           dcmqrdb/include/dcmtk/dcmqrdb/dcmqrdba.h
           dcmqrdb/include/dcmtk/dcmqrdb/dcmqrdbi.h
           dcmqrdb/include/dcmtk/dcmqrdb/dcmqrdbs.h
           dcmqrdb/include/dcmtk/dcmqrdb/dcmqropt.h
           dcmqrdb/include/dcmtk/dcmqrdb/dcmqrptb.h
           dcmqrdb/include/dcmtk/dcmqrdb/dcmqrsrv.h
           dcmqrdb/include/dcmtk/dcmqrdb/dcmqrtis.h
           dcmqrdb/libsrc/dcmqrcbf.cc
           dcmqrdb/libsrc/dcmqrcbg.cc
           dcmqrdb/libsrc/dcmqrcbm.cc
           dcmqrdb/libsrc/dcmqrcnf.cc
           dcmqrdb/libsrc/dcmqrdbi.cc
           dcmqrdb/libsrc/dcmqrdbs.cc
           dcmqrdb/libsrc/dcmqropt.cc
           dcmqrdb/libsrc/dcmqrptb.cc
           dcmqrdb/libsrc/dcmqrsrv.cc
           dcmqrdb/libsrc/dcmqrtis.cc

- Added type cast to integer variable in order to avoid compiler warnings
  reported by MSVC.
  Affects: dcmjpls/apps/dcmcjpls.cc

**** Changes from 2009.08.20 (eichelberg)

- Fixed include files needed on Solaris, removed unneeded compiler pragmas
  Affects: dcmjpls/libcharls/util.h

- Updated libcharls in module dcmjpls to CharLS revision 26807.
  Added:   dcmjpls/libcharls/config.h
  Affects: dcmjpls/apps/dcmcjpls.cc
           dcmjpls/apps/dcmdjpls.cc
           dcmjpls/docs/charls-readme.txt
           dcmjpls/docs/charls.patch
           dcmjpls/libcharls/Makefile.dep
           dcmjpls/libcharls/decoderstrategy.h
           dcmjpls/libcharls/header.cc
           dcmjpls/libcharls/interface.cc
           dcmjpls/libcharls/jpegls.cc
           dcmjpls/libcharls/scan.h
           dcmjpls/libcharls/util.h
           dcmjpls/libsrc/Makefile.dep

**** Changes from 2009.08.20 (riesmeier)

- Updated oflog module documention.
  Affects: oflog/docs/oflog.dox

- Added documentation on log level values.
  Affects: oflog/include/dcmtk/oflog/oflog.h

- Added more checks when reading a log configuration from file.
  Affects: oflog/libsrc/oflog.cc

- Enhanced comments in oflog sample config file.
  Affects: oflog/etc/logger.cfg

- Updated Makefile dependencies.
  Affects: oflog/libsrc/Makefile.dep

- Various minor fixes needed for Sun Studio 11 on Solaris.
  Affects: oflog/include/dcmtk/oflog/helpers/thread-config.h
           oflog/include/dcmtk/oflog/helpers/threads.h
           oflog/libsrc/appender.cc
           oflog/libsrc/configurator.cc
           oflog/libsrc/fileappender.cc
           oflog/libsrc/logger.cc
           oflog/libsrc/loggerimpl.cc
           oflog/libsrc/ndc.cc
           oflog/libsrc/patternlayout.cc
           oflog/libsrc/rootlogger.cc
           oflog/libsrc/socket.cc
           oflog/libsrc/threads.cc

**** Changes from 2009.08.19 (eichelberg)

- Fixed static/extern linkage declaration
  Affects: dcmqrdb/libsrc/dcmqrdbi.cc

- Unlike some other compilers, Sun Studio 11 on Solaris declares longjmp()
  and qsort() in namespace std. Added code to handle this case.
  Affects: dcmjpeg/libsrc/dipijpeg.cc
           dcmjpeg/libsrc/djdijg12.cc
           dcmjpeg/libsrc/djdijg16.cc
           dcmjpeg/libsrc/djdijg8.cc
           dcmjpeg/libsrc/djeijg12.cc
           dcmjpeg/libsrc/djeijg16.cc
           dcmjpeg/libsrc/djeijg8.cc
           dcmimage/libsrc/diqtpbox.cc

- Added additional includes needed for Sun Studio 11 on Solaris.
  Affects: dcmdata/include/dcmtk/dcmdata/dctypes.h
           dcmdata/libsrc/dcfilefo.cc
           dcmimage/include/dcmtk/dcmimage/diqtpbox.h
           dcmnet/apps/storescp.cc
           dcmnet/libsrc/dul.cc
           dcmpstat/tests/msgserv.cc
           dcmwlm/wwwapps/preplock.cc
           ofstd/include/dcmtk/ofstd/oflist.h
           ofstd/include/dcmtk/ofstd/oftime.h
           ofstd/libsrc/ofdatime.cc
           ofstd/libsrc/oftime.cc

- Function passed as 4th parameter to qsort() now declared extern "C",
  needed for Sun Studio 11 on Solaris.
  Affects: dcmqrdb/apps/dcmqrti.cc
           dcmqrdb/libsrc/dcmqrdbi.cc
           dcmqrdb/libsrc/dcmqrtis.cc

- Fixed parameter that was declared as const in the implementation and
  as non-const in the class declaration.
  Affects: dcmdata/libsrc/dcpath.cc

- Removed trailing commata in lists to avoid warnings on Sun Studio 11.
  Affects: dcmjpls/libcharls/decoderstrategy.h
           dcmjpls/libcharls/interface.h
           dcmjpls/libcharls/losslesstraits.h

- Removed static string constant which causes a compile error on Sun Studio 11
  due to the specific way template expansions are handled on this compiler.
  Affects: dcmjpls/libcharls/header.cc

**** Changes from 2009.08.19 (riesmeier)

- Added new string helper functions toUpper() and toLower().
  Affects: ofstd/include/dcmtk/ofstd/ofstd.h
           ofstd/libsrc/ofstd.cc

- Added iterator declarations and required methods.
  Affects: ofstd/include/dcmtk/ofstd/ofstring.h

- Added missing dereference operator.
  Affects: ofstd/include/dcmtk/ofstd/oflist.h

- Removed redundant call to 'mkinstalldirs'.
  Affects: ofstd/include/Makefile.in

- Added new class OFauto_ptr required for upcoming module "oflog".
  Added:   ofstd/include/dcmtk/ofstd/ofaptr.h

- Added new class OFMap required for upcoming module "oflog".
  Added:   ofstd/include/dcmtk/ofstd/ofmap.h
  Affects: config/docs/macros.txt

- Added new configure tests for upcoming module "oflog".
  Affects: config/configure.in
           config/configure
           config/include/dcmtk/config/cfunix.h.in
           config/include/dcmtk/config/cfwin32.h.in

- Added new module "oflog" which is based on log4cplus.
  Added:   oflog/CMakeLists.txt
           oflog/Makefile.in
           oflog/configure
           oflog/data/Makefile.in
           oflog/docs/LICENSE
           oflog/docs/Makefile.in
           oflog/etc/CMakeLists.txt
           oflog/etc/Makefile.in
           oflog/etc/logger.cfg
           oflog/include/Makefile.in
           oflog/include/dcmtk/oflog/CMakeLists.txt
           oflog/include/dcmtk/oflog/appender.h
           oflog/include/dcmtk/oflog/config.h
           oflog/include/dcmtk/oflog/configurator.h
           oflog/include/dcmtk/oflog/consoleappender.h
           oflog/include/dcmtk/oflog/fileappender.h
           oflog/include/dcmtk/oflog/fstreams.h
           oflog/include/dcmtk/oflog/hierarchy.h
           oflog/include/dcmtk/oflog/hierarchylocker.h
           oflog/include/dcmtk/oflog/layout.h
           oflog/include/dcmtk/oflog/logger.h
           oflog/include/dcmtk/oflog/loggingmacros.h
           oflog/include/dcmtk/oflog/loglevel.h
           oflog/include/dcmtk/oflog/ndc.h
           oflog/include/dcmtk/oflog/nteventlogappender.h
           oflog/include/dcmtk/oflog/nullappender.h
           oflog/include/dcmtk/oflog/oflog.h
           oflog/include/dcmtk/oflog/socketappender.h
           oflog/include/dcmtk/oflog/streams.h
           oflog/include/dcmtk/oflog/syslogappender.h
           oflog/include/dcmtk/oflog/tstring.h
           oflog/include/dcmtk/oflog/win32debugappender.h
           oflog/include/dcmtk/oflog/config/defines.h
           oflog/include/dcmtk/oflog/config/macosx.h
           oflog/include/dcmtk/oflog/config/win32.h
           oflog/include/dcmtk/oflog/helpers/appenderattachableimpl.h
           oflog/include/dcmtk/oflog/helpers/loglog.h
           oflog/include/dcmtk/oflog/helpers/logloguser.h
           oflog/include/dcmtk/oflog/helpers/pointer.h
           oflog/include/dcmtk/oflog/helpers/property.h
           oflog/include/dcmtk/oflog/helpers/sleep.h
           oflog/include/dcmtk/oflog/helpers/socket.h
           oflog/include/dcmtk/oflog/helpers/socketbuffer.h
           oflog/include/dcmtk/oflog/helpers/stringhelper.h
           oflog/include/dcmtk/oflog/helpers/syncprims-pthreads.h
           oflog/include/dcmtk/oflog/helpers/syncprims-win32.h
           oflog/include/dcmtk/oflog/helpers/syncprims.h
           oflog/include/dcmtk/oflog/helpers/thread-config.h
           oflog/include/dcmtk/oflog/helpers/threads.h
           oflog/include/dcmtk/oflog/helpers/timehelper.h
           oflog/include/dcmtk/oflog/spi/appenderattachable.h
           oflog/include/dcmtk/oflog/spi/factory.h
           oflog/include/dcmtk/oflog/spi/filter.h
           oflog/include/dcmtk/oflog/spi/loggerfactory.h
           oflog/include/dcmtk/oflog/spi/loggerimpl.h
           oflog/include/dcmtk/oflog/spi/loggingevent.h
           oflog/include/dcmtk/oflog/spi/objectregistry.h
           oflog/include/dcmtk/oflog/spi/rootlogger.h
           oflog/libsrc/CMakeLists.txt
           oflog/libsrc/Makefile.dep
           oflog/libsrc/Makefile.in
           oflog/libsrc/appender.cc
           oflog/libsrc/appenderattachableimpl.cc
           oflog/libsrc/configurator.cc
           oflog/libsrc/consoleappender.cc
           oflog/libsrc/factory.cc
           oflog/libsrc/fileappender.cc
           oflog/libsrc/filter.cc
           oflog/libsrc/global-init.cc
           oflog/libsrc/hierarchy.cc
           oflog/libsrc/hierarchylocker.cc
           oflog/libsrc/layout.cc
           oflog/libsrc/logger.cc
           oflog/libsrc/loggerimpl.cc
           oflog/libsrc/loggingevent.cc
           oflog/libsrc/loglevel.cc
           oflog/libsrc/loglog.cc
           oflog/libsrc/logloguser.cc
           oflog/libsrc/ndc.cc
           oflog/libsrc/nteventlogappender.cc
           oflog/libsrc/nullappender.cc
           oflog/libsrc/objectregistry.cc
           oflog/libsrc/oflog.cc
           oflog/libsrc/patternlayout.cc
           oflog/libsrc/pointer.cc
           oflog/libsrc/property.cc
           oflog/libsrc/rootlogger.cc
           oflog/libsrc/sleep.cc
           oflog/libsrc/socket-unix.cc
           oflog/libsrc/socket-win32.cc
           oflog/libsrc/socket.cc
           oflog/libsrc/socketappender.cc
           oflog/libsrc/socketbuffer.cc
           oflog/libsrc/stringhelper.cc
           oflog/libsrc/syncprims.cc
           oflog/libsrc/syslogappender.cc
           oflog/libsrc/threads.cc
           oflog/libsrc/timehelper.cc
           oflog/libsrc/win32debugappender.cc
           oflog/tests/Makefile.in
  Affects: config/modules
           doxygen/htmldocs.dox
           CMakeLists.txt
           COPYRIGHT
           Makefile
           README

- Added copyright note of new module "dcmjpls".
  Affects: COPYRIGHT

- Added missing sub-directories for "install includes".
  Added:   oflog/include/dcmtk/oflog/config/CMakeLists.txt
           oflog/include/dcmtk/oflog/helpers/CMakeLists.txt
           oflog/include/dcmtk/oflog/spi/CMakeLists.txt
  Affects: oflog/include/Makefile.in
           oflog/include/dcmtk/oflog/CMakeLists.txt

- Added missing sub-directory for "ofstd" header files.
  Affects: oflog/CMakeLists.txt

- Added initial version of a module description for Doxygen documentation.
  Added:   oflog/docs/oflog.dox

- Some minor fixes.
  Affects: oflog/etc/logger.cfg

- Removed unconditional "#define LOG4CPLUS_HAVE_GETTIMEOFDAY".
  Affects: oflog/include/dcmtk/oflog/config/defines.h

- Various fixes to make oflog compile on Windows (VisualStudio 2005).
  Affects: oflog/include/dcmtk/oflog/config/win32.h
           oflog/libsrc/nteventlogappender.cc
           oflog/libsrc/socket-win32.cc
           oflog/libsrc/threads.cc
           oflog/libsrc/timehelper.cc
           oflog/libsrc/win32debugappender.cc

- Do not include <time.h> directly, use wrapper file "ofstdinc.h" instead.
  Affects: oflog/include/dcmtk/oflog/config/win32.h
           oflog/libsrc/timehelper.cc

**** Changes from 2009.08.12 (onken)

- Fixed minor formatting issues and bug that caused some images being
  converted upside down.
  Affects: dcmdata/libi2d/i2dbmps.cc

**** Changes from 2009.08.11 (riesmeier)

- Slightly modified code in order to avoid warning messages on MSVC compiler.
  Affects: dcmdata/apps/pdf2dcm.cc

- Updated man pages.
  Affects: doxygen/manpages/man1/*

**** Changes from 2009.08.10 (eichelberg)

- Added working implementation of DcmRLECodecDecoder::decodeFrame().
  Thanks to Tom Clune for contributing this code.
  Affects: dcmdata/libsrc/dcrleccd.cc

- CMake now recognizes the compiler name when spelled in uppercase
  or lowercase (e.g. CL.EXE or cl.exe). Needed to make VC6 work.
  Also updated default for libtiff to v3.8.2.
  Affects: CMakeLists.txt

- All decompression codecs now replace NumberOfFrames if larger than one
  or present in the original image.
  Affects: dcmdata/libsrc/dcrleccd.cc
           dcmjpeg/libsrc/djcodecd.cc
  Affects: dcmjpls/libsrc/djcodecd.cc

- Cleaned up Makefile dependencies: Some files contained dependencies
  from the libxml include files which cause compilation to file when compiling
  without libxml support.
  Affects: dcmdata/apps/Makefile.dep
           dcmsr/apps/Makefile.dep
           dcmsr/libsrc/Makefile.dep

- Some modifications needed to make class OFFile compile on MinGW.
  Affects: ofstd/include/dcmtk/ofstd/offile.h

**** Changes from 2009.08.10 (riesmeier)

- Added VERSION file. Current version number of the snapshot for internal
  development purposes is "3.5.5_CVS" and "3.5.5_YYYYMMDD" (date) for publicly
  available snapshots.
  Added:   VERSION
  Affects: CMakeLists.txt
           Makefile
           config/rootconf

- Replaced '\n' by OFendl where appropriate.
  Affects: dcmdata/apps/pdf2dcm.cc

- Use helper functions checkDependence() and checkConflict() where appropriate.
  Affects: dcmdata/apps/pdf2dcm.cc

**** Changes from 2009.08.07 (eichelberg)

- Fixed some seek offset computations in SEEK_END tests
  Affects: ofstd/tests/toffile.cc

**** Changes from 2009.08.07 (riesmeier)

- Changed package version scheme: development snapshots now receive an odd
  number at the last position of the version number, i.e. currently it is
  "3.5.5". The macro PACKAGE_DATE is set to "CVS" by default but will be
  replaced by the current date for publicly available snapshots. From now on,
  official releases will always have an even number at the last position.
  Affects: CMakeLists.txt
           INSTALL
           config/configure
           config/configure.in

- Removed package version suffix "+" from development snapshots.
  Affects: dcmdata/include/dcmtk/dcmdata/dcuid.h

- Added missing relationship content constraint introduced with DICOM 2007.
  Affects: dcmsr/libsrc/dsrchecc.cc
           dcmsr/libsrc/dsrmamcc.cc

- Use new isEmpty() method instead of length in order to determine whether the
  element value is empty (e.g. for checking the presence of type 1 attributes).
  Affects: dcmsr/libsrc/dsrtypes.cc

- Fixed incorrect implementation of find_first_not_of() and find_last_not_of().
  Affects: ofstd/include/dcmtk/ofstd/ofstring.h
           ofstd/libsrc/ofstring.cc

- Enhanced isEmpty() method by checking whether the data element value consists
  of non-significant characters only.
  Affects: dcmdata/include/dcmtk/dcmdata/dcbytstr.h
           dcmdata/include/dcmtk/dcmdata/dcitem.h
           dcmdata/include/dcmtk/dcmdata/dcobject.h
           dcmdata/include/dcmtk/dcmdata/dcsequen.h
           dcmdata/libsrc/dcbytstr.cc
           dcmdata/libsrc/dcitem.cc
           dcmdata/libsrc/dcobject.cc
           dcmdata/libsrc/dcsequen.cc
           dcmdata/libsrc/dcvrae.cc
           dcmdata/libsrc/dcvrcs.cc
           dcmdata/libsrc/dcvrda.cc
           dcmdata/libsrc/dcvrds.cc
           dcmdata/libsrc/dcvrdt.cc
           dcmdata/libsrc/dcvris.cc
           dcmdata/libsrc/dcvrlo.cc
           dcmdata/libsrc/dcvrpn.cc
           dcmdata/libsrc/dcvrsh.cc
           dcmdata/libsrc/dcvrtm.cc
           dcmdata/libsrc/dcvrui.cc

- Updated man pages.
  Affects: doxygen/manpages/man1/*

**** Changes from 2009.08.06 (eichelberg)

- Fixed bug in DUL_ReceiveAssociationRQ() that under very rare circumstances
  caused ASC_receiveAssociation() to return successfully although no DICOM
  association request had been received.
  Thanks to Markus Sabin <msabin@digithurst.de> for the bug report and bug fix.
  Affects: dcmnet/libsrc/dul.cc

- Use of std::nothrow delete now conditional on compiler support for this
  feature
  Affects: dcmdata/libsrc/dcelem.cc

- Added configure test that checks for a std::nothrow version of operator
  delete. VC6 has a std::nothrow version of operator new, but not of operator
  delete.
  Affects: config/aclocal.m4
           config/configure
           config/configure.in
           config/include/dcmtk/config/cfunix.h.in
           config/include/dcmtk/config/cfwin32.h.in

- Fixed bug that caused TIFF export in dcm2pnm to fail on Win32 for newer
  releases of libtiff (3.7.4 and newer)
  Affects: dcmimage/libsrc/dipitiff.cc

**** Changes from 2009.08.05 (eichelberg)

- Added missing escape sequences in manpage text, updated copyright
  Affects: dcmdata/docs/dcm2pdf.man
           dcmdata/docs/dcm2xml.man
           dcmdata/docs/dcmconv.man
           dcmdata/docs/dcmcrle.man
           dcmdata/docs/dcmdrle.man
           dcmdata/docs/dcmdump.man
           dcmdata/docs/dcmftest.man
           dcmdata/docs/dcmgpdir.man
           dcmdata/docs/dcmodify.man
           dcmdata/docs/dump2dcm.man
           dcmdata/docs/img2dcm.man
           dcmdata/docs/pdf2dcm.man
           dcmdata/docs/xml2dcm.man
           dcmimage/docs/dcm2pnm.man
           dcmimage/docs/dcmquant.man
           dcmimage/docs/dcmscale.man
           dcmimgle/docs/dcmdspfn.man
           dcmimgle/docs/dcod2lum.man
           dcmimgle/docs/dconvlum.man
           dcmjpeg/docs/dcmcjpeg.man
           dcmjpeg/docs/dcmdjpeg.man
           dcmjpeg/docs/dcmj2pnm.man
           dcmjpeg/docs/dcmmkdir.man
           dcmnet/docs/echoscu.man
           dcmnet/docs/findscu.man
           dcmnet/docs/movescu.man
           dcmnet/docs/storescp.man
           dcmnet/docs/storescu.man
           dcmnet/docs/termscu.man
           dcmpstat/docs/dcmmkcrv.man
           dcmpstat/docs/dcmmklut.man
           dcmpstat/docs/dcmp2pgm.man
           dcmpstat/docs/dcmprscp.man
           dcmpstat/docs/dcmprscu.man
           dcmpstat/docs/dcmpschk.man
           dcmpstat/docs/dcmpsmk.man
           dcmpstat/docs/dcmpsprt.man
           dcmpstat/docs/dcmpsrcv.man
           dcmpstat/docs/dcmpssnd.man
           dcmqrdb/docs/dcmqridx.man
           dcmqrdb/docs/dcmqrscp.man
           dcmqrdb/docs/dcmqrti.man
           dcmsign/docs/dcmsign.man
           dcmsr/docs/dsr2html.man
           dcmsr/docs/dsr2xml.man
           dcmsr/docs/dsrdump.man
           dcmsr/docs/xml2dsr.man
           dcmwlm/docs/wlmscpfs.man

- Fixed bug that caused dcmqrscp to accept image transmissions to read-only
  storage areas when multiple presentation contexts were proposed for a
  single SOP class.
  Affects: dcmqrdb/libsrc/dcmqrsrv.cc

- Modified some output messages to make their meaning clearer.
  Affects: dcmqrdb/libsrc/dcmqrdbi.cc

**** Changes from 2009.08.05 (riesmeier)

- Replaced numeric tag by pre-defined tag name (DCM_PixelDataProviderURL).
  Affects: dcmdata/libi2d/i2d.cc

- Fixed various inconsistencies in condition text values and log messages.
  Affects: dcmdata/libi2d/i2d.cc

- Fixed various issues with syntax usage (e.g. layout and formatting).
  Affects: dcmdata/apps/dcmcrle.cc
           dcmdata/apps/dcmdrle.cc
           dcmdata/docs/dcmdrle.man
           dcmjpeg/apps/dcmcjpeg.cc
           dcmjpeg/apps/dcmdjpeg.cc
           dcmjpeg/docs/dcmcjpeg.man
           dcmjpeg/docs/dcmdjpeg.man

- Made syntax usage more consistent with other DCMTK compression tools.
  Affects: dcmjpls/apps/dcmcjpls.cc
           dcmjpls/apps/dcmdjpls.cc

- Fixed wrong reference to JPEG-LS implementation and added revision number.
  Affects: dcmjpls/apps/dcmcjpls.cc
           dcmjpls/apps/dcmdjpls.cc

**** Changes from 2009.08.04 (riesmeier)

- Consistently use non-throwing version of "new" and "delete[]" (if available)
  in order to avoid memory creation/deletion mismatches.
  Thanks to Andreas Barth <andreas.barth@bruker-biospin.de> for the report
  and suggested fix.
  Affects: dcmdata/libsrc/dcelem.cc

- Added optional parameter to printCStore() functions that allows for printing
  the Presentation Context ID.
  Affects: dcmnet/include/dcmtk/dcmnet/dimse.h
           dcmnet/libsrc/dimdump.cc

- Added output of Presentation Context ID of the C-STORE message in debug mode.
  Affects: dcmnet/apps/movescu.cc
           dcmnet/apps/storescp.cc
           dcmnet/apps/storescu.cc

- Replaced remaining tabs by spaces.
  Affects: dcmnet/include/dcmtk/dcmnet/dimse.h

**** Changes from 2009.08.04 (eichelberg)

- Fixed incorrect code meaning string.
  Thanks to Mathieu Malaterre for the bug report.
  Affects: dcmjpeg/libsrc/djcodece.cc

**** Changes from 2009.08.03 (eichelberg)

- In order to reduce the probability of generating duplicate UIDs when one
  process is spawned immediately after termination of another one, and both
  use the same process ID and generate UIDs within the same second of
  system time (which may happen if a command line tool is implemented that
  just generates and prints a single UID and then terminates, and that tool
  is called repeatedly from a shell script), initialize the counter
  component of the UID with a sub-second fraction from the system time
  (microseconds on Posix systems, milliseconds on Win32).
  Affects: dcmdata/libsrc/dcuid.cc

- Fixed possible buffer overflow in UID generation code when UID root too
  long. Now printing warning message to stderr when truncating a UID.
  Affects: dcmdata/libsrc/dcuid.cc

- Fixed resource leak in the code creating forked child processes.
  Thanks to forum user "rhinojunk" for the bug report and fix.
  Affects: dcmnet/libsrc/assoc.cc
           dcmnet/libsrc/dul.cc

- Fixed application crash due to dereferenced NULL pointer that affected
  some SCP applications when connected by a non-DICOM tool such as nmap.
  Thanks to forum user "parigaud" for the bug report.
  Affects: dcmnet/libsrc/assoc.cc

**** Changes from 2009.08.03 (riesmeier)

- Added methods that check whether a given string value conforms to the VR and
  VM definitions of the DICOM standards.
  Added:   dcmdata/tests/tstchval.cc
  Affects: dcmdata/include/dcbytstr.h
           dcmdata/include/dcelem.h
           dcmdata/include/dcerror.h
           dcmdata/include/dcvrae.h
           dcmdata/include/dcvras.h
           dcmdata/include/dcvrcs.h
           dcmdata/include/dcvrda.h
           dcmdata/include/dcvrds.h
           dcmdata/include/dcvrdt.h
           dcmdata/include/dcvris.h
           dcmdata/include/dcvrlo.h
           dcmdata/include/dcvrlt.h
           dcmdata/include/dcvrpn.h
           dcmdata/include/dcvrsh.h
           dcmdata/include/dcvrst.h
           dcmdata/include/dcvrtm.h
           dcmdata/include/dcvrui.h
           dcmdata/include/dcvrut.h
           dcmdata/libsrc/dcbytstr.cc
           dcmdata/libsrc/dcelem.cc
           dcmdata/libsrc/dcerror.cc
           dcmdata/libsrc/dcvrae.cc
           dcmdata/libsrc/dcvras.cc
           dcmdata/libsrc/dcvrcs.cc
           dcmdata/libsrc/dcvrda.cc
           dcmdata/libsrc/dcvrds.cc
           dcmdata/libsrc/dcvrdt.cc
           dcmdata/libsrc/dcvris.cc
           dcmdata/libsrc/dcvrlo.cc
           dcmdata/libsrc/dcvrlt.cc
           dcmdata/libsrc/dcvrpn.cc
           dcmdata/libsrc/dcvrsh.cc
           dcmdata/libsrc/dcvrst.cc
           dcmdata/libsrc/dcvrtm.cc
           dcmdata/libsrc/dcvrui.cc
           dcmdata/libsrc/dcvrut.cc
           dcmdata/tests/Makefile.dep
           dcmdata/tests/Makefile.in
           dcmpstat/apps/Makefile.in
           dcmpstat/apps/dcmpschk.cc

- Moved flex++ generated lexical scanner from module "dcmpstat" to "dcmdata".
  Added:   dcmdata/include/dcmtk/dcmdata/vrscan.h
           dcmdata/libsrc/vrscan.cc
  Removed: dcmpstat/apps/vrscan.cc
           dcmpstat/apps/vrscan.h
  Affects: dcmdata/libsrc/CMakeLists.txt
           dcmdata/libsrc/Makefile.dep
           dcmdata/libsrc/Makefile.in
           dcmpstat/apps/CMakeLists.txt
           dcmpstat/apps/dcmpschk.cc
           dcmpstat/apps/Makefile.dep
           dcmpstat/apps/Makefile.in

- Added support for checking the data type UT (Unlimited Text).
  Affects: dcmpstat/apps/dcmpschk.cc

- Added non-public modules "dcmjpls" and "dcmloco".
  Affects: CMakeLists.txt

- Replaced checking of macro WIN32 by _WIN32.
  Affects: dcmjpls/libcharls/interface.h
           dcmjpls/libcharls/stdafx.h
           dcmjpls/libcharls/util.h

- Fixed various issues and inconsistencies in the CMake project files.
  Affects: dcmjpls/apps/CMakeLists.txt
           dcmjpls/libsrc/CMakeLists.txt

**** Changes from 2009.07.31 (eichelberg)

- Line interleaved JPEG-LS mode now default. This mode works correctly
  when decompressing images with the LOCO-I reference implementation.
  Affects: dcmjpls/apps/dcmcjpls.cc
           dcmjpls/include/dcmtk/dcmjpls/djcparam.h
           dcmjpls/libsrc/djcodece.cc

- Updated makefile dependencies
  Affects: dcmjpls/apps/Makefile.dep
           dcmjpls/libsrc/Makefile.dep

- Added codec parameter and command line options that allow to control
  the interleave mode used in the JPEG-LS bitstream when compressing
  color images.
  Affects: dcmjpls/apps/dcmcjpls.cc
           dcmjpls/include/dcmtk/dcmjpls/djcodece.h
           dcmjpls/include/dcmtk/dcmjpls/djcparam.h
           dcmjpls/include/dcmtk/dcmjpls/djencode.h
           dcmjpls/libsrc/djcodece.cc
           dcmjpls/libsrc/djcparam.cc
           dcmjpls/libsrc/djencode.cc

- Added more detailed error messages, minor code clean-up
  Added:   dcmjpls/libsrc/djerror.h
  Affects: dcmjpls/include/dcmtk/dcmjpls/djlsutil.h
           dcmjpls/libsrc/djcodecd.cc
           dcmjpls/libsrc/djcodece.cc
           dcmjpls/libsrc/djutils.cc

**** Changes from 2009.07.29 (eichelberg)

- Defined new constant OFM_dcmloco
  Affects: dcmdata/include/dcmtk/dcmdata/dcerror.h

- Initial release of module dcmjpls, a JPEG-LS codec for DCMTK based on CharLS
  Added:   dcmjpls/CMakeLists.txt
           dcmjpls/Makefile.in
           dcmjpls/configure
           dcmjpls/apps/CMakeLists.txt
           dcmjpls/apps/Makefile.dep
           dcmjpls/apps/Makefile.in
           dcmjpls/apps/dcmcjpls.cc
           dcmjpls/apps/dcmdjpls.cc
           dcmjpls/data/Makefile.in
           dcmjpls/docs/Makefile.in
           dcmjpls/docs/charls-readme.txt
           dcmjpls/docs/charls.patch
           dcmjpls/etc/Makefile.in
           dcmjpls/include/Makefile.in
           dcmjpls/include/dcmtk/dcmjpls/CMakeLists.txt
           dcmjpls/include/dcmtk/dcmjpls/djcodecd.h
           dcmjpls/include/dcmtk/dcmjpls/djcodece.h
           dcmjpls/include/dcmtk/dcmjpls/djcparam.h
           dcmjpls/include/dcmtk/dcmjpls/djdecode.h
           dcmjpls/include/dcmtk/dcmjpls/djencode.h
           dcmjpls/include/dcmtk/dcmjpls/djlsutil.h
           dcmjpls/include/dcmtk/dcmjpls/djrparam.h
           dcmjpls/libcharls/CMakeLists.txt
           dcmjpls/libcharls/Makefile.dep
           dcmjpls/libcharls/Makefile.in
           dcmjpls/libcharls/colortransform.h
           dcmjpls/libcharls/context.h
           dcmjpls/libcharls/contextrunmode.h
           dcmjpls/libcharls/decoderstrategy.h
           dcmjpls/libcharls/defaulttraits.h
           dcmjpls/libcharls/encoderstrategy.h
           dcmjpls/libcharls/header.cc
           dcmjpls/libcharls/header.h
           dcmjpls/libcharls/interface.cc
           dcmjpls/libcharls/interface.h
           dcmjpls/libcharls/jpegls.cc
           dcmjpls/libcharls/lookuptable.h
           dcmjpls/libcharls/losslesstraits.h
           dcmjpls/libcharls/processline.h
           dcmjpls/libcharls/scan.h
           dcmjpls/libcharls/stdafx.cc
           dcmjpls/libcharls/stdafx.h
           dcmjpls/libcharls/streams.h
           dcmjpls/libcharls/util.h
           dcmjpls/libsrc/CMakeLists.txt
           dcmjpls/libsrc/Makefile.dep
           dcmjpls/libsrc/Makefile.in
           dcmjpls/libsrc/djcodecd.cc
           dcmjpls/libsrc/djcodece.cc
           dcmjpls/libsrc/djcparam.cc
           dcmjpls/libsrc/djdecode.cc
           dcmjpls/libsrc/djencode.cc
           dcmjpls/libsrc/djrparam.cc
           dcmjpls/libsrc/djutils.cc
           dcmjpls/tests/Makefile.in

**** Changes from 2009.07.28 (riesmeier)

- Fixed wrong definition of value representation DS (Decimal String): According
  to the referenced standard (ANSI X3.9 - 1978), the sign symbol after the "E"
  or "e" is optional. Copied lexical scanner files from "dcmcheck" module.
  Affects: dcmpstat/apps/vrscan.cc
           dcmpstat/apps/vrscan.h

- Added support for dubious date checking (year before 1850 or after 2050).
  Affects: dcmpstat/apps/dcmpschk.cc

**** Changes from 2009.07.27 (riesmeier)

- Fixed possible memory leak in method addElementToDataset().
  Affects: dcmsr/include/dcmtk/dcmsr/dsrtypes.h
           dcmsr/libsrc/dsrtypes.cc

**** Changes from 2009.07.23 (riesmeier)

- Enhanced wording and consistency for new path notation of the --key option.
  Affects: dcmnet/docs/findscu.man

**** Changes from 2009.07.16 (onken)

- Added img2dcm input plugin for the BMP graphics format (at the moment only
  support for 24 Bit RGB).
  Thanks to Uli Schlachter <psychon@znc.in> for the code contribution.
  Added:    dcmdata/include/dcmtk/dcmdata/libi2d/i2dbmps.h
            dcmdata/libi2d/i2dbmps.cc
  Affects:  dcmdata/docs/img2dcm.man
            dcmdata/libi2d/CMakeLists.txt
            dcmdata/libi2d/Makefile.dep
            dcmdata/libi2d/Makefile.in

- Extended Image2Dcm engine to also work for uncompressed pixel data input.
  Affects: dcmdata/include/dcmtk/dcmdata/libi2d/i2d.h
           dcmdata/libi2d/i2d.cc

- Changed comment (and thus semantic of parameter for output transfer syntax).
  Affects: dcmdata/include/dcmtk/dcmdata/libi2d/i2djpgs.h
           dcmdata/include/dcmtk/dcmdata/libi2d/i2dimgs.h

**** Changes from 2009.07.13 (onken)

- Removed misleading comment about dcmnet DIMSE return code and changed
  corresponding OFCondition check from EC_Normal to .good().
  Thanks to Peter Klotz <peter.klotz@ith-icoserve.com> for the suggestion.
  Affects: dcmnet/apps/echoscu.cc
           dcmnet/apps/movescu.cc
           dcmnet/apps/storescu.cc
           dcmnet/libsrc/dfindscu.cc

**** Changes from 2009.07.08 (onken)

- Moved override key functionality to DcmPathProcessor.
  Affects: dcmnet/include/dcmtk/dcmnet/dfindscu.h
           dcmnet/libsrc/dfindscu.cc

- Added path functionality for --key option and lets the code make use
  of the DcmPath classes.
  Affects: dcmdata/include/dcmtk/dcmdata/libi2d/i2d.h
           dcmdata/libi2d/i2d.cc
           dcmdata/apps/img2dcm.cc

- Added override key functionality used by tools like findscu to the more
  central DcmPathProcessor class.
  Affects: dcmdata/include/dcmtk/dcmdata/dcpath.h
           dcmdata/libsrc/dcpath.cc

**** Changes from 2009.07.08 (onken)

- Added support for specifying tag paths as override keys.
  Affects: dcmnet/apps/findscu.cc
           dcmnet/docs/findscu.man
           dcmnet/include/dcmtk/dcmnet/dfindscu.h
           dcmnet/libsrc/dfindscu.cc

- Added note that inserting new private tags that are not known to the
  dictionary may fail when combined with specific attribute values.
  Affects: dcmdata/docs/dcmodify.man

- Adapted dcmodify to changes in DcmPath API.
  Affects: dcmdata/apps/mdfdsman.cc

- Cleaned up code for private reservation checking and added option for
  disabling item wildcards for searching/creating tag paths.
  Affects: dcmdata/libsrc/dcpath.cc
           dcmdata/include/dcmtk/dcmdata/dcpath.h

**** Changes from 2009.06.30 (riesmeier)

- Fixed incorrect wording.
  Affects: config/docs/macros.txt

**** Changes from 2009.06.29 (riesmeier)

- Use full path to "cfunix.h" file in order to be more consistent with Windows
  systems.
  Thanks to Peter Klotz <peter.klotz@ith-icoserve.com> for the suggestion.
  Affects: config/include/dcmtk/config/osconfig.h

- Changed definition of macro "WIN32" in order to avoid compiler warning (MS).
  Thanks to Peter Klotz <peter.klotz@ith-icoserve.com> for the suggestion.
  Affects: config/include/dcmtk/config/cfwin32.h

**** Changes from 2009.06.25 (riesmeier)

- Replaced abbreviated spelling ("expl." -> "explicit") in manpage.
  Affects: dcmdata/docs/dcmconv.man
           dcmdata/docs/dump2dcm.man
           dcmdata/docs/xml2dcm.man
           dcmnet/docs/movescu.man
           dcmnet/docs/storescp.man
           dcmsr/docs/xml2dsr.man

**** Changes from 2009.06.24 (onken)

- Adapted sndfile library/include paths to libsndfile's standard
  installation directory structure for windows.
  Affects: CMakeLists.txt

**** Changes from 2009.06.18 (onken)

- Clarified img2dcm documentation regarding --study-from and --series-from.
  Affects: dcmdata/docs/img2dcm.man

**** Changes from 2009.06.18 (riesmeier)

- Fixed wrong output in debug mode (probably cut and paste error).
  Affects: dcmnet/libsrc/dimse.cc

**** Changes from 2009.06.12 (riesmeier)

- Added reference to Wiki system and obfuscated e-mail address.
  Affects: README
           doxygen/htmldoc.dox

- Added reference to "data" subdirectories.
  Affects: doxygen/htmldoc.dox

**** Changes from 2009.06.11 (riesmeier)

- Fixed issue with "Date" and "DateTime" Schema definitions: the "second" part
  was not only optional but multi-optional (used '*' instead of '?').
  Thanks to David Clunie <dclunie@dclunie.com> for pointing this out.
